﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Composites.FoodService 
{
    public class FoodServiceStudent 
    {
        /// <summary>
        /// The unique identifier of the resource.
        /// </summary>
        public string id { get; set; }

        /// <summary>
        /// A unique alphanumeric code assigned to a student.
        /// </summary>
        public string studentUniqueId { get; set; }

        /// <summary>
        /// A name given to an individual at birth, baptism, or during another naming ceremony, or through legal change.
        /// </summary>
        public string firstName { get; set; }

        /// <summary>
        /// A secondary name given to an individual at birth, baptism, or during another naming ceremony.
        /// </summary>
        public string middleName { get; set; }

        /// <summary>
        /// The name borne in common by members of a family.
        /// </summary>
        public string lastSurname { get; set; }

        /// <summary>
        /// The month, day, and year on which an individual was born.
        /// </summary>
        public DateTime? birthDate { get; set; }

        /// <summary>
        /// (MI EXT) A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table.
        /// </summary>
        public string foodServiceStatusDescriptor { get; set; }

        /// <summary>
        /// An unordered collection of studentAddresses.  
        /// </summary>
        public List<FoodServiceStudent_studentAddress> addresses { get; set; }

        /// <summary>
        /// An unordered collection of studentIdentificationCodes.  
        /// </summary>
        public List<FoodServiceStudent_studentIdentificationCode> identificationCodes { get; set; }

        /// <summary>
        /// An unordered collection of studentElectronicMails.  
        /// </summary>
        public List<FoodServiceStudent_studentElectronicMail> electronicMails { get; set; }

        /// <summary>
        /// An unordered collection of studentTelephones.  
        /// </summary>
        public List<FoodServiceStudent_studentTelephone> telephones { get; set; }

        /// <summary>
        /// An unordered collection of studentSchoolAssociations.  
        /// </summary>
        public List<FoodServiceStudent_studentSchoolAssociation> schools { get; set; }

        /// <summary>
        /// An unordered collection of studentSectionAssociations.  
        /// </summary>
        public List<FoodServiceStudent_studentSectionAssociation> sections { get; set; }

        /// <summary>
        /// An unordered collection of studentParentAssociations.  
        /// </summary>
        public List<FoodServiceStudent_studentParentAssociation> parents { get; set; }

        }
}

