﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Composites.FoodService 
{
    public class FoodServiceStudent_studentParentAssociation 
    {
        /// <summary>
        /// Indicator of whether the person is a primary parental contact for the Student.
        /// </summary>
        public bool? primaryContactStatus { get; set; }

        /// <summary>
        /// Indicator of whether the person is a designated emergency contact for the Student.
        /// </summary>
        public bool? emergencyContactStatus { get; set; }

        /// <summary>
        /// The numeric order of the preferred sequence or priority of contact.
        /// </summary>
        public int? contactPriority { get; set; }

        /// <summary>
        /// Restrictions for student and/or teacher contact with the individual (e.g., the student may not be picked up by the individual).
        /// </summary>
        public string contactRestrictions { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public string id { get; set; }

        /// <summary>
        /// A name given to an individual at birth, baptism, or during another naming ceremony, or through legal change.
        /// </summary>
        public string firstName { get; set; }

        /// <summary>
        /// A secondary name given to an individual at birth, baptism, or during another naming ceremony.
        /// </summary>
        public string middleName { get; set; }

        /// <summary>
        /// The name borne in common by members of a family.
        /// </summary>
        public string lastSurname { get; set; }

        /// <summary>
        /// An unordered collection of parentTelephones.  
        /// </summary>
        public List<FoodServiceStudent_studentParentAssociation_parentTelephone> telephones { get; set; }

        /// <summary>
        /// An unordered collection of parentElectronicMails.  
        /// </summary>
        public List<FoodServiceStudent_studentParentAssociation_parentElectronicMail> electronicMails { get; set; }

        }
}

