﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Composites.Library 
{
    public class LibraryStaff 
    {
        /// <summary>
        /// The unique identifier of the resource.
        /// </summary>
        public string id { get; set; }

        /// <summary>
        /// A unique alphanumeric code assigned to a staff.
        /// </summary>
        public string staffUniqueId { get; set; }

        /// <summary>
        /// A name given to an individual at birth, baptism, or during another naming ceremony, or through legal change.
        /// </summary>
        public string firstName { get; set; }

        /// <summary>
        /// A secondary name given to an individual at birth, baptism, or during another naming ceremony.
        /// </summary>
        public string middleName { get; set; }

        /// <summary>
        /// The name borne in common by members of a family.
        /// </summary>
        public string lastSurname { get; set; }

        /// <summary>
        /// A person's gender.
        /// </summary>
        public string sexType { get; set; }

        /// <summary>
        /// The month, day, and year on which an individual was born.
        /// </summary>
        public DateTime? birthDate { get; set; }

        /// <summary>
        /// An unordered collection of staffOtherNames.  
        /// </summary>
        public List<LibraryStaff_staffOtherName> otherNames { get; set; }

        /// <summary>
        /// An unordered collection of staffAddresses.  
        /// </summary>
        public List<LibraryStaff_staffAddress> addresses { get; set; }

        /// <summary>
        /// An unordered collection of staffElectronicMails.  
        /// </summary>
        public List<LibraryStaff_staffElectronicMail> electronicMails { get; set; }

        /// <summary>
        /// An unordered collection of staffTelephones.  
        /// </summary>
        public List<LibraryStaff_staffTelephone> telephones { get; set; }

        /// <summary>
        /// An unordered collection of staffEducationOrganizationEmploymentAssociations.  
        /// </summary>
        public List<LibraryStaff_staffEducationOrganizationEmploymentAssociation> schools { get; set; }

        /// <summary>
        /// An unordered collection of staffLibraryServices.  
        /// </summary>
        public List<LibraryStaff_staffLibraryService> staffLibraryServices { get; set; }

        }
}

