﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Composites.Library 
{
    public class LibraryStudent_studentLibraryService 
    {
        /// <summary>
        /// Barcode ID - Usually Student Number.
        /// </summary>
        public string barcode { get; set; }

        /// <summary>
        /// Access Level (P=Patron)
        /// </summary>
        public string accessLevelDescriptor { get; set; }

        /// <summary>
        /// Expiration Date for Student Access.
        /// </summary>
        public DateTime? cardExpirationDate { get; set; }

        /// <summary>
        /// Is Acceptable Use Policy on File (1=Y / 0=N)
        /// </summary>
        public bool? isAcceptableUsePolicyOnFile { get; set; }

        /// <summary>
        /// UserName/Login ID.
        /// </summary>
        public string userName { get; set; }

        /// <summary>
        /// Password of library service account.
        /// </summary>
        public string password { get; set; }

        /// <summary>
        /// User Defined Field 1.
        /// </summary>
        public string userDefined1 { get; set; }

        /// <summary>
        /// User Defined Field 2
        /// </summary>
        public string userDefined2 { get; set; }

        /// <summary>
        /// User Defined Field 3
        /// </summary>
        public string userDefined3 { get; set; }

        /// <summary>
        /// User Defined Field 4
        /// </summary>
        public string userDefined4 { get; set; }

        /// <summary>
        /// User Defined Field 5
        /// </summary>
        public string userDefined5 { get; set; }

        /// <summary>
        /// Other field 1
        /// </summary>
        public string other1 { get; set; }

        /// <summary>
        /// Other field 2
        /// </summary>
        public string other2 { get; set; }

        /// <summary>
        /// Other field 3
        /// </summary>
        public string other3 { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public string id { get; set; }

        /// <summary>
        /// The identifier assigned to a school by the State Education Agency (SEA).
        /// </summary>
        public int? schoolId { get; set; }

        }
}

