﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Composites.Transportation 
{
    public class TransportationStudent 
    {
        /// <summary>
        /// The unique identifier of the resource.
        /// </summary>
        public string id { get; set; }

        /// <summary>
        /// A unique alphanumeric code assigned to a student.
        /// </summary>
        public string studentUniqueId { get; set; }

        /// <summary>
        /// A name given to an individual at birth, baptism, or during another naming ceremony, or through legal change.
        /// </summary>
        public string firstName { get; set; }

        /// <summary>
        /// A secondary name given to an individual at birth, baptism, or during another naming ceremony.
        /// </summary>
        public string middleName { get; set; }

        /// <summary>
        /// The name borne in common by members of a family.
        /// </summary>
        public string lastSurname { get; set; }

        /// <summary>
        /// A person's gender.
        /// </summary>
        public string sexType { get; set; }

        /// <summary>
        /// The month, day, and year on which an individual was born.
        /// </summary>
        public DateTime? birthDate { get; set; }

        /// <summary>
        /// (MI EXT) Medical notes such as "Allergic to Bee Stings" - For Transportation records.
        /// </summary>
        public string medicalNotes { get; set; }

        /// <summary>
        /// An unordered collection of studentOtherNames.  
        /// </summary>
        public List<TransportationStudent_studentOtherName> otherNames { get; set; }

        /// <summary>
        /// An unordered collection of studentAddresses.  
        /// </summary>
        public List<TransportationStudent_studentAddress> addresses { get; set; }

        /// <summary>
        /// An unordered collection of studentIdentificationCodes.  
        /// </summary>
        public List<TransportationStudent_studentIdentificationCode> identificationCodes { get; set; }

        /// <summary>
        /// An unordered collection of studentElectronicMails.  
        /// </summary>
        public List<TransportationStudent_studentElectronicMail> electronicMails { get; set; }

        /// <summary>
        /// An unordered collection of studentTelephones.  
        /// </summary>
        public List<TransportationStudent_studentTelephone> telephones { get; set; }

        /// <summary>
        /// An unordered collection of studentSchoolAssociations.  
        /// </summary>
        public List<TransportationStudent_studentSchoolAssociation> schools { get; set; }

        /// <summary>
        /// An unordered collection of studentTransportations.  
        /// </summary>
        public List<TransportationStudent_studentTransportation> studentTransportations { get; set; }

        /// <summary>
        /// An unordered collection of studentParentAssociations.  
        /// </summary>
        public List<TransportationStudent_studentParentAssociation> parents { get; set; }

        }
}

