﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Composites.Transportation 
{
    public class TransportationStudent_studentTransportation 
    {
        /// <summary>
        /// The identifier assigned to a school by the State Education Agency (SEA).
        /// </summary>
        public int? schoolId { get; set; }

        /// <summary>
        /// The bus number associated with the bus and bus route.
        /// </summary>
        public string busNumber { get; set; }

        /// <summary>
        /// To indicate the direction of the bus route. (e.g. To School, From School).
        /// </summary>
        public string directionDescriptor { get; set; }

        /// <summary>
        /// To indicate the day of week of a bus route.
        /// </summary>
        public string dayOfWeekDescriptor { get; set; }

        /// <summary>
        /// A descriptive name of the bus route.
        /// </summary>
        public string name { get; set; }

        /// <summary>
        /// The number or id of the bus route.
        /// </summary>
        public string busRouteNumberOrId { get; set; }

        /// <summary>
        /// The start time of the indicated bus route direction.
        /// </summary>
        public string startTime { get; set; }

        /// <summary>
        /// The end time of the indicated bus route direction.
        /// </summary>
        public string endTime { get; set; }

        /// <summary>
        /// A name given to an individual at birth, baptism, or during another naming ceremony, or through legal change.
        /// </summary>
        public string busDriverFirstName { get; set; }

        /// <summary>
        /// A secondary name given to an individual at birth, baptism, or during another naming ceremony.
        /// </summary>
        public string busDriverMiddleName { get; set; }

        /// <summary>
        /// The name borne in common by members of a family.
        /// </summary>
        public string busDriverLastSurname { get; set; }

        }
}

