﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models 
{
    public class CalendarDate 
    {
        /// <summary>
        /// The unique identifier of the resource.
        /// </summary>
        public string id { get; set; }

        /// <summary>
        /// A reference to the related School resource.
        /// </summary>
        public SchoolReference schoolReference { get; set; }

        /// <summary>
        /// The month, day, and year of the CalendarDate.
        /// </summary>
        public DateTime? date { get; set; }

        /// <summary>
        /// An unordered collection of calendarDateCalendarEvents.  Additional description of the date such as date classification and duration of the event.
        /// </summary>
        public List<CalendarDateCalendarEvent> calendarEvents { get; set; }

        /// <summary>
        /// A unique system-generated value that identifies the version of the resource.
        /// </summary>
        public string _etag { get; set; }

        }
}

