﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models 
{
    public class EemEducationalEntityMasterDetailEEMAYP 
    {
        /// <summary>
        /// A reference to the related EEMSchoolYear resource.
        /// </summary>
        public EemSchoolYearReference eemSchoolYearReference { get; set; }

        /// <summary>
        /// Indicates the EEM AYP phase of an Educational Entity.
        /// </summary>
        public string eemaypPhaseDescriptor { get; set; }

        /// <summary>
        /// Indicates the EEM AYP status of the Educational Entity.
        /// </summary>
        public string eemaypStatusDescriptor { get; set; }

        /// <summary>
        /// 1 = Educational Entity is AYP accountable; 0 or NULL = Educational Entity is not AYP accountable;
        /// </summary>
        public bool? isAYPAccountable { get; set; }

        /// <summary>
        /// The date of the EEM AYP. *** needs to be datetime ***
        /// </summary>
        public DateTime? aypDate { get; set; }

        }
}

