﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models 
{
    public class EemSchoolYear 
    {
        /// <summary>
        /// The unique identifier of the resource.
        /// </summary>
        public string id { get; set; }

        /// <summary>
        /// 1 = Is current school year;  0 = Is not current school year;
        /// </summary>
        public bool? currentSchoolYear { get; set; }

        /// <summary>
        /// Denotes the EEM SchoolYear identifier.
        /// </summary>
        public int? eemSchoolYearId { get; set; }

        /// <summary>
        /// Denotes the EEM SchoolYear name in format YYYY-YYYY
        /// </summary>
        public string name { get; set; }

        /// <summary>
        /// The EEM school year end date.
        /// </summary>
        public DateTime? schoolYearEndDate { get; set; }

        /// <summary>
        /// The EEM school year open date.
        /// </summary>
        public DateTime? schoolYearOpenDate { get; set; }

        /// <summary>
        /// The EEM school year PoP end date.
        /// </summary>
        public DateTime? schoolYearPoPEndDate { get; set; }

        /// <summary>
        /// The EEM school year PoP open date.
        /// </summary>
        public DateTime? schoolYearPoPOpenDate { get; set; }

        /// <summary>
        /// A unique system-generated value that identifies the version of the resource.
        /// </summary>
        public string _etag { get; set; }

        }
}

