﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models 
{
    public class PostSecondaryEventPostSecondaryInstitution 
    {
        /// <summary>
        /// A classification of whether a postsecondary institution is operated by publicly elected or appointed officials (public control) or by privately elected or appointed officials and derives its major source of funds from private sources (private control).
        /// </summary>
        public string administrativeFundingControlDescriptor { get; set; }

        /// <summary>
        /// A classification of whether a post secondary institution's highest level of offering is a program of 4-years or higher (4 year), 2-but-less-than 4-years (2 year), or less than 2-years.
        /// </summary>
        public string postSecondaryInstitutionLevelType { get; set; }

        /// <summary>
        /// The ID of the post secondary institution.
        /// </summary>
        public string postSecondaryInstitutionId { get; set; }

        /// <summary>
        /// The postsecondary institution associated with the event.
        /// </summary>
        public string nameOfInstitution { get; set; }

        /// <summary>
        /// An unordered collection of postSecondaryEventPostSecondaryInstitutionIdentificationCodes.  A unique number or alphanumeric code assigned to an education organization by a school, school system, a state, or other agency or entity.
        /// </summary>
        public List<PostSecondaryEventPostSecondaryInstitutionIdentificationCode> identificationCodes { get; set; }

        /// <summary>
        /// An unordered collection of postSecondaryEventPostSecondaryInstitutionMediumOfInstructions.  The categories in which an institution serves the students.
        /// </summary>
        public List<PostSecondaryEventPostSecondaryInstitutionMediumOfInstruction> mediumOfInstructions { get; set; }

        }
}

