﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models 
{
    public class StaffEducationOrganizationAssignmentAssociationReference 
    {
        /// <summary>
        /// A unique alphanumeric code assigned to a staff.
        /// </summary>
        public string staffUniqueId { get; set; }

        /// <summary>
        /// The identifier assigned to an education agency by the State Education Agency (SEA).  Also known as the State LEA ID.
        /// </summary>
        public int? educationOrganizationId { get; set; }

        /// <summary>
        /// The titles of employment, official status, or rank of education staff.
        /// </summary>
        public string staffClassificationDescriptor { get; set; }

        /// <summary>
        /// Month, day, and year of the start or effective date of a staff member's employment, contract, or relationship with the LEA.
        /// </summary>
        public DateTime? beginDate { get; set; }

        /// <summary>
        /// Represents a hyperlink to the related staffEducationOrganizationAssignmentAssociation resource.
        /// </summary>
        public Link link { get; set; }

        }
}

