﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models 
{
    public class StaffIdentificationSystemType 
    {
        /// <summary>
        /// The unique identifier of the resource.
        /// </summary>
        public string id { get; set; }

        /// <summary>
        /// This column is deprecated.
        /// </summary>
        public string codeValue { get; set; }

        /// <summary>
        /// The description for the StaffIdentificationSystem type.
        /// </summary>
        public string description { get; set; }

        /// <summary>
        /// The value for the StaffIdentificationSystem type.
        /// </summary>
        public string shortDescription { get; set; }

        /// <summary>
        /// Key for StaffIdentificationSystem
        /// </summary>
        public int? staffIdentificationSystemTypeId { get; set; }

        /// <summary>
        /// A unique system-generated value that identifies the version of the resource.
        /// </summary>
        public string _etag { get; set; }

        }
}

