﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models 
{
    public class StudentCTEProgramAssociationCTEProgram 
    {
        /// <summary>
        /// A sequence of courses within an area of interest that is a student's educational road map to a chosen career.
        /// </summary>
        public string careerPathwayType { get; set; }

        /// <summary>
        /// Number and description of the CIP Code associated with the student's CTEProgram.
        /// </summary>
        public string cipCode { get; set; }

        /// <summary>
        /// A boolean indicator of whether this CTEProgram, is the student's primary CTEProgram.
        /// </summary>
        public bool? primaryCTEProgramIndicator { get; set; }

        /// <summary>
        /// A boolean indicator of whether the Student has completed the CTEProgram.
        /// </summary>
        public bool? cteProgramCompletionIndicator { get; set; }

        }
}

