﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models 
{
    public class StudentLibraryService 
    {
        /// <summary>
        /// The unique identifier of the resource.
        /// </summary>
        public string id { get; set; }

        /// <summary>
        /// A reference to the related School resource.
        /// </summary>
        public SchoolReference schoolReference { get; set; }

        /// <summary>
        /// A reference to the related Student resource.
        /// </summary>
        public StudentReference studentReference { get; set; }

        /// <summary>
        /// Access Level (P=Patron)
        /// </summary>
        public string accessLevelDescriptor { get; set; }

        /// <summary>
        /// Barcode ID - Usually Student Number.
        /// </summary>
        public string barcode { get; set; }

        /// <summary>
        /// Expiration Date for Student Access.
        /// </summary>
        public DateTime? cardExpirationDate { get; set; }

        /// <summary>
        /// Is Acceptable Use Policy on File (1=Y / 0=N)
        /// </summary>
        public bool? isAcceptableUsePolicyOnFile { get; set; }

        /// <summary>
        /// Other field 1
        /// </summary>
        public string other1 { get; set; }

        /// <summary>
        /// Other field 2
        /// </summary>
        public string other2 { get; set; }

        /// <summary>
        /// Other field 3
        /// </summary>
        public string other3 { get; set; }

        /// <summary>
        /// Password of library service account.
        /// </summary>
        public string password { get; set; }

        /// <summary>
        /// User Defined Field 1.
        /// </summary>
        public string userDefined1 { get; set; }

        /// <summary>
        /// User Defined Field 2
        /// </summary>
        public string userDefined2 { get; set; }

        /// <summary>
        /// User Defined Field 3
        /// </summary>
        public string userDefined3 { get; set; }

        /// <summary>
        /// User Defined Field 4
        /// </summary>
        public string userDefined4 { get; set; }

        /// <summary>
        /// User Defined Field 5
        /// </summary>
        public string userDefined5 { get; set; }

        /// <summary>
        /// UserName/Login ID.
        /// </summary>
        public string userName { get; set; }

        /// <summary>
        /// A unique system-generated value that identifies the version of the resource.
        /// </summary>
        public string _etag { get; set; }

        }
}

