﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Profiles.Assessment.Models 
{
    public class Section_Readable 
    {
        /// <summary>
        /// The unique identifier of the resource.
        /// </summary>
        public string id { get; set; }

        /// <summary>
        /// A reference to the related ClassPeriod resource.
        /// </summary>
        public ClassPeriodReference classPeriodReference { get; set; }

        /// <summary>
        /// A reference to the related CourseOffering resource.
        /// </summary>
        public CourseOfferingReference courseOfferingReference { get; set; }

        /// <summary>
        /// A reference to the related Location resource.
        /// </summary>
        public LocationReference locationReference { get; set; }

        /// <summary>
        /// A reference to the related School resource.
        /// </summary>
        public SchoolReference schoolReference { get; set; }

        /// <summary>
        /// (MI-EXT) This characteristic is required when reporting migrant students by educating entities when the Local Course ID cannot uniquely identify a given course.
        /// </summary>
        public string msixCourseSectionDescriptor { get; set; }

        /// <summary>
        /// When a section is part of a sequence of parts for a course, the number of the sequence. If the course has only one part, the value of this section attribute should be 1.
        /// </summary>
        public int? sequenceOfCourse { get; set; }

        /// <summary>
        /// (MI EXT) Indicates the status (OneRoster.classes.status) of the Section.
        /// </summary>
        public string statusDescriptor { get; set; }

        /// <summary>
        /// A unique identifier for the Section that is defined by the classroom, the subjects taught, and the instructors who are assigned.
        /// </summary>
        public string uniqueSectionCode { get; set; }

        /// <summary>
        /// A unique system-generated value that identifies the version of the resource.
        /// </summary>
        public string _etag { get; set; }

        }
}

