﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Profiles.LibraryProfile.Models 
{
    public class StaffSectionAssociation_Readable 
    {
        /// <summary>
        /// The unique identifier of the resource.
        /// </summary>
        public string id { get; set; }

        /// <summary>
        /// A reference to the related Section resource.
        /// </summary>
        public SectionReference sectionReference { get; set; }

        /// <summary>
        /// A reference to the related Staff resource.
        /// </summary>
        public StaffReference staffReference { get; set; }

        /// <summary>
        /// Month, day, and year of a teacher's assignment to the Section. If blank, defaults to the first day of the first grading period for the Section.
        /// </summary>
        public DateTime? beginDate { get; set; }

        /// <summary>
        /// The type of position the Staff member holds in the specific class/section; for example:          Teacher of Record, Assistant Teacher, Support Teacher, Substitute Teacher...
        /// </summary>
        public string classroomPositionDescriptor { get; set; }

        /// <summary>
        /// Month, day, and year of the last day of a staff member's assignment to the Section.
        /// </summary>
        public DateTime? endDate { get; set; }

        /// <summary>
        /// (MI EXT) Indicates status (OneRoster.enrollments.status) of this StaffSectionAssociation.
        /// </summary>
        public string statusDescriptor { get; set; }

        /// <summary>
        /// A unique system-generated value that identifies the version of the resource.
        /// </summary>
        public string _etag { get; set; }

        }
}

