﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Profiles.Nutrition.Models 
{
    public class Staff_Readable 
    {
        /// <summary>
        /// The unique identifier of the resource.
        /// </summary>
        public string id { get; set; }

        /// <summary>
        /// (MI EXT) Indicates the educator effectiveness label as identified by the school district for each educator. The effectiveness labels should be based upon the employee's most recent evaluation.
        /// </summary>
        public string educatorEffectivenessDescriptor { get; set; }

        /// <summary>
        /// A name given to an individual at birth, baptism, or during another naming ceremony, or through legal change.
        /// </summary>
        public string firstName { get; set; }

        /// <summary>
        /// An appendage, if any, used to denote an individual's generation in his family (e.g., Jr., Sr., III).
        /// </summary>
        public string generationCodeSuffix { get; set; }

        /// <summary>
        /// The name borne in common by members of a family.
        /// </summary>
        public string lastSurname { get; set; }

        /// <summary>
        /// A secondary name given to an individual at birth, baptism, or during another naming ceremony.
        /// </summary>
        public string middleName { get; set; }

        /// <summary>
        /// (MI EXT) The number of days of professional development in classroom management that was provided by the district for new teacher.
        /// </summary>
        public double? newTeacherClassroomManagementProfessionalDevelopment { get; set; }

        /// <summary>
        /// (MI EXT) The number of days of professional development in instructional deliver (strategies) that was provided by the district for new teacher.
        /// </summary>
        public double? newTeacherInstructionalDeliveryProfessionalDevelopment { get; set; }

        /// <summary>
        /// A prefix used to denote the title, degree, position, or seniority of the person.
        /// </summary>
        public string personalTitlePrefix { get; set; }

        /// <summary>
        /// A unique alphanumeric code assigned to a staff.
        /// </summary>
        public string staffUniqueId { get; set; }

        /// <summary>
        /// (MI EXT) Indicates status (OneRoster users.status) of this Staff.
        /// </summary>
        public string statusDescriptor { get; set; }

        /// <summary>
        /// (MI EXT) Indicates the Staff username (OneRoster users.username)
        /// </summary>
        public string userName { get; set; }

        /// <summary>
        /// An unordered collection of staffIdentificationCodes.  A unique number or alphanumeric code assigned to a staff member by a school, school system, a state, or other agency or entity.
        /// </summary>
        public List<StaffIdentificationCode_Readable> identificationCodes { get; set; }

        /// <summary>
        /// A unique system-generated value that identifies the version of the resource.
        /// </summary>
        public string _etag { get; set; }

        }
}

