﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Profiles.SIS.Models 
{
    public class BellScheduleMeetingTime_Writable 
    {
        /// <summary>
        /// A reference to the related ClassPeriod resource.
        /// </summary>
        public ClassPeriodReference classPeriodReference { get; set; }

        /// <summary>
        /// An indication of the time of day the class begins.
        /// </summary>
        public string startTime { get; set; }

        /// <summary>
        /// An alternate name for the day (e.g., Red, Blue).
        /// </summary>
        public string alternateDayName { get; set; }

        /// <summary>
        /// An indication of the time of day the class ends.
        /// </summary>
        public string endTime { get; set; }

        /// <summary>
        /// Indicator of whether this meeting time is used for official daily attendance.
        /// </summary>
        public bool? officialAttendancePeriod { get; set; }

        }
}

