﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Profiles.SIS.Models 
{
    public class ClassGroup_Readable 
    {
        /// <summary>
        /// The unique identifier of the resource.
        /// </summary>
        public string id { get; set; }

        /// <summary>
        /// A reference to the related CommunityProviderLocation resource.
        /// </summary>
        public CommunityProviderLocationReference communityProviderLocationReference { get; set; }

        /// <summary>
        /// The maximum number of students this provider location can accommodate at any given time.
        /// </summary>
        public int? capacity { get; set; }

        /// <summary>
        /// The name of the class/group of students.
        /// </summary>
        public string name { get; set; }

        /// <summary>
        /// The number of days per week this class/group meets.
        /// </summary>
        public int? daysAvailablePerWeek { get; set; }

        /// <summary>
        /// The number of hours per day this class/group meets.
        /// </summary>
        public int? hoursAvailablePerDay { get; set; }

        /// <summary>
        /// An indication of whether a class or group serves children with special needs.
        /// </summary>
        public bool? specialNeedsProvidedFlag { get; set; }

        /// <summary>
        /// An unordered collection of classGroupMeetingTimes.  The times and days of week this class/group is in session.
        /// </summary>
        public List<ClassGroupMeetingTime_Readable> meetingTimes { get; set; }

        /// <summary>
        /// An unordered collection of classGroupServices.  Defines the services provided to students at this class/group.
        /// </summary>
        public List<ClassGroupService_Readable> services { get; set; }

        /// <summary>
        /// A unique system-generated value that identifies the version of the resource.
        /// </summary>
        public string _etag { get; set; }

        }
}

