﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Profiles.SIS.Models 
{
    public class EducationServiceProviderExpenditure_Readable 
    {
        /// <summary>
        /// The unique identifier of the resource.
        /// </summary>
        public string id { get; set; }

        /// <summary>
        /// A reference to the related EducationOrganization resource.
        /// </summary>
        public EducationOrganizationReference educationOrganizationReference { get; set; }

        /// <summary>
        /// Amount for the ESP expenditure submitted.
        /// </summary>
        public double? amount { get; set; }

        /// <summary>
        /// To indicate the basic account identifier for ESP expenditures. It describes the activity for which a service or material is acquired.
        /// </summary>
        public string espFunctionCodeDescriptor { get; set; }

        /// <summary>
        /// To indicate the service or commodity obtained as the result of a specific ESP expenditure.
        /// </summary>
        public string espObjectCodeDescriptor { get; set; }

        /// <summary>
        /// Denotes the fiscal year for which the ESP is submitted.
        /// </summary>
        public int? fiscalYear { get; set; }

        /// <summary>
        /// A unique system-generated value that identifies the version of the resource.
        /// </summary>
        public string _etag { get; set; }

        }
}

