﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Profiles.SIS.Models 
{
    public class EemCounty_Readable 
    {
        /// <summary>
        /// The unique identifier of the resource.
        /// </summary>
        public string id { get; set; }

        /// <summary>
        /// The official state-assigned two-digit code number of the County.
        /// </summary>
        public int? code { get; set; }

        /// <summary>
        /// EEM County identifier.
        /// </summary>
        public int? eemCountyId { get; set; }

        /// <summary>
        /// The County name.
        /// </summary>
        public string name { get; set; }

        /// <summary>
        /// The FIPS code associated with the County.
        /// </summary>
        public string eemfipsCode { get; set; }

        /// <summary>
        /// The EEM Prosperity Region of the County.
        /// </summary>
        public string eemProsperityRegionDescriptor { get; set; }

        /// <summary>
        /// The PSA District number of the County.
        /// </summary>
        public int? eempsaDistrictNumber { get; set; }

        /// <summary>
        /// 1 = is UP County; 0 or NULL = is not UP County;
        /// </summary>
        public bool? isUPCounty { get; set; }

        /// <summary>
        /// A unique system-generated value that identifies the version of the resource.
        /// </summary>
        public string _etag { get; set; }

        }
}

