﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Profiles.SIS.Models 
{
    public class EemEntityTypeRelationship_Readable 
    {
        /// <summary>
        /// The unique identifier of the resource.
        /// </summary>
        public string id { get; set; }

        /// <summary>
        /// 1 = Can be multiple; 0 or NULL = cannot be multiple;
        /// </summary>
        public bool? canBeMultiple { get; set; }

        /// <summary>
        /// Denotes the EEM EntityType associated with the Relationship.
        /// </summary>
        public string eemEntityTypeDescriptor { get; set; }

        /// <summary>
        /// The EEM EntityTypeRelationship identifier.
        /// </summary>
        public int? eemEntityTypeRelationshipId { get; set; }

        /// <summary>
        /// Denotes the EEM Relationship of the EntityType.
        /// </summary>
        public string eemRelationshipTypeDescriptor { get; set; }

        /// <summary>
        /// 1 = is mandatory; 0 or NULL = is not mandatory;
        /// </summary>
        public bool? isMandatory { get; set; }

        /// <summary>
        /// An unordered collection of eemEntityTypeRelationshipRelatedEEMEntityTypeClassifications.  The EEMEntityTypes related to this Relationship.
        /// </summary>
        public List<EemEntityTypeRelationshipRelatedEEMEntityTypeClassification_Readable> relatedEEMEntityTypeClassifications { get; set; }

        /// <summary>
        /// A unique system-generated value that identifies the version of the resource.
        /// </summary>
        public string _etag { get; set; }

        }
}

