﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Profiles.SIS.Models 
{
    public class StudentEarlyLearningProgramAssociationIndividualizedFamilyServicePlan_Writable 
    {
        /// <summary>
        /// Indicate if the intial IFSP was completed within the required timeframe under Part C regulations.
        /// </summary>
        public string ifspTimelinessDescriptor { get; set; }

        /// <summary>
        /// The type of agency that notified the responsible agency the student maybe eligible for services.
        /// </summary>
        public string referralAgencyDescriptor { get; set; }

        /// <summary>
        /// Indicate the results of the student's eligibility determination.
        /// </summary>
        public string resultOfInitialIFSPDescriptor { get; set; }

        /// <summary>
        /// Part C Indicator 8 A to indicate if the IFSP was completed within the required timeline.
        /// </summary>
        public string timelinessDescriptor { get; set; }

        /// <summary>
        /// Part C Indicator 8 C to indicate if the transition IFSP conference was held within the required timeframe.
        /// </summary>
        public string transitionConferenceTimelinessDescriptor { get; set; }

        /// <summary>
        /// The date of the students's first individualized family service plan (IFSP).
        /// </summary>
        public DateTime? initialIFSPDate { get; set; }

        /// <summary>
        /// The date of the students's most recent individualized family service plan (IFSP).
        /// </summary>
        public DateTime? currentIFSPDate { get; set; }

        /// <summary>
        /// The completion of an initial individualized education program (IEP) is the date on the notice of the offer of a free appropriate public education (FAPE).
        /// </summary>
        public DateTime? initialIEPCompletionDate { get; set; }

        /// <summary>
        /// The date the student was referred by the referral agency.
        /// </summary>
        public DateTime? referralDate { get; set; }

        }
}

