﻿using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Profiles.SIS.Models 
{
    public class StudentInterventionAssociation_Writable 
    {
        /// <summary>
        /// The unique identifier of the resource.
        /// </summary>
        public string id { get; set; }

        /// <summary>
        /// A reference to the related Cohort resource.
        /// </summary>
        public CohortReference cohortReference { get; set; }

        /// <summary>
        /// A reference to the related Intervention resource.
        /// </summary>
        public InterventionReference interventionReference { get; set; }

        /// <summary>
        /// A reference to the related Staff resource.
        /// </summary>
        public StaffReference staffReference { get; set; }

        /// <summary>
        /// A reference to the related Student resource.
        /// </summary>
        public StudentReference studentReference { get; set; }

        /// <summary>
        /// (MI EXT) The date when the StudentInterventionAssociation was created.
        /// </summary>
        public DateTime? creationDate { get; set; }

        /// <summary>
        /// (MI EXT) Indicates this StudentInterventionAssociation has been deleted.  0=No  1=Yes  NULL=Unknown
        /// </summary>
        public bool? deleted { get; set; }

        /// <summary>
        /// A statement provided by the assigner that provides information regarding why the student was assigned to this intervention.
        /// </summary>
        public string diagnosticStatement { get; set; }

        /// <summary>
        /// (MI EXT )0=No  1=Yes  NULL=Unknown
        /// </summary>
        public bool? expirationEmailSent { get; set; }

        /// <summary>
        /// (MI EXT) The goal of this intervention.
        /// </summary>
        public string goal { get; set; }

        /// <summary>
        /// (MI EXT) Prospective end date of this intervention.
        /// </summary>
        public DateTime? prospectiveEndDate { get; set; }

        /// <summary>
        /// (MI EXT) Used to limit the users that will be able to see the intervention.  0=No  1=Yes  NULL=Unknown
        /// </summary>
        public bool? restrictedSecurity { get; set; }

        /// <summary>
        /// (MI EXT) A star rating review of the Intervention.
        /// </summary>
        public int? starRating { get; set; }

        /// <summary>
        /// (MI EXT) A text review of the Intervention.
        /// </summary>
        public string textReview { get; set; }

        /// <summary>
        /// (MI EXT) 0=No  1=Yes  NULL=Unknown
        /// </summary>
        public bool? twoWeekEmailSent { get; set; }

        /// <summary>
        /// An unordered collection of studentInterventionAssociationInterventionEffectivenesses.  A measure of the effects of an intervention in each outcome domain. The rating of effectiveness takes into account four factors: the quality of the research on the intervention, the statistical significance of the research findings, the size of the differences between participants in the intervention and comparison groups and the consistency in results.
        /// </summary>
        public List<StudentInterventionAssociationInterventionEffectiveness_Writable> interventionEffectivenesses { get; set; }

        /// <summary>
        /// An unordered collection of studentInterventionAssociationStudentInterventionNotes.  (MI EXT) Note to provide additional information regarding the student intervention.
        /// </summary>
        public List<StudentInterventionAssociationStudentInterventionNote_Writable> studentInterventionNotes { get; set; }

        /// <summary>
        /// An unordered collection of studentInterventionAssociationStudentInterventionSecurities.  (MI EXT) Select staff who have access to this StudentInterventionAssociation.
        /// </summary>
        public List<StudentInterventionAssociationStudentInterventionSecurity_Writable> studentInterventionSecurities { get; set; }

        /// <summary>
        /// A unique system-generated value that identifies the version of the resource.
        /// </summary>
        public string _etag { get; set; }

        }
}

