﻿using System;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Helpers
{
    public class SdkMetadataCacheLoader : ISdkMetadataCacheLoader
    {
        private readonly List<IMetadataTypeInfo> _cacheData;

        public SdkMetadataCacheLoader()
        {
            var cacheData = new List<IMetadataTypeInfo>();

            var typeInfoStudentParentAssociation = new MetadataTypeInfo { TypeName = "StudentParentAssociation" };
            cacheData.Add(typeInfoStudentParentAssociation);
            typeInfoStudentParentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentParentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "parentReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentParentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentParentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "relationType",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentParentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "primaryContactStatus",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentParentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "livesWith",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentParentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "emergencyContactStatus",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentParentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "contactPriority",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentParentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "contactRestrictions",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentParentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "leaNotification",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentParentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "seaNotification",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentParentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "householdId",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentParentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoProgram = new MetadataTypeInfo { TypeName = "Program" };
            cacheData.Add(typeInfoProgram);
            typeInfoProgram.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgram.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoProgram.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "type",
                IsPartOfNaturalKey = true,
            });
            typeInfoProgram.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "name",
                IsPartOfNaturalKey = true,
            });
            typeInfoProgram.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programId",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgram.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "sponsorType",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgram.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "characteristics",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgram.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "learningObjectives",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgram.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "learningStandards",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgram.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "services",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgram.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoSection = new MetadataTypeInfo { TypeName = "Section" };
            cacheData.Add(typeInfoSection);
            typeInfoSection.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoSection.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "classPeriodReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoSection.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "courseOfferingReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoSection.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "locationReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoSection.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoSection.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "uniqueSectionCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoSection.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "sequenceOfCourse",
                IsPartOfNaturalKey = true,
            });
            typeInfoSection.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationalEnvironmentType",
                IsPartOfNaturalKey = false,
            });
            typeInfoSection.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "mediumOfInstructionType",
                IsPartOfNaturalKey = false,
            });
            typeInfoSection.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "populationServedType",
                IsPartOfNaturalKey = false,
            });
            typeInfoSection.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "availableCreditType",
                IsPartOfNaturalKey = false,
            });
            typeInfoSection.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "availableCreditConversion",
                IsPartOfNaturalKey = false,
            });
            typeInfoSection.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "instructionLanguageDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoSection.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "availableCredits",
                IsPartOfNaturalKey = false,
            });
            typeInfoSection.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "characteristics",
                IsPartOfNaturalKey = false,
            });
            typeInfoSection.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programs",
                IsPartOfNaturalKey = false,
            });
            typeInfoSection.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoSectionAttendanceTakenEvent = new MetadataTypeInfo { TypeName = "SectionAttendanceTakenEvent" };
            cacheData.Add(typeInfoSectionAttendanceTakenEvent);
            typeInfoSectionAttendanceTakenEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoSectionAttendanceTakenEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "sectionReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoSectionAttendanceTakenEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "calendarDateReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoSectionAttendanceTakenEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "staffReference",
                IsPartOfNaturalKey = false,
            });
            typeInfoSectionAttendanceTakenEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "eventDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoSectionAttendanceTakenEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentSectionAssociation = new MetadataTypeInfo { TypeName = "StudentSectionAssociation" };
            cacheData.Add(typeInfoStudentSectionAssociation);
            typeInfoStudentSectionAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSectionAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "sectionReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSectionAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSectionAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSectionAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSectionAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "homeroomIndicator",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSectionAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "repeatIdentifierType",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSectionAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "teacherStudentDataLinkExclusion",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSectionAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "courseAttemptStatusDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSectionAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoRestraintEvent = new MetadataTypeInfo { TypeName = "RestraintEvent" };
            cacheData.Add(typeInfoRestraintEvent);
            typeInfoRestraintEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoRestraintEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoRestraintEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoRestraintEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identifier",
                IsPartOfNaturalKey = true,
            });
            typeInfoRestraintEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "eventDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoRestraintEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationalEnvironmentType",
                IsPartOfNaturalKey = false,
            });
            typeInfoRestraintEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programs",
                IsPartOfNaturalKey = false,
            });
            typeInfoRestraintEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "reasons",
                IsPartOfNaturalKey = false,
            });
            typeInfoRestraintEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStaffProgramAssociation = new MetadataTypeInfo { TypeName = "StaffProgramAssociation" };
            cacheData.Add(typeInfoStaffProgramAssociation);
            typeInfoStaffProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "staffReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentRecordAccess",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentProgramAssociation = new MetadataTypeInfo { TypeName = "StudentProgramAssociation" };
            cacheData.Add(typeInfoStudentProgramAssociation);
            typeInfoStudentProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "reasonExitedDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "servedOutsideOfRegularSession",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "services",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentMigrantEducationProgramAssociation = new MetadataTypeInfo { TypeName = "StudentMigrantEducationProgramAssociation" };
            cacheData.Add(typeInfoStudentMigrantEducationProgramAssociation);
            typeInfoStudentMigrantEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentMigrantEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentMigrantEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentMigrantEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentMigrantEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentMigrantEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentMigrantEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "reasonExitedDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentMigrantEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "servedOutsideOfRegularSession",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentMigrantEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorityForServices",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentMigrantEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "lastQualifyingMove",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentMigrantEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "continuationOfServicesReasonDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentMigrantEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "usInitialEntry",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentMigrantEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "usMostRecentEntry",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentMigrantEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "usInitialSchoolEntry",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentMigrantEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "services",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentMigrantEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentTitleIPartAProgramAssociation = new MetadataTypeInfo { TypeName = "StudentTitleIPartAProgramAssociation" };
            cacheData.Add(typeInfoStudentTitleIPartAProgramAssociation);
            typeInfoStudentTitleIPartAProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentTitleIPartAProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentTitleIPartAProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentTitleIPartAProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentTitleIPartAProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentTitleIPartAProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentTitleIPartAProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "reasonExitedDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentTitleIPartAProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "servedOutsideOfRegularSession",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentTitleIPartAProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "titleIPartAParticipantType",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentTitleIPartAProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "services",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentTitleIPartAProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentCTEProgramAssociation = new MetadataTypeInfo { TypeName = "StudentCTEProgramAssociation" };
            cacheData.Add(typeInfoStudentCTEProgramAssociation);
            typeInfoStudentCTEProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentCTEProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCTEProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCTEProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCTEProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCTEProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentCTEProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "reasonExitedDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentCTEProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "servedOutsideOfRegularSession",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentCTEProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "services",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentCTEProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "ctePrograms",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentCTEProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAssessmentItem = new MetadataTypeInfo { TypeName = "AssessmentItem" };
            cacheData.Add(typeInfoAssessmentItem);
            typeInfoAssessmentItem.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentItem.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessmentReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoAssessmentItem.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoAssessmentItem.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "categoryType",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentItem.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "maxRawScore",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentItem.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "correctResponse",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentItem.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "expectedTimeAssessed",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentItem.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "nomenclature",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentItem.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "learningStandards",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentItem.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAssessment = new MetadataTypeInfo { TypeName = "Assessment" };
            cacheData.Add(typeInfoAssessment);
            typeInfoAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessmentFamilyReference",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "title",
                IsPartOfNaturalKey = true,
            });
            typeInfoAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessedGradeLevelDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "academicSubjectDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "version",
                IsPartOfNaturalKey = true,
            });
            typeInfoAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "categoryDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "lowestAssessedGradeLevelDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "form",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "revisionDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "maxRawScore",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "nomenclature",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "periodDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "contentStandard",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationCodes",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "languages",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "performanceLevels",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programs",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "scores",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "sections",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAssessmentFamily = new MetadataTypeInfo { TypeName = "AssessmentFamily" };
            cacheData.Add(typeInfoAssessmentFamily);
            typeInfoAssessmentFamily.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentFamily.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "parentAssessmentFamilyReference",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentFamily.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "title",
                IsPartOfNaturalKey = true,
            });
            typeInfoAssessmentFamily.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessmentCategoryDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentFamily.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "academicSubjectDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentFamily.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessedGradeLevelDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentFamily.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "lowestAssessedGradeLevelDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentFamily.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "version",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentFamily.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "revisionDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentFamily.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "nomenclature",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentFamily.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentFamily.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "contentStandard",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentFamily.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessmentPeriods",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentFamily.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationCodes",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentFamily.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "languages",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentFamily.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoObjectiveAssessment = new MetadataTypeInfo { TypeName = "ObjectiveAssessment" };
            cacheData.Add(typeInfoObjectiveAssessment);
            typeInfoObjectiveAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoObjectiveAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessmentReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoObjectiveAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "parentObjectiveAssessmentReference",
                IsPartOfNaturalKey = false,
            });
            typeInfoObjectiveAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoObjectiveAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "maxRawScore",
                IsPartOfNaturalKey = false,
            });
            typeInfoObjectiveAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "percentOfAssessment",
                IsPartOfNaturalKey = false,
            });
            typeInfoObjectiveAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "nomenclature",
                IsPartOfNaturalKey = false,
            });
            typeInfoObjectiveAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoObjectiveAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessmentItems",
                IsPartOfNaturalKey = false,
            });
            typeInfoObjectiveAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "learningObjectives",
                IsPartOfNaturalKey = false,
            });
            typeInfoObjectiveAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "learningStandards",
                IsPartOfNaturalKey = false,
            });
            typeInfoObjectiveAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "performanceLevels",
                IsPartOfNaturalKey = false,
            });
            typeInfoObjectiveAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoLearningObjective = new MetadataTypeInfo { TypeName = "LearningObjective" };
            cacheData.Add(typeInfoLearningObjective);
            typeInfoLearningObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoLearningObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "parentLearningObjectiveReference",
                IsPartOfNaturalKey = false,
            });
            typeInfoLearningObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "objective",
                IsPartOfNaturalKey = true,
            });
            typeInfoLearningObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "academicSubjectDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoLearningObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "objectiveGradeLevelDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoLearningObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "learningObjectiveId",
                IsPartOfNaturalKey = false,
            });
            typeInfoLearningObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoLearningObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "nomenclature",
                IsPartOfNaturalKey = false,
            });
            typeInfoLearningObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "successCriteria",
                IsPartOfNaturalKey = false,
            });
            typeInfoLearningObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoLearningObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "contentStandard",
                IsPartOfNaturalKey = false,
            });
            typeInfoLearningObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "learningStandards",
                IsPartOfNaturalKey = false,
            });
            typeInfoLearningObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoLearningStandard = new MetadataTypeInfo { TypeName = "LearningStandard" };
            cacheData.Add(typeInfoLearningStandard);
            typeInfoLearningStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoLearningStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "parentLearningStandardReference",
                IsPartOfNaturalKey = false,
            });
            typeInfoLearningStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "learningStandardId",
                IsPartOfNaturalKey = true,
            });
            typeInfoLearningStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoLearningStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "itemCode",
                IsPartOfNaturalKey = false,
            });
            typeInfoLearningStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "uri",
                IsPartOfNaturalKey = false,
            });
            typeInfoLearningStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "academicSubjectDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoLearningStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "courseTitle",
                IsPartOfNaturalKey = false,
            });
            typeInfoLearningStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "successCriteria",
                IsPartOfNaturalKey = false,
            });
            typeInfoLearningStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoLearningStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "contentStandard",
                IsPartOfNaturalKey = false,
            });
            typeInfoLearningStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradeLevels",
                IsPartOfNaturalKey = false,
            });
            typeInfoLearningStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationCodes",
                IsPartOfNaturalKey = false,
            });
            typeInfoLearningStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "prerequisiteLearningStandards",
                IsPartOfNaturalKey = false,
            });
            typeInfoLearningStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoEducationContent = new MetadataTypeInfo { TypeName = "EducationContent" };
            cacheData.Add(typeInfoEducationContent);
            typeInfoEducationContent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationContent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "learningStandardReference",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationContent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "contentIdentifier",
                IsPartOfNaturalKey = true,
            });
            typeInfoEducationContent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "learningResourceMetadataURI",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationContent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationContent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationContent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "additionalAuthorsIndicator",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationContent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "publisher",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationContent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "timeRequired",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationContent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "interactivityStyleType",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationContent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "contentClassType",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationContent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "useRightsURL",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationContent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "publicationDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationContent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "publicationYear",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationContent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "version",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationContent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "cost",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationContent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "costRateType",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationContent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationContent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "appropriateGradeLevels",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationContent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "appropriateSexes",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationContent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "authors",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationContent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "derivativeSourceEducationContents",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationContent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "derivativeSourceLearningResourceMetadataURIs",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationContent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "derivativeSourceURIs",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationContent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "languages",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationContent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCalendarDate = new MetadataTypeInfo { TypeName = "CalendarDate" };
            cacheData.Add(typeInfoCalendarDate);
            typeInfoCalendarDate.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoCalendarDate.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoCalendarDate.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "date",
                IsPartOfNaturalKey = true,
            });
            typeInfoCalendarDate.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "calendarEvents",
                IsPartOfNaturalKey = false,
            });
            typeInfoCalendarDate.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoSession = new MetadataTypeInfo { TypeName = "Session" };
            cacheData.Add(typeInfoSession);
            typeInfoSession.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoSession.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoSession.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolYearTypeReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoSession.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "termDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoSession.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "name",
                IsPartOfNaturalKey = false,
            });
            typeInfoSession.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoSession.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoSession.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "totalInstructionalDays",
                IsPartOfNaturalKey = false,
            });
            typeInfoSession.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "academicWeeks",
                IsPartOfNaturalKey = false,
            });
            typeInfoSession.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradingPeriods",
                IsPartOfNaturalKey = false,
            });
            typeInfoSession.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoClassPeriod = new MetadataTypeInfo { TypeName = "ClassPeriod" };
            cacheData.Add(typeInfoClassPeriod);
            typeInfoClassPeriod.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoClassPeriod.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoClassPeriod.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "name",
                IsPartOfNaturalKey = true,
            });
            typeInfoClassPeriod.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoBellSchedule = new MetadataTypeInfo { TypeName = "BellSchedule" };
            cacheData.Add(typeInfoBellSchedule);
            typeInfoBellSchedule.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoBellSchedule.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "calendarDateReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoBellSchedule.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "name",
                IsPartOfNaturalKey = true,
            });
            typeInfoBellSchedule.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradeLevelDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoBellSchedule.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "meetingTimes",
                IsPartOfNaturalKey = false,
            });
            typeInfoBellSchedule.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoDisciplineIncident = new MetadataTypeInfo { TypeName = "DisciplineIncident" };
            cacheData.Add(typeInfoDisciplineIncident);
            typeInfoDisciplineIncident.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisciplineIncident.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoDisciplineIncident.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "staffReference",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisciplineIncident.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "incidentIdentifier",
                IsPartOfNaturalKey = true,
            });
            typeInfoDisciplineIncident.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "incidentDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisciplineIncident.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "incidentTime",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisciplineIncident.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "incidentLocationType",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisciplineIncident.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "incidentDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisciplineIncident.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "reporterDescriptionDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisciplineIncident.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "reporterName",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisciplineIncident.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "reportedToLawEnforcement",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisciplineIncident.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "caseNumber",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisciplineIncident.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "incidentCost",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisciplineIncident.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "seriousBodilyInjury",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisciplineIncident.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "sexualAssault",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisciplineIncident.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "behaviors",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisciplineIncident.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "weapons",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisciplineIncident.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoDisciplineAction = new MetadataTypeInfo { TypeName = "DisciplineAction" };
            cacheData.Add(typeInfoDisciplineAction);
            typeInfoDisciplineAction.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisciplineAction.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assignmentSchoolReference",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisciplineAction.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "responsibilitySchoolReference",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisciplineAction.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoDisciplineAction.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identifier",
                IsPartOfNaturalKey = true,
            });
            typeInfoDisciplineAction.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "disciplineDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoDisciplineAction.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "length",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisciplineAction.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "actualDisciplineActionLength",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisciplineAction.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "lengthDifferenceReasonType",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisciplineAction.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "relatedToZeroTolerancePolicy",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisciplineAction.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "disciplines",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisciplineAction.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "disciplineIncidents",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisciplineAction.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "staffs",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisciplineAction.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentSchoolAssociation = new MetadataTypeInfo { TypeName = "StudentSchoolAssociation" };
            cacheData.Add(typeInfoStudentSchoolAssociation);
            typeInfoStudentSchoolAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSchoolAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "graduationPlanReference",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSchoolAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSchoolAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "classOfSchoolYearTypeReference",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSchoolAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolYearTypeReference",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSchoolAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSchoolAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "entryDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSchoolAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "entryGradeLevelDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSchoolAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "entryGradeLevelReasonType",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSchoolAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "entryTypeDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSchoolAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "repeatGradeIndicator",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSchoolAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolChoiceTransfer",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSchoolAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "exitWithdrawDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSchoolAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "exitWithdrawTypeDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSchoolAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "residencyStatusDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSchoolAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "primarySchool",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSchoolAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "employedWhileEnrolled",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSchoolAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "enrollmentPercent",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSchoolAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "residencyStatusAsOfDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSchoolAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationPlans",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSchoolAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentEducationOrganizationAssociation = new MetadataTypeInfo { TypeName = "StudentEducationOrganizationAssociation" };
            cacheData.Add(typeInfoStudentEducationOrganizationAssociation);
            typeInfoStudentEducationOrganizationAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentEducationOrganizationAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentEducationOrganizationAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentEducationOrganizationAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "responsibilityDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentEducationOrganizationAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "responsibilityAsOfDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentEducationOrganizationAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAccount = new MetadataTypeInfo { TypeName = "Account" };
            cacheData.Add(typeInfoAccount);
            typeInfoAccount.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoAccount.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoAccount.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "number",
                IsPartOfNaturalKey = true,
            });
            typeInfoAccount.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "fiscalYear",
                IsPartOfNaturalKey = true,
            });
            typeInfoAccount.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codes",
                IsPartOfNaturalKey = false,
            });
            typeInfoAccount.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoActual = new MetadataTypeInfo { TypeName = "Actual" };
            cacheData.Add(typeInfoActual);
            typeInfoActual.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoActual.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "accountReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoActual.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "asOfDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoActual.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "amountToDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoActual.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoBudget = new MetadataTypeInfo { TypeName = "Budget" };
            cacheData.Add(typeInfoBudget);
            typeInfoBudget.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoBudget.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "accountReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoBudget.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "asOfDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoBudget.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "amount",
                IsPartOfNaturalKey = false,
            });
            typeInfoBudget.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoContractedStaff = new MetadataTypeInfo { TypeName = "ContractedStaff" };
            cacheData.Add(typeInfoContractedStaff);
            typeInfoContractedStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoContractedStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "accountReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoContractedStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "staffReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoContractedStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "asOfDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoContractedStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "amountToDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoContractedStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoPayroll = new MetadataTypeInfo { TypeName = "Payroll" };
            cacheData.Add(typeInfoPayroll);
            typeInfoPayroll.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoPayroll.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "accountReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoPayroll.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "staffReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoPayroll.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "asOfDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoPayroll.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "amountToDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoPayroll.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoPostSecondaryEvent = new MetadataTypeInfo { TypeName = "PostSecondaryEvent" };
            cacheData.Add(typeInfoPostSecondaryEvent);
            typeInfoPostSecondaryEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoPostSecondaryEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoPostSecondaryEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "categoryType",
                IsPartOfNaturalKey = true,
            });
            typeInfoPostSecondaryEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "eventDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoPostSecondaryEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "postSecondaryInstitution",
                IsPartOfNaturalKey = false,
            });
            typeInfoPostSecondaryEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoIntervention = new MetadataTypeInfo { TypeName = "Intervention" };
            cacheData.Add(typeInfoIntervention);
            typeInfoIntervention.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoIntervention.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoIntervention.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoIntervention.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "classType",
                IsPartOfNaturalKey = false,
            });
            typeInfoIntervention.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "deliveryMethodType",
                IsPartOfNaturalKey = false,
            });
            typeInfoIntervention.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoIntervention.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoIntervention.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "appropriateGradeLevels",
                IsPartOfNaturalKey = false,
            });
            typeInfoIntervention.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "appropriateSexes",
                IsPartOfNaturalKey = false,
            });
            typeInfoIntervention.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "diagnoses",
                IsPartOfNaturalKey = false,
            });
            typeInfoIntervention.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationContents",
                IsPartOfNaturalKey = false,
            });
            typeInfoIntervention.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "interventionPrescriptions",
                IsPartOfNaturalKey = false,
            });
            typeInfoIntervention.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "learningResourceMetadataURIs",
                IsPartOfNaturalKey = false,
            });
            typeInfoIntervention.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "meetingTimes",
                IsPartOfNaturalKey = false,
            });
            typeInfoIntervention.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "populationServeds",
                IsPartOfNaturalKey = false,
            });
            typeInfoIntervention.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "staffs",
                IsPartOfNaturalKey = false,
            });
            typeInfoIntervention.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "uris",
                IsPartOfNaturalKey = false,
            });
            typeInfoIntervention.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoInterventionPrescription = new MetadataTypeInfo { TypeName = "InterventionPrescription" };
            cacheData.Add(typeInfoInterventionPrescription);
            typeInfoInterventionPrescription.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoInterventionPrescription.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoInterventionPrescription.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoInterventionPrescription.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "interventionClassType",
                IsPartOfNaturalKey = false,
            });
            typeInfoInterventionPrescription.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "deliveryMethodType",
                IsPartOfNaturalKey = false,
            });
            typeInfoInterventionPrescription.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "appropriateGradeLevels",
                IsPartOfNaturalKey = false,
            });
            typeInfoInterventionPrescription.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "appropriateSexes",
                IsPartOfNaturalKey = false,
            });
            typeInfoInterventionPrescription.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "diagnoses",
                IsPartOfNaturalKey = false,
            });
            typeInfoInterventionPrescription.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationContents",
                IsPartOfNaturalKey = false,
            });
            typeInfoInterventionPrescription.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "learningResourceMetadataURIs",
                IsPartOfNaturalKey = false,
            });
            typeInfoInterventionPrescription.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "populationServeds",
                IsPartOfNaturalKey = false,
            });
            typeInfoInterventionPrescription.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "uris",
                IsPartOfNaturalKey = false,
            });
            typeInfoInterventionPrescription.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoInterventionStudy = new MetadataTypeInfo { TypeName = "InterventionStudy" };
            cacheData.Add(typeInfoInterventionStudy);
            typeInfoInterventionStudy.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoInterventionStudy.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoInterventionStudy.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "interventionPrescriptionReference",
                IsPartOfNaturalKey = false,
            });
            typeInfoInterventionStudy.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoInterventionStudy.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "participants",
                IsPartOfNaturalKey = false,
            });
            typeInfoInterventionStudy.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "deliveryMethodType",
                IsPartOfNaturalKey = false,
            });
            typeInfoInterventionStudy.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "interventionClassType",
                IsPartOfNaturalKey = false,
            });
            typeInfoInterventionStudy.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "appropriateGradeLevels",
                IsPartOfNaturalKey = false,
            });
            typeInfoInterventionStudy.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "appropriateSexes",
                IsPartOfNaturalKey = false,
            });
            typeInfoInterventionStudy.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationContents",
                IsPartOfNaturalKey = false,
            });
            typeInfoInterventionStudy.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "interventionEffectivenesses",
                IsPartOfNaturalKey = false,
            });
            typeInfoInterventionStudy.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "learningResourceMetadataURIs",
                IsPartOfNaturalKey = false,
            });
            typeInfoInterventionStudy.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "populationServeds",
                IsPartOfNaturalKey = false,
            });
            typeInfoInterventionStudy.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "stateAbbreviations",
                IsPartOfNaturalKey = false,
            });
            typeInfoInterventionStudy.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "uris",
                IsPartOfNaturalKey = false,
            });
            typeInfoInterventionStudy.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentInterventionAssociation = new MetadataTypeInfo { TypeName = "StudentInterventionAssociation" };
            cacheData.Add(typeInfoStudentInterventionAssociation);
            typeInfoStudentInterventionAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentInterventionAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "cohortReference",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentInterventionAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "interventionReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentInterventionAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentInterventionAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "diagnosticStatement",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentInterventionAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "interventionEffectivenesses",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentInterventionAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentInterventionAttendanceEvent = new MetadataTypeInfo { TypeName = "StudentInterventionAttendanceEvent" };
            cacheData.Add(typeInfoStudentInterventionAttendanceEvent);
            typeInfoStudentInterventionAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentInterventionAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "interventionReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentInterventionAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentInterventionAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "eventDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentInterventionAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "attendanceEventCategoryDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentInterventionAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "attendanceEventReason",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentInterventionAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationalEnvironmentType",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentInterventionAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoGradingPeriod = new MetadataTypeInfo { TypeName = "GradingPeriod" };
            cacheData.Add(typeInfoGradingPeriod);
            typeInfoGradingPeriod.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradingPeriod.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoGradingPeriod.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "descriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoGradingPeriod.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoGradingPeriod.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "totalInstructionalDays",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradingPeriod.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradingPeriod.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "periodSequence",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradingPeriod.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAcademicWeek = new MetadataTypeInfo { TypeName = "AcademicWeek" };
            cacheData.Add(typeInfoAcademicWeek);
            typeInfoAcademicWeek.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoAcademicWeek.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginCalendarDateReference",
                IsPartOfNaturalKey = false,
            });
            typeInfoAcademicWeek.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endCalendarDateReference",
                IsPartOfNaturalKey = false,
            });
            typeInfoAcademicWeek.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoAcademicWeek.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "weekIdentifier",
                IsPartOfNaturalKey = true,
            });
            typeInfoAcademicWeek.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "totalInstructionalDays",
                IsPartOfNaturalKey = false,
            });
            typeInfoAcademicWeek.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoLeaveEvent = new MetadataTypeInfo { TypeName = "LeaveEvent" };
            cacheData.Add(typeInfoLeaveEvent);
            typeInfoLeaveEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoLeaveEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "staffReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoLeaveEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "eventDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoLeaveEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "categoryType",
                IsPartOfNaturalKey = true,
            });
            typeInfoLeaveEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "reason",
                IsPartOfNaturalKey = false,
            });
            typeInfoLeaveEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "hoursOnLeave",
                IsPartOfNaturalKey = false,
            });
            typeInfoLeaveEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "substituteAssigned",
                IsPartOfNaturalKey = false,
            });
            typeInfoLeaveEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStaffSectionAssociation = new MetadataTypeInfo { TypeName = "StaffSectionAssociation" };
            cacheData.Add(typeInfoStaffSectionAssociation);
            typeInfoStaffSectionAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffSectionAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "sectionReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffSectionAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "staffReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffSectionAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "classroomPositionDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffSectionAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffSectionAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffSectionAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "highlyQualifiedTeacher",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffSectionAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "teacherStudentDataLinkExclusion",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffSectionAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "percentageContribution",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffSectionAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStaffSchoolAssociation = new MetadataTypeInfo { TypeName = "StaffSchoolAssociation" };
            cacheData.Add(typeInfoStaffSchoolAssociation);
            typeInfoStaffSchoolAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffSchoolAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffSchoolAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "staffReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffSchoolAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programAssignmentDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffSchoolAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolYear",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffSchoolAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "academicSubjects",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffSchoolAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradeLevels",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffSchoolAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoOpenStaffPosition = new MetadataTypeInfo { TypeName = "OpenStaffPosition" };
            cacheData.Add(typeInfoOpenStaffPosition);
            typeInfoOpenStaffPosition.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoOpenStaffPosition.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoOpenStaffPosition.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "employmentStatusDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoOpenStaffPosition.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "staffClassificationDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoOpenStaffPosition.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "requisitionNumber",
                IsPartOfNaturalKey = true,
            });
            typeInfoOpenStaffPosition.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "datePosted",
                IsPartOfNaturalKey = true,
            });
            typeInfoOpenStaffPosition.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "positionTitle",
                IsPartOfNaturalKey = false,
            });
            typeInfoOpenStaffPosition.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programAssignmentDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoOpenStaffPosition.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "datePostingRemoved",
                IsPartOfNaturalKey = false,
            });
            typeInfoOpenStaffPosition.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "postingResultType",
                IsPartOfNaturalKey = false,
            });
            typeInfoOpenStaffPosition.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "academicSubjects",
                IsPartOfNaturalKey = false,
            });
            typeInfoOpenStaffPosition.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "instructionalGradeLevels",
                IsPartOfNaturalKey = false,
            });
            typeInfoOpenStaffPosition.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCourseOffering = new MetadataTypeInfo { TypeName = "CourseOffering" };
            cacheData.Add(typeInfoCourseOffering);
            typeInfoCourseOffering.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseOffering.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "courseReference",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseOffering.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoCourseOffering.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "sessionReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoCourseOffering.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "localCourseCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoCourseOffering.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "localCourseTitle",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseOffering.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "instructionalTimePlanned",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseOffering.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "curriculumUseds",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseOffering.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentAcademicRecord = new MetadataTypeInfo { TypeName = "StudentAcademicRecord" };
            cacheData.Add(typeInfoStudentAcademicRecord);
            typeInfoStudentAcademicRecord.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecord.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAcademicRecord.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolYearTypeReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAcademicRecord.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAcademicRecord.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "termDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAcademicRecord.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "cumulativeEarnedCreditType",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecord.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "cumulativeEarnedCreditConversion",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecord.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "cumulativeEarnedCredits",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecord.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "cumulativeAttemptedCreditType",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecord.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "cumulativeAttemptedCreditConversion",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecord.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "cumulativeAttemptedCredits",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecord.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "cumulativeGradePointsEarned",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecord.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "cumulativeGradePointAverage",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecord.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradeValueQualifier",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecord.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "projectedGraduationDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecord.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "sessionEarnedCreditType",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecord.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "sessionEarnedCreditConversion",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecord.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "sessionEarnedCredits",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecord.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "sessionAttemptedCreditType",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecord.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "sessionAttemptedCreditConversion",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecord.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "sessionAttemptedCredits",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecord.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "sessionGradePointsEarned",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecord.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "sessionGradePointAverage",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecord.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "classRanking",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecord.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "academicHonors",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecord.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "diplomas",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecord.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "recognitions",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecord.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "reportCards",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecord.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCourseTranscript = new MetadataTypeInfo { TypeName = "CourseTranscript" };
            cacheData.Add(typeInfoCourseTranscript);
            typeInfoCourseTranscript.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseTranscript.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "courseReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoCourseTranscript.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolReference",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseTranscript.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentAcademicRecordReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoCourseTranscript.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "courseAttemptResultType",
                IsPartOfNaturalKey = true,
            });
            typeInfoCourseTranscript.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "attemptedCreditType",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseTranscript.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "attemptedCreditConversion",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseTranscript.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "attemptedCredits",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseTranscript.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "earnedCreditType",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseTranscript.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "earnedCreditConversion",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseTranscript.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "earnedCredits",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseTranscript.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "whenTakenGradeLevelDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseTranscript.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "methodCreditEarnedType",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseTranscript.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "finalLetterGradeEarned",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseTranscript.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "finalNumericGradeEarned",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseTranscript.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "courseRepeatCodeType",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseTranscript.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "courseTitle",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseTranscript.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "alternativeCourseTitle",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseTranscript.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "alternativeCourseCode",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseTranscript.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "earnedAdditionalCredits",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseTranscript.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoReportCard = new MetadataTypeInfo { TypeName = "ReportCard" };
            cacheData.Add(typeInfoReportCard);
            typeInfoReportCard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoReportCard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoReportCard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradingPeriodReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoReportCard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoReportCard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gpaGivenGradingPeriod",
                IsPartOfNaturalKey = false,
            });
            typeInfoReportCard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gpaCumulative",
                IsPartOfNaturalKey = false,
            });
            typeInfoReportCard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "numberOfDaysAbsent",
                IsPartOfNaturalKey = false,
            });
            typeInfoReportCard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "numberOfDaysInAttendance",
                IsPartOfNaturalKey = false,
            });
            typeInfoReportCard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "numberOfDaysTardy",
                IsPartOfNaturalKey = false,
            });
            typeInfoReportCard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "grades",
                IsPartOfNaturalKey = false,
            });
            typeInfoReportCard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentCompetencyObjectives",
                IsPartOfNaturalKey = false,
            });
            typeInfoReportCard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentLearningObjectives",
                IsPartOfNaturalKey = false,
            });
            typeInfoReportCard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoGrade = new MetadataTypeInfo { TypeName = "Grade" };
            cacheData.Add(typeInfoGrade);
            typeInfoGrade.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoGrade.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradingPeriodReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoGrade.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentSectionAssociationReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoGrade.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "type",
                IsPartOfNaturalKey = true,
            });
            typeInfoGrade.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "performanceBaseConversionType",
                IsPartOfNaturalKey = false,
            });
            typeInfoGrade.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "letterGradeEarned",
                IsPartOfNaturalKey = false,
            });
            typeInfoGrade.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "numericGradeEarned",
                IsPartOfNaturalKey = false,
            });
            typeInfoGrade.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "diagnosticStatement",
                IsPartOfNaturalKey = false,
            });
            typeInfoGrade.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoGradebookEntry = new MetadataTypeInfo { TypeName = "GradebookEntry" };
            cacheData.Add(typeInfoGradebookEntry);
            typeInfoGradebookEntry.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradebookEntry.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradingPeriodReference",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradebookEntry.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "sectionReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoGradebookEntry.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "title",
                IsPartOfNaturalKey = true,
            });
            typeInfoGradebookEntry.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "dateAssigned",
                IsPartOfNaturalKey = true,
            });
            typeInfoGradebookEntry.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "type",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradebookEntry.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradebookEntry.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "learningObjectives",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradebookEntry.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "learningStandards",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradebookEntry.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentGradebookEntry = new MetadataTypeInfo { TypeName = "StudentGradebookEntry" };
            cacheData.Add(typeInfoStudentGradebookEntry);
            typeInfoStudentGradebookEntry.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentGradebookEntry.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradebookEntryReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentGradebookEntry.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentSectionAssociationReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentGradebookEntry.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "dateFulfilled",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentGradebookEntry.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "letterGradeEarned",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentGradebookEntry.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "numericGradeEarned",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentGradebookEntry.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "competencyLevelDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentGradebookEntry.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "diagnosticStatement",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentGradebookEntry.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentSectionAttendanceEvent = new MetadataTypeInfo { TypeName = "StudentSectionAttendanceEvent" };
            cacheData.Add(typeInfoStudentSectionAttendanceEvent);
            typeInfoStudentSectionAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSectionAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "sectionReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSectionAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSectionAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "eventDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSectionAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "attendanceEventCategoryDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSectionAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "attendanceEventReason",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSectionAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationalEnvironmentType",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSectionAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentSchoolAttendanceEvent = new MetadataTypeInfo { TypeName = "StudentSchoolAttendanceEvent" };
            cacheData.Add(typeInfoStudentSchoolAttendanceEvent);
            typeInfoStudentSchoolAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSchoolAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSchoolAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "sessionReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSchoolAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSchoolAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "eventDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSchoolAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "attendanceEventCategoryDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSchoolAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "attendanceEventReason",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSchoolAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationalEnvironmentType",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSchoolAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentProgramAttendanceEvent = new MetadataTypeInfo { TypeName = "StudentProgramAttendanceEvent" };
            cacheData.Add(typeInfoStudentProgramAttendanceEvent);
            typeInfoStudentProgramAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentProgramAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentProgramAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentProgramAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentProgramAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "eventDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentProgramAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "attendanceEventCategoryDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentProgramAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "attendanceEventReason",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentProgramAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationalEnvironmentType",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentProgramAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentCohortAssociation = new MetadataTypeInfo { TypeName = "StudentCohortAssociation" };
            cacheData.Add(typeInfoStudentCohortAssociation);
            typeInfoStudentCohortAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentCohortAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "cohortReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCohortAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCohortAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCohortAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentCohortAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "sections",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentCohortAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStaffCohortAssociation = new MetadataTypeInfo { TypeName = "StaffCohortAssociation" };
            cacheData.Add(typeInfoStaffCohortAssociation);
            typeInfoStaffCohortAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffCohortAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "cohortReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffCohortAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "staffReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffCohortAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffCohortAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffCohortAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentRecordAccess",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffCohortAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCompetencyObjective = new MetadataTypeInfo { TypeName = "CompetencyObjective" };
            cacheData.Add(typeInfoCompetencyObjective);
            typeInfoCompetencyObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoCompetencyObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoCompetencyObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "objective",
                IsPartOfNaturalKey = true,
            });
            typeInfoCompetencyObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "objectiveGradeLevelDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoCompetencyObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "competencyObjectiveId",
                IsPartOfNaturalKey = false,
            });
            typeInfoCompetencyObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoCompetencyObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "successCriteria",
                IsPartOfNaturalKey = false,
            });
            typeInfoCompetencyObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentCompetencyObjective = new MetadataTypeInfo { TypeName = "StudentCompetencyObjective" };
            cacheData.Add(typeInfoStudentCompetencyObjective);
            typeInfoStudentCompetencyObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentCompetencyObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "objectiveCompetencyObjectiveReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCompetencyObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradingPeriodReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCompetencyObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCompetencyObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentProgramAssociationReference",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentCompetencyObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentSectionAssociationReference",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentCompetencyObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "competencyLevelDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentCompetencyObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "diagnosticStatement",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentCompetencyObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentLearningObjective = new MetadataTypeInfo { TypeName = "StudentLearningObjective" };
            cacheData.Add(typeInfoStudentLearningObjective);
            typeInfoStudentLearningObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentLearningObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradingPeriodReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentLearningObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "learningObjectiveReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentLearningObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentLearningObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentProgramAssociationReference",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentLearningObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentSectionAssociationReference",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentLearningObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "competencyLevelDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentLearningObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "diagnosticStatement",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentLearningObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoParent = new MetadataTypeInfo { TypeName = "Parent" };
            cacheData.Add(typeInfoParent);
            typeInfoParent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoParent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "parentUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoParent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "personalTitlePrefix",
                IsPartOfNaturalKey = false,
            });
            typeInfoParent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "firstName",
                IsPartOfNaturalKey = false,
            });
            typeInfoParent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "middleName",
                IsPartOfNaturalKey = false,
            });
            typeInfoParent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "lastSurname",
                IsPartOfNaturalKey = false,
            });
            typeInfoParent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "generationCodeSuffix",
                IsPartOfNaturalKey = false,
            });
            typeInfoParent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "maidenName",
                IsPartOfNaturalKey = false,
            });
            typeInfoParent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "sexType",
                IsPartOfNaturalKey = false,
            });
            typeInfoParent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "loginId",
                IsPartOfNaturalKey = false,
            });
            typeInfoParent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "addresses",
                IsPartOfNaturalKey = false,
            });
            typeInfoParent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "electronicMails",
                IsPartOfNaturalKey = false,
            });
            typeInfoParent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationDocuments",
                IsPartOfNaturalKey = false,
            });
            typeInfoParent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "internationalAddresses",
                IsPartOfNaturalKey = false,
            });
            typeInfoParent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "otherNames",
                IsPartOfNaturalKey = false,
            });
            typeInfoParent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "telephones",
                IsPartOfNaturalKey = false,
            });
            typeInfoParent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoEducationOrganizationInterventionPrescriptionAssociation = new MetadataTypeInfo { TypeName = "EducationOrganizationInterventionPrescriptionAssociation" };
            cacheData.Add(typeInfoEducationOrganizationInterventionPrescriptionAssociation);
            typeInfoEducationOrganizationInterventionPrescriptionAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationInterventionPrescriptionAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoEducationOrganizationInterventionPrescriptionAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "interventionPrescriptionReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoEducationOrganizationInterventionPrescriptionAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationInterventionPrescriptionAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationInterventionPrescriptionAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoEducationOrganizationPeerAssociation = new MetadataTypeInfo { TypeName = "EducationOrganizationPeerAssociation" };
            cacheData.Add(typeInfoEducationOrganizationPeerAssociation);
            typeInfoEducationOrganizationPeerAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationPeerAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoEducationOrganizationPeerAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "peerEducationOrganizationReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoEducationOrganizationPeerAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoEducationOrganizationNetworkAssociation = new MetadataTypeInfo { TypeName = "EducationOrganizationNetworkAssociation" };
            cacheData.Add(typeInfoEducationOrganizationNetworkAssociation);
            typeInfoEducationOrganizationNetworkAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationNetworkAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "memberEducationOrganizationReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoEducationOrganizationNetworkAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationNetworkReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoEducationOrganizationNetworkAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationNetworkAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationNetworkAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoSchool = new MetadataTypeInfo { TypeName = "School" };
            cacheData.Add(typeInfoSchool);
            typeInfoSchool.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchool.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "localEducationAgencyReference",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchool.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "charterApprovalSchoolYearTypeReference",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchool.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolId",
                IsPartOfNaturalKey = true,
            });
            typeInfoSchool.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "stateOrganizationId",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchool.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "nameOfInstitution",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchool.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortNameOfInstitution",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchool.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "webSite",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchool.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "operationalStatusType",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchool.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "type",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchool.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "charterStatusType",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchool.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "titleIPartASchoolDesignationType",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchool.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "magnetSpecialProgramEmphasisSchoolType",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchool.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "administrativeFundingControlDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchool.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "internetAccessType",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchool.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "charterApprovalAgencyType",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchool.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "addresses",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchool.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationCategories",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchool.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationCodes",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchool.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "institutionTelephones",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchool.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "internationalAddresses",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchool.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolCategories",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchool.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradeLevels",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchool.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoFeederSchoolAssociation = new MetadataTypeInfo { TypeName = "FeederSchoolAssociation" };
            cacheData.Add(typeInfoFeederSchoolAssociation);
            typeInfoFeederSchoolAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoFeederSchoolAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "feederSchoolReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoFeederSchoolAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoFeederSchoolAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoFeederSchoolAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoFeederSchoolAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "feederRelationshipDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoFeederSchoolAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoEducationServiceCenter = new MetadataTypeInfo { TypeName = "EducationServiceCenter" };
            cacheData.Add(typeInfoEducationServiceCenter);
            typeInfoEducationServiceCenter.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationServiceCenter.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "stateEducationAgencyReference",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationServiceCenter.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationServiceCenterId",
                IsPartOfNaturalKey = true,
            });
            typeInfoEducationServiceCenter.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "stateOrganizationId",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationServiceCenter.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "nameOfInstitution",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationServiceCenter.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortNameOfInstitution",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationServiceCenter.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "webSite",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationServiceCenter.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "operationalStatusType",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationServiceCenter.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "addresses",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationServiceCenter.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationCategories",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationServiceCenter.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationCodes",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationServiceCenter.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "institutionTelephones",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationServiceCenter.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "internationalAddresses",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationServiceCenter.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoEducationOrganizationNetwork = new MetadataTypeInfo { TypeName = "EducationOrganizationNetwork" };
            cacheData.Add(typeInfoEducationOrganizationNetwork);
            typeInfoEducationOrganizationNetwork.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationNetwork.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationNetworkId",
                IsPartOfNaturalKey = true,
            });
            typeInfoEducationOrganizationNetwork.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "stateOrganizationId",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationNetwork.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "nameOfInstitution",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationNetwork.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortNameOfInstitution",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationNetwork.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "webSite",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationNetwork.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "operationalStatusType",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationNetwork.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "networkPurposeType",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationNetwork.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "addresses",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationNetwork.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationCategories",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationNetwork.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationCodes",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationNetwork.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "institutionTelephones",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationNetwork.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "internationalAddresses",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationNetwork.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoLocalEducationAgency = new MetadataTypeInfo { TypeName = "LocalEducationAgency" };
            cacheData.Add(typeInfoLocalEducationAgency);
            typeInfoLocalEducationAgency.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoLocalEducationAgency.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationServiceCenterReference",
                IsPartOfNaturalKey = false,
            });
            typeInfoLocalEducationAgency.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "parentLocalEducationAgencyReference",
                IsPartOfNaturalKey = false,
            });
            typeInfoLocalEducationAgency.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "stateEducationAgencyReference",
                IsPartOfNaturalKey = false,
            });
            typeInfoLocalEducationAgency.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "localEducationAgencyId",
                IsPartOfNaturalKey = true,
            });
            typeInfoLocalEducationAgency.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "stateOrganizationId",
                IsPartOfNaturalKey = false,
            });
            typeInfoLocalEducationAgency.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "nameOfInstitution",
                IsPartOfNaturalKey = false,
            });
            typeInfoLocalEducationAgency.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortNameOfInstitution",
                IsPartOfNaturalKey = false,
            });
            typeInfoLocalEducationAgency.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "webSite",
                IsPartOfNaturalKey = false,
            });
            typeInfoLocalEducationAgency.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "operationalStatusType",
                IsPartOfNaturalKey = false,
            });
            typeInfoLocalEducationAgency.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "categoryType",
                IsPartOfNaturalKey = false,
            });
            typeInfoLocalEducationAgency.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "charterStatusType",
                IsPartOfNaturalKey = false,
            });
            typeInfoLocalEducationAgency.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "addresses",
                IsPartOfNaturalKey = false,
            });
            typeInfoLocalEducationAgency.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationCategories",
                IsPartOfNaturalKey = false,
            });
            typeInfoLocalEducationAgency.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationCodes",
                IsPartOfNaturalKey = false,
            });
            typeInfoLocalEducationAgency.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "institutionTelephones",
                IsPartOfNaturalKey = false,
            });
            typeInfoLocalEducationAgency.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "internationalAddresses",
                IsPartOfNaturalKey = false,
            });
            typeInfoLocalEducationAgency.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "accountabilities",
                IsPartOfNaturalKey = false,
            });
            typeInfoLocalEducationAgency.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStateEducationAgency = new MetadataTypeInfo { TypeName = "StateEducationAgency" };
            cacheData.Add(typeInfoStateEducationAgency);
            typeInfoStateEducationAgency.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStateEducationAgency.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "stateEducationAgencyId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStateEducationAgency.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "stateOrganizationId",
                IsPartOfNaturalKey = false,
            });
            typeInfoStateEducationAgency.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "nameOfInstitution",
                IsPartOfNaturalKey = false,
            });
            typeInfoStateEducationAgency.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortNameOfInstitution",
                IsPartOfNaturalKey = false,
            });
            typeInfoStateEducationAgency.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "webSite",
                IsPartOfNaturalKey = false,
            });
            typeInfoStateEducationAgency.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "operationalStatusType",
                IsPartOfNaturalKey = false,
            });
            typeInfoStateEducationAgency.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "addresses",
                IsPartOfNaturalKey = false,
            });
            typeInfoStateEducationAgency.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationCategories",
                IsPartOfNaturalKey = false,
            });
            typeInfoStateEducationAgency.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationCodes",
                IsPartOfNaturalKey = false,
            });
            typeInfoStateEducationAgency.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "institutionTelephones",
                IsPartOfNaturalKey = false,
            });
            typeInfoStateEducationAgency.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "internationalAddresses",
                IsPartOfNaturalKey = false,
            });
            typeInfoStateEducationAgency.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "accountabilities",
                IsPartOfNaturalKey = false,
            });
            typeInfoStateEducationAgency.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoLocation = new MetadataTypeInfo { TypeName = "Location" };
            cacheData.Add(typeInfoLocation);
            typeInfoLocation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoLocation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoLocation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "classroomIdentificationCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoLocation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "maximumNumberOfSeats",
                IsPartOfNaturalKey = false,
            });
            typeInfoLocation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "optimalNumberOfSeats",
                IsPartOfNaturalKey = false,
            });
            typeInfoLocation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStaffEducationOrganizationEmploymentAssociation = new MetadataTypeInfo { TypeName = "StaffEducationOrganizationEmploymentAssociation" };
            cacheData.Add(typeInfoStaffEducationOrganizationEmploymentAssociation);
            typeInfoStaffEducationOrganizationEmploymentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffEducationOrganizationEmploymentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffEducationOrganizationEmploymentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "staffReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffEducationOrganizationEmploymentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "employmentStatusDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffEducationOrganizationEmploymentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "hireDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffEducationOrganizationEmploymentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffEducationOrganizationEmploymentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "separationType",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffEducationOrganizationEmploymentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "separationReasonDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffEducationOrganizationEmploymentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "department",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffEducationOrganizationEmploymentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "fullTimeEquivalency",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffEducationOrganizationEmploymentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "offerDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffEducationOrganizationEmploymentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "hourlyWage",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffEducationOrganizationEmploymentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "repFullTimeBaseAnnualSalary",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffEducationOrganizationEmploymentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "accountingFunctionCodeDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffEducationOrganizationEmploymentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAcademicSubjectType = new MetadataTypeInfo { TypeName = "AcademicSubjectType" };
            cacheData.Add(typeInfoAcademicSubjectType);
            typeInfoAcademicSubjectType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoAcademicSubjectType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "academicSubjectTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoAcademicSubjectType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoAcademicSubjectType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoAcademicSubjectType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoAcademicSubjectType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAcademicSubjectDescriptor = new MetadataTypeInfo { TypeName = "AcademicSubjectDescriptor" };
            cacheData.Add(typeInfoAcademicSubjectDescriptor);
            typeInfoAcademicSubjectDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoAcademicSubjectDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "academicSubjectDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoAcademicSubjectDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoAcademicSubjectDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoAcademicSubjectDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoAcademicSubjectDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoAcademicSubjectDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoAcademicSubjectDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAcademicSubjectDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAcademicSubjectDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "academicSubjectType",
                IsPartOfNaturalKey = false,
            });
            typeInfoAcademicSubjectDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAccommodationType = new MetadataTypeInfo { TypeName = "AccommodationType" };
            cacheData.Add(typeInfoAccommodationType);
            typeInfoAccommodationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoAccommodationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "accommodationTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoAccommodationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoAccommodationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoAccommodationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoAccommodationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAccommodationDescriptor = new MetadataTypeInfo { TypeName = "AccommodationDescriptor" };
            cacheData.Add(typeInfoAccommodationDescriptor);
            typeInfoAccommodationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoAccommodationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "accommodationDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoAccommodationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoAccommodationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoAccommodationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoAccommodationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoAccommodationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoAccommodationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAccommodationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAccommodationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "accommodationType",
                IsPartOfNaturalKey = false,
            });
            typeInfoAccommodationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAdministrativeFundingControlType = new MetadataTypeInfo { TypeName = "AdministrativeFundingControlType" };
            cacheData.Add(typeInfoAdministrativeFundingControlType);
            typeInfoAdministrativeFundingControlType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoAdministrativeFundingControlType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "administrativeFundingControlTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoAdministrativeFundingControlType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoAdministrativeFundingControlType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoAdministrativeFundingControlType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoAdministrativeFundingControlType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAdministrativeFundingControlDescriptor = new MetadataTypeInfo { TypeName = "AdministrativeFundingControlDescriptor" };
            cacheData.Add(typeInfoAdministrativeFundingControlDescriptor);
            typeInfoAdministrativeFundingControlDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoAdministrativeFundingControlDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "administrativeFundingControlDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoAdministrativeFundingControlDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoAdministrativeFundingControlDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoAdministrativeFundingControlDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoAdministrativeFundingControlDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoAdministrativeFundingControlDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoAdministrativeFundingControlDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAdministrativeFundingControlDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAdministrativeFundingControlDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "administrativeFundingControlType",
                IsPartOfNaturalKey = false,
            });
            typeInfoAdministrativeFundingControlDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAssessmentCategoryType = new MetadataTypeInfo { TypeName = "AssessmentCategoryType" };
            cacheData.Add(typeInfoAssessmentCategoryType);
            typeInfoAssessmentCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessmentCategoryTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoAssessmentCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAssessmentCategoryDescriptor = new MetadataTypeInfo { TypeName = "AssessmentCategoryDescriptor" };
            cacheData.Add(typeInfoAssessmentCategoryDescriptor);
            typeInfoAssessmentCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessmentCategoryDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoAssessmentCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessmentCategoryType",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAssessmentIdentificationSystemType = new MetadataTypeInfo { TypeName = "AssessmentIdentificationSystemType" };
            cacheData.Add(typeInfoAssessmentIdentificationSystemType);
            typeInfoAssessmentIdentificationSystemType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentIdentificationSystemType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessmentIdentificationSystemTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoAssessmentIdentificationSystemType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentIdentificationSystemType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentIdentificationSystemType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentIdentificationSystemType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAssessmentIdentificationSystemDescriptor = new MetadataTypeInfo { TypeName = "AssessmentIdentificationSystemDescriptor" };
            cacheData.Add(typeInfoAssessmentIdentificationSystemDescriptor);
            typeInfoAssessmentIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessmentIdentificationSystemDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoAssessmentIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessmentIdentificationSystemType",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAttendanceEventCategoryType = new MetadataTypeInfo { TypeName = "AttendanceEventCategoryType" };
            cacheData.Add(typeInfoAttendanceEventCategoryType);
            typeInfoAttendanceEventCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoAttendanceEventCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "attendanceEventCategoryTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoAttendanceEventCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoAttendanceEventCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoAttendanceEventCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoAttendanceEventCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAttendanceEventCategoryDescriptor = new MetadataTypeInfo { TypeName = "AttendanceEventCategoryDescriptor" };
            cacheData.Add(typeInfoAttendanceEventCategoryDescriptor);
            typeInfoAttendanceEventCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoAttendanceEventCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "attendanceEventCategoryDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoAttendanceEventCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoAttendanceEventCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoAttendanceEventCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoAttendanceEventCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoAttendanceEventCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoAttendanceEventCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAttendanceEventCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAttendanceEventCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "attendanceEventCategoryType",
                IsPartOfNaturalKey = false,
            });
            typeInfoAttendanceEventCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoBehaviorType = new MetadataTypeInfo { TypeName = "BehaviorType" };
            cacheData.Add(typeInfoBehaviorType);
            typeInfoBehaviorType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoBehaviorType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "behaviorTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoBehaviorType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoBehaviorType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoBehaviorType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoBehaviorType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoBehaviorDescriptor = new MetadataTypeInfo { TypeName = "BehaviorDescriptor" };
            cacheData.Add(typeInfoBehaviorDescriptor);
            typeInfoBehaviorDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoBehaviorDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "behaviorDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoBehaviorDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoBehaviorDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoBehaviorDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoBehaviorDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoBehaviorDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoBehaviorDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoBehaviorDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoBehaviorDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "behaviorType",
                IsPartOfNaturalKey = false,
            });
            typeInfoBehaviorDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCalendarEventType = new MetadataTypeInfo { TypeName = "CalendarEventType" };
            cacheData.Add(typeInfoCalendarEventType);
            typeInfoCalendarEventType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoCalendarEventType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "calendarEventTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCalendarEventType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoCalendarEventType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoCalendarEventType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoCalendarEventType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCalendarEventDescriptor = new MetadataTypeInfo { TypeName = "CalendarEventDescriptor" };
            cacheData.Add(typeInfoCalendarEventDescriptor);
            typeInfoCalendarEventDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoCalendarEventDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "calendarEventDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCalendarEventDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoCalendarEventDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoCalendarEventDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoCalendarEventDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoCalendarEventDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoCalendarEventDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoCalendarEventDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoCalendarEventDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "calendarEventType",
                IsPartOfNaturalKey = false,
            });
            typeInfoCalendarEventDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoClassroomPositionType = new MetadataTypeInfo { TypeName = "ClassroomPositionType" };
            cacheData.Add(typeInfoClassroomPositionType);
            typeInfoClassroomPositionType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoClassroomPositionType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "classroomPositionTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoClassroomPositionType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoClassroomPositionType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoClassroomPositionType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoClassroomPositionType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoClassroomPositionDescriptor = new MetadataTypeInfo { TypeName = "ClassroomPositionDescriptor" };
            cacheData.Add(typeInfoClassroomPositionDescriptor);
            typeInfoClassroomPositionDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoClassroomPositionDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "classroomPositionDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoClassroomPositionDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoClassroomPositionDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoClassroomPositionDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoClassroomPositionDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoClassroomPositionDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoClassroomPositionDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoClassroomPositionDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoClassroomPositionDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "classroomPositionType",
                IsPartOfNaturalKey = false,
            });
            typeInfoClassroomPositionDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoContinuationOfServicesReasonType = new MetadataTypeInfo { TypeName = "ContinuationOfServicesReasonType" };
            cacheData.Add(typeInfoContinuationOfServicesReasonType);
            typeInfoContinuationOfServicesReasonType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoContinuationOfServicesReasonType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "continuationOfServicesReasonTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoContinuationOfServicesReasonType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoContinuationOfServicesReasonType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoContinuationOfServicesReasonType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoContinuationOfServicesReasonType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoContinuationOfServicesReasonDescriptor = new MetadataTypeInfo { TypeName = "ContinuationOfServicesReasonDescriptor" };
            cacheData.Add(typeInfoContinuationOfServicesReasonDescriptor);
            typeInfoContinuationOfServicesReasonDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoContinuationOfServicesReasonDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "continuationOfServicesReasonDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoContinuationOfServicesReasonDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoContinuationOfServicesReasonDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoContinuationOfServicesReasonDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoContinuationOfServicesReasonDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoContinuationOfServicesReasonDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoContinuationOfServicesReasonDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoContinuationOfServicesReasonDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoContinuationOfServicesReasonDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "continuationOfServicesReasonType",
                IsPartOfNaturalKey = false,
            });
            typeInfoContinuationOfServicesReasonDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCourseIdentificationSystemType = new MetadataTypeInfo { TypeName = "CourseIdentificationSystemType" };
            cacheData.Add(typeInfoCourseIdentificationSystemType);
            typeInfoCourseIdentificationSystemType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseIdentificationSystemType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "courseIdentificationSystemTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCourseIdentificationSystemType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseIdentificationSystemType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseIdentificationSystemType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseIdentificationSystemType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCourseIdentificationSystemDescriptor = new MetadataTypeInfo { TypeName = "CourseIdentificationSystemDescriptor" };
            cacheData.Add(typeInfoCourseIdentificationSystemDescriptor);
            typeInfoCourseIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "courseIdentificationSystemDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCourseIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "courseIdentificationSystemType",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoDiagnosisType = new MetadataTypeInfo { TypeName = "DiagnosisType" };
            cacheData.Add(typeInfoDiagnosisType);
            typeInfoDiagnosisType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoDiagnosisType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "diagnosisTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoDiagnosisType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoDiagnosisType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoDiagnosisType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoDiagnosisType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoDiagnosisDescriptor = new MetadataTypeInfo { TypeName = "DiagnosisDescriptor" };
            cacheData.Add(typeInfoDiagnosisDescriptor);
            typeInfoDiagnosisDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoDiagnosisDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "diagnosisDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoDiagnosisDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoDiagnosisDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoDiagnosisDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoDiagnosisDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoDiagnosisDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoDiagnosisDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoDiagnosisDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoDiagnosisDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "diagnosisType",
                IsPartOfNaturalKey = false,
            });
            typeInfoDiagnosisDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoDisabilityType = new MetadataTypeInfo { TypeName = "DisabilityType" };
            cacheData.Add(typeInfoDisabilityType);
            typeInfoDisabilityType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisabilityType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "disabilityTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoDisabilityType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisabilityType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisabilityType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisabilityType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoDisabilityDescriptor = new MetadataTypeInfo { TypeName = "DisabilityDescriptor" };
            cacheData.Add(typeInfoDisabilityDescriptor);
            typeInfoDisabilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisabilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "disabilityDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoDisabilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisabilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisabilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisabilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisabilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisabilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisabilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisabilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "disabilityCategoryType",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisabilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "disabilityType",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisabilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoDisciplineType = new MetadataTypeInfo { TypeName = "DisciplineType" };
            cacheData.Add(typeInfoDisciplineType);
            typeInfoDisciplineType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisciplineType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "disciplineTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoDisciplineType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisciplineType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisciplineType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisciplineType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoDisciplineDescriptor = new MetadataTypeInfo { TypeName = "DisciplineDescriptor" };
            cacheData.Add(typeInfoDisciplineDescriptor);
            typeInfoDisciplineDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisciplineDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "disciplineDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoDisciplineDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisciplineDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisciplineDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisciplineDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisciplineDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisciplineDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisciplineDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisciplineDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "disciplineType",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisciplineDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoEducationOrganizationIdentificationSystemType = new MetadataTypeInfo { TypeName = "EducationOrganizationIdentificationSystemType" };
            cacheData.Add(typeInfoEducationOrganizationIdentificationSystemType);
            typeInfoEducationOrganizationIdentificationSystemType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationIdentificationSystemType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationIdentificationSystemTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoEducationOrganizationIdentificationSystemType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationIdentificationSystemType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationIdentificationSystemType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationIdentificationSystemType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoEducationOrganizationIdentificationSystemDescriptor = new MetadataTypeInfo { TypeName = "EducationOrganizationIdentificationSystemDescriptor" };
            cacheData.Add(typeInfoEducationOrganizationIdentificationSystemDescriptor);
            typeInfoEducationOrganizationIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationIdentificationSystemDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoEducationOrganizationIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationIdentificationSystemType",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoEmploymentStatusType = new MetadataTypeInfo { TypeName = "EmploymentStatusType" };
            cacheData.Add(typeInfoEmploymentStatusType);
            typeInfoEmploymentStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoEmploymentStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "employmentStatusTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoEmploymentStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoEmploymentStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoEmploymentStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoEmploymentStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoEmploymentStatusDescriptor = new MetadataTypeInfo { TypeName = "EmploymentStatusDescriptor" };
            cacheData.Add(typeInfoEmploymentStatusDescriptor);
            typeInfoEmploymentStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoEmploymentStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "employmentStatusDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoEmploymentStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoEmploymentStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoEmploymentStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoEmploymentStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoEmploymentStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoEmploymentStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoEmploymentStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoEmploymentStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "employmentStatusType",
                IsPartOfNaturalKey = false,
            });
            typeInfoEmploymentStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoEntryType = new MetadataTypeInfo { TypeName = "EntryType" };
            cacheData.Add(typeInfoEntryType);
            typeInfoEntryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoEntryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "entryTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoEntryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoEntryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoEntryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoEntryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoEntryTypeDescriptor = new MetadataTypeInfo { TypeName = "EntryTypeDescriptor" };
            cacheData.Add(typeInfoEntryTypeDescriptor);
            typeInfoEntryTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoEntryTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "entryTypeDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoEntryTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoEntryTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoEntryTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoEntryTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoEntryTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoEntryTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoEntryTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoEntryTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "entryType",
                IsPartOfNaturalKey = false,
            });
            typeInfoEntryTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoExitWithdrawType = new MetadataTypeInfo { TypeName = "ExitWithdrawType" };
            cacheData.Add(typeInfoExitWithdrawType);
            typeInfoExitWithdrawType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoExitWithdrawType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "exitWithdrawTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoExitWithdrawType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoExitWithdrawType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoExitWithdrawType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoExitWithdrawType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoExitWithdrawTypeDescriptor = new MetadataTypeInfo { TypeName = "ExitWithdrawTypeDescriptor" };
            cacheData.Add(typeInfoExitWithdrawTypeDescriptor);
            typeInfoExitWithdrawTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoExitWithdrawTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "exitWithdrawTypeDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoExitWithdrawTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoExitWithdrawTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoExitWithdrawTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoExitWithdrawTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoExitWithdrawTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoExitWithdrawTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoExitWithdrawTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoExitWithdrawTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "exitWithdrawType",
                IsPartOfNaturalKey = false,
            });
            typeInfoExitWithdrawTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoGradeLevelType = new MetadataTypeInfo { TypeName = "GradeLevelType" };
            cacheData.Add(typeInfoGradeLevelType);
            typeInfoGradeLevelType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradeLevelType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradeLevelTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoGradeLevelType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradeLevelType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradeLevelType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradeLevelType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoGradeLevelDescriptor = new MetadataTypeInfo { TypeName = "GradeLevelDescriptor" };
            cacheData.Add(typeInfoGradeLevelDescriptor);
            typeInfoGradeLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradeLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradeLevelDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoGradeLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradeLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradeLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradeLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradeLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradeLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradeLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradeLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradeLevelType",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradeLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoGradingPeriodType = new MetadataTypeInfo { TypeName = "GradingPeriodType" };
            cacheData.Add(typeInfoGradingPeriodType);
            typeInfoGradingPeriodType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradingPeriodType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradingPeriodTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoGradingPeriodType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradingPeriodType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradingPeriodType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "periodSequence",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradingPeriodType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradingPeriodType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoGradingPeriodDescriptor = new MetadataTypeInfo { TypeName = "GradingPeriodDescriptor" };
            cacheData.Add(typeInfoGradingPeriodDescriptor);
            typeInfoGradingPeriodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradingPeriodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradingPeriodDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoGradingPeriodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradingPeriodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradingPeriodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradingPeriodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradingPeriodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradingPeriodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradingPeriodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradingPeriodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradingPeriodType",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradingPeriodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoGraduationPlanType = new MetadataTypeInfo { TypeName = "GraduationPlanType" };
            cacheData.Add(typeInfoGraduationPlanType);
            typeInfoGraduationPlanType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoGraduationPlanType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "graduationPlanTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoGraduationPlanType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoGraduationPlanType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoGraduationPlanType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoGraduationPlanType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoGraduationPlanTypeDescriptor = new MetadataTypeInfo { TypeName = "GraduationPlanTypeDescriptor" };
            cacheData.Add(typeInfoGraduationPlanTypeDescriptor);
            typeInfoGraduationPlanTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoGraduationPlanTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "graduationPlanTypeDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoGraduationPlanTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoGraduationPlanTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoGraduationPlanTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoGraduationPlanTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoGraduationPlanTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoGraduationPlanTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoGraduationPlanTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoGraduationPlanTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "graduationPlanType",
                IsPartOfNaturalKey = false,
            });
            typeInfoGraduationPlanTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoLevelOfEducationType = new MetadataTypeInfo { TypeName = "LevelOfEducationType" };
            cacheData.Add(typeInfoLevelOfEducationType);
            typeInfoLevelOfEducationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoLevelOfEducationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "levelOfEducationTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoLevelOfEducationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoLevelOfEducationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoLevelOfEducationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoLevelOfEducationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoLevelOfEducationDescriptor = new MetadataTypeInfo { TypeName = "LevelOfEducationDescriptor" };
            cacheData.Add(typeInfoLevelOfEducationDescriptor);
            typeInfoLevelOfEducationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoLevelOfEducationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "levelOfEducationDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoLevelOfEducationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoLevelOfEducationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoLevelOfEducationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoLevelOfEducationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoLevelOfEducationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoLevelOfEducationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoLevelOfEducationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoLevelOfEducationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "levelOfEducationType",
                IsPartOfNaturalKey = false,
            });
            typeInfoLevelOfEducationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoLimitedEnglishProficiencyType = new MetadataTypeInfo { TypeName = "LimitedEnglishProficiencyType" };
            cacheData.Add(typeInfoLimitedEnglishProficiencyType);
            typeInfoLimitedEnglishProficiencyType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoLimitedEnglishProficiencyType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "limitedEnglishProficiencyTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoLimitedEnglishProficiencyType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoLimitedEnglishProficiencyType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoLimitedEnglishProficiencyType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoLimitedEnglishProficiencyType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoLimitedEnglishProficiencyDescriptor = new MetadataTypeInfo { TypeName = "LimitedEnglishProficiencyDescriptor" };
            cacheData.Add(typeInfoLimitedEnglishProficiencyDescriptor);
            typeInfoLimitedEnglishProficiencyDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoLimitedEnglishProficiencyDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "limitedEnglishProficiencyDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoLimitedEnglishProficiencyDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoLimitedEnglishProficiencyDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoLimitedEnglishProficiencyDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoLimitedEnglishProficiencyDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoLimitedEnglishProficiencyDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoLimitedEnglishProficiencyDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoLimitedEnglishProficiencyDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoLimitedEnglishProficiencyDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "limitedEnglishProficiencyType",
                IsPartOfNaturalKey = false,
            });
            typeInfoLimitedEnglishProficiencyDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoProgramAssignmentType = new MetadataTypeInfo { TypeName = "ProgramAssignmentType" };
            cacheData.Add(typeInfoProgramAssignmentType);
            typeInfoProgramAssignmentType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramAssignmentType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programAssignmentTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoProgramAssignmentType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramAssignmentType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramAssignmentType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramAssignmentType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoProgramAssignmentDescriptor = new MetadataTypeInfo { TypeName = "ProgramAssignmentDescriptor" };
            cacheData.Add(typeInfoProgramAssignmentDescriptor);
            typeInfoProgramAssignmentDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramAssignmentDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programAssignmentDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoProgramAssignmentDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramAssignmentDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramAssignmentDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramAssignmentDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramAssignmentDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramAssignmentDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramAssignmentDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramAssignmentDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programAssignmentType",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramAssignmentDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoReasonExitedType = new MetadataTypeInfo { TypeName = "ReasonExitedType" };
            cacheData.Add(typeInfoReasonExitedType);
            typeInfoReasonExitedType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoReasonExitedType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "reasonExitedTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoReasonExitedType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoReasonExitedType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoReasonExitedType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoReasonExitedType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoReasonExitedDescriptor = new MetadataTypeInfo { TypeName = "ReasonExitedDescriptor" };
            cacheData.Add(typeInfoReasonExitedDescriptor);
            typeInfoReasonExitedDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoReasonExitedDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "reasonExitedDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoReasonExitedDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoReasonExitedDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoReasonExitedDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoReasonExitedDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoReasonExitedDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoReasonExitedDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoReasonExitedDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoReasonExitedDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "reasonExitedType",
                IsPartOfNaturalKey = false,
            });
            typeInfoReasonExitedDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoReporterDescriptionType = new MetadataTypeInfo { TypeName = "ReporterDescriptionType" };
            cacheData.Add(typeInfoReporterDescriptionType);
            typeInfoReporterDescriptionType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoReporterDescriptionType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "reporterDescriptionTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoReporterDescriptionType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoReporterDescriptionType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoReporterDescriptionType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoReporterDescriptionType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoReporterDescriptionDescriptor = new MetadataTypeInfo { TypeName = "ReporterDescriptionDescriptor" };
            cacheData.Add(typeInfoReporterDescriptionDescriptor);
            typeInfoReporterDescriptionDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoReporterDescriptionDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "reporterDescriptionDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoReporterDescriptionDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoReporterDescriptionDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoReporterDescriptionDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoReporterDescriptionDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoReporterDescriptionDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoReporterDescriptionDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoReporterDescriptionDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoReporterDescriptionDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "reporterDescriptionType",
                IsPartOfNaturalKey = false,
            });
            typeInfoReporterDescriptionDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoResidencyStatusType = new MetadataTypeInfo { TypeName = "ResidencyStatusType" };
            cacheData.Add(typeInfoResidencyStatusType);
            typeInfoResidencyStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoResidencyStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "residencyStatusTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoResidencyStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoResidencyStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoResidencyStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoResidencyStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoResidencyStatusDescriptor = new MetadataTypeInfo { TypeName = "ResidencyStatusDescriptor" };
            cacheData.Add(typeInfoResidencyStatusDescriptor);
            typeInfoResidencyStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoResidencyStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "residencyStatusDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoResidencyStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoResidencyStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoResidencyStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoResidencyStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoResidencyStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoResidencyStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoResidencyStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoResidencyStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "residencyStatusType",
                IsPartOfNaturalKey = false,
            });
            typeInfoResidencyStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoResponsibilityType = new MetadataTypeInfo { TypeName = "ResponsibilityType" };
            cacheData.Add(typeInfoResponsibilityType);
            typeInfoResponsibilityType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoResponsibilityType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "responsibilityTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoResponsibilityType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoResponsibilityType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoResponsibilityType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoResponsibilityType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoResponsibilityDescriptor = new MetadataTypeInfo { TypeName = "ResponsibilityDescriptor" };
            cacheData.Add(typeInfoResponsibilityDescriptor);
            typeInfoResponsibilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoResponsibilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "responsibilityDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoResponsibilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoResponsibilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoResponsibilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoResponsibilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoResponsibilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoResponsibilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoResponsibilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoResponsibilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "responsibilityType",
                IsPartOfNaturalKey = false,
            });
            typeInfoResponsibilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoSchoolFoodServicesEligibilityType = new MetadataTypeInfo { TypeName = "SchoolFoodServicesEligibilityType" };
            cacheData.Add(typeInfoSchoolFoodServicesEligibilityType);
            typeInfoSchoolFoodServicesEligibilityType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchoolFoodServicesEligibilityType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolFoodServicesEligibilityTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoSchoolFoodServicesEligibilityType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchoolFoodServicesEligibilityType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchoolFoodServicesEligibilityType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchoolFoodServicesEligibilityType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoSchoolFoodServicesEligibilityDescriptor = new MetadataTypeInfo { TypeName = "SchoolFoodServicesEligibilityDescriptor" };
            cacheData.Add(typeInfoSchoolFoodServicesEligibilityDescriptor);
            typeInfoSchoolFoodServicesEligibilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchoolFoodServicesEligibilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolFoodServicesEligibilityDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoSchoolFoodServicesEligibilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchoolFoodServicesEligibilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchoolFoodServicesEligibilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchoolFoodServicesEligibilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchoolFoodServicesEligibilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchoolFoodServicesEligibilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchoolFoodServicesEligibilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchoolFoodServicesEligibilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolFoodServicesEligibilityType",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchoolFoodServicesEligibilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoSectionCharacteristicType = new MetadataTypeInfo { TypeName = "SectionCharacteristicType" };
            cacheData.Add(typeInfoSectionCharacteristicType);
            typeInfoSectionCharacteristicType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoSectionCharacteristicType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "sectionCharacteristicTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoSectionCharacteristicType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoSectionCharacteristicType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoSectionCharacteristicType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoSectionCharacteristicType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoSectionCharacteristicDescriptor = new MetadataTypeInfo { TypeName = "SectionCharacteristicDescriptor" };
            cacheData.Add(typeInfoSectionCharacteristicDescriptor);
            typeInfoSectionCharacteristicDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoSectionCharacteristicDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "sectionCharacteristicDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoSectionCharacteristicDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoSectionCharacteristicDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoSectionCharacteristicDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoSectionCharacteristicDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoSectionCharacteristicDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoSectionCharacteristicDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoSectionCharacteristicDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoSectionCharacteristicDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "sectionCharacteristicType",
                IsPartOfNaturalKey = false,
            });
            typeInfoSectionCharacteristicDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoSeparationReasonType = new MetadataTypeInfo { TypeName = "SeparationReasonType" };
            cacheData.Add(typeInfoSeparationReasonType);
            typeInfoSeparationReasonType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoSeparationReasonType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "separationReasonTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoSeparationReasonType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoSeparationReasonType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoSeparationReasonType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoSeparationReasonType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoSeparationReasonDescriptor = new MetadataTypeInfo { TypeName = "SeparationReasonDescriptor" };
            cacheData.Add(typeInfoSeparationReasonDescriptor);
            typeInfoSeparationReasonDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoSeparationReasonDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "separationReasonDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoSeparationReasonDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoSeparationReasonDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoSeparationReasonDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoSeparationReasonDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoSeparationReasonDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoSeparationReasonDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoSeparationReasonDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoSeparationReasonDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "separationReasonType",
                IsPartOfNaturalKey = false,
            });
            typeInfoSeparationReasonDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoSpecialEducationSettingType = new MetadataTypeInfo { TypeName = "SpecialEducationSettingType" };
            cacheData.Add(typeInfoSpecialEducationSettingType);
            typeInfoSpecialEducationSettingType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoSpecialEducationSettingType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "specialEducationSettingTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoSpecialEducationSettingType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoSpecialEducationSettingType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoSpecialEducationSettingType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoSpecialEducationSettingType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoSpecialEducationSettingDescriptor = new MetadataTypeInfo { TypeName = "SpecialEducationSettingDescriptor" };
            cacheData.Add(typeInfoSpecialEducationSettingDescriptor);
            typeInfoSpecialEducationSettingDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoSpecialEducationSettingDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "specialEducationSettingDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoSpecialEducationSettingDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoSpecialEducationSettingDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoSpecialEducationSettingDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoSpecialEducationSettingDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoSpecialEducationSettingDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoSpecialEducationSettingDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoSpecialEducationSettingDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoSpecialEducationSettingDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "specialEducationSettingType",
                IsPartOfNaturalKey = false,
            });
            typeInfoSpecialEducationSettingDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStaffClassificationType = new MetadataTypeInfo { TypeName = "StaffClassificationType" };
            cacheData.Add(typeInfoStaffClassificationType);
            typeInfoStaffClassificationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffClassificationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "staffClassificationTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffClassificationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffClassificationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffClassificationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffClassificationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStaffClassificationDescriptor = new MetadataTypeInfo { TypeName = "StaffClassificationDescriptor" };
            cacheData.Add(typeInfoStaffClassificationDescriptor);
            typeInfoStaffClassificationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffClassificationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "staffClassificationDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffClassificationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffClassificationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffClassificationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffClassificationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffClassificationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffClassificationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffClassificationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffClassificationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "staffClassificationType",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffClassificationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStaffIdentificationSystemType = new MetadataTypeInfo { TypeName = "StaffIdentificationSystemType" };
            cacheData.Add(typeInfoStaffIdentificationSystemType);
            typeInfoStaffIdentificationSystemType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffIdentificationSystemType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "staffIdentificationSystemTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffIdentificationSystemType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffIdentificationSystemType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffIdentificationSystemType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffIdentificationSystemType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStaffIdentificationSystemDescriptor = new MetadataTypeInfo { TypeName = "StaffIdentificationSystemDescriptor" };
            cacheData.Add(typeInfoStaffIdentificationSystemDescriptor);
            typeInfoStaffIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "staffIdentificationSystemDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "staffIdentificationSystemType",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentCharacteristicType = new MetadataTypeInfo { TypeName = "StudentCharacteristicType" };
            cacheData.Add(typeInfoStudentCharacteristicType);
            typeInfoStudentCharacteristicType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentCharacteristicType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentCharacteristicTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCharacteristicType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentCharacteristicType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentCharacteristicType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentCharacteristicType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentCharacteristicDescriptor = new MetadataTypeInfo { TypeName = "StudentCharacteristicDescriptor" };
            cacheData.Add(typeInfoStudentCharacteristicDescriptor);
            typeInfoStudentCharacteristicDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentCharacteristicDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentCharacteristicDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCharacteristicDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentCharacteristicDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentCharacteristicDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentCharacteristicDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentCharacteristicDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentCharacteristicDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentCharacteristicDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentCharacteristicDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentCharacteristicType",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentCharacteristicDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentIdentificationSystemType = new MetadataTypeInfo { TypeName = "StudentIdentificationSystemType" };
            cacheData.Add(typeInfoStudentIdentificationSystemType);
            typeInfoStudentIdentificationSystemType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentIdentificationSystemType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentIdentificationSystemTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentIdentificationSystemType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentIdentificationSystemType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentIdentificationSystemType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentIdentificationSystemType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentIdentificationSystemDescriptor = new MetadataTypeInfo { TypeName = "StudentIdentificationSystemDescriptor" };
            cacheData.Add(typeInfoStudentIdentificationSystemDescriptor);
            typeInfoStudentIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentIdentificationSystemDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentIdentificationSystemType",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentIdentificationSystemDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoTeachingCredentialType = new MetadataTypeInfo { TypeName = "TeachingCredentialType" };
            cacheData.Add(typeInfoTeachingCredentialType);
            typeInfoTeachingCredentialType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoTeachingCredentialType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "teachingCredentialTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoTeachingCredentialType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoTeachingCredentialType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoTeachingCredentialType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoTeachingCredentialType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoTeachingCredentialDescriptor = new MetadataTypeInfo { TypeName = "TeachingCredentialDescriptor" };
            cacheData.Add(typeInfoTeachingCredentialDescriptor);
            typeInfoTeachingCredentialDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoTeachingCredentialDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "teachingCredentialDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoTeachingCredentialDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoTeachingCredentialDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoTeachingCredentialDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoTeachingCredentialDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoTeachingCredentialDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoTeachingCredentialDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoTeachingCredentialDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoTeachingCredentialDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "teachingCredentialType",
                IsPartOfNaturalKey = false,
            });
            typeInfoTeachingCredentialDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoTermType = new MetadataTypeInfo { TypeName = "TermType" };
            cacheData.Add(typeInfoTermType);
            typeInfoTermType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoTermType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "termTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoTermType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoTermType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoTermType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoTermType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoTermDescriptor = new MetadataTypeInfo { TypeName = "TermDescriptor" };
            cacheData.Add(typeInfoTermDescriptor);
            typeInfoTermDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoTermDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "termDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoTermDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoTermDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoTermDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoTermDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoTermDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoTermDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoTermDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoTermDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "termType",
                IsPartOfNaturalKey = false,
            });
            typeInfoTermDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoWeaponType = new MetadataTypeInfo { TypeName = "WeaponType" };
            cacheData.Add(typeInfoWeaponType);
            typeInfoWeaponType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoWeaponType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "weaponTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoWeaponType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoWeaponType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoWeaponType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoWeaponType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoWeaponDescriptor = new MetadataTypeInfo { TypeName = "WeaponDescriptor" };
            cacheData.Add(typeInfoWeaponDescriptor);
            typeInfoWeaponDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoWeaponDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "weaponDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoWeaponDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoWeaponDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoWeaponDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoWeaponDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoWeaponDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoWeaponDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoWeaponDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoWeaponDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "weaponType",
                IsPartOfNaturalKey = false,
            });
            typeInfoWeaponDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAcademicHonorCategoryType = new MetadataTypeInfo { TypeName = "AcademicHonorCategoryType" };
            cacheData.Add(typeInfoAcademicHonorCategoryType);
            typeInfoAcademicHonorCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoAcademicHonorCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "academicHonorCategoryTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoAcademicHonorCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoAcademicHonorCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoAcademicHonorCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoAcademicHonorCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAccountCodeDescriptor = new MetadataTypeInfo { TypeName = "AccountCodeDescriptor" };
            cacheData.Add(typeInfoAccountCodeDescriptor);
            typeInfoAccountCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoAccountCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "accountCodeDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoAccountCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoAccountCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoAccountCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoAccountCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoAccountCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoAccountCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAccountCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAccountCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "accountCodeCategory",
                IsPartOfNaturalKey = false,
            });
            typeInfoAccountCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAccountCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAccountCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAdditionalCreditType = new MetadataTypeInfo { TypeName = "AdditionalCreditType" };
            cacheData.Add(typeInfoAdditionalCreditType);
            typeInfoAdditionalCreditType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoAdditionalCreditType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "additionalCreditTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoAdditionalCreditType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoAdditionalCreditType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoAdditionalCreditType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoAdditionalCreditType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAddressType = new MetadataTypeInfo { TypeName = "AddressType" };
            cacheData.Add(typeInfoAddressType);
            typeInfoAddressType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoAddressType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "addressTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoAddressType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoAddressType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoAddressType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoAddressType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAdministrationEnvironmentType = new MetadataTypeInfo { TypeName = "AdministrationEnvironmentType" };
            cacheData.Add(typeInfoAdministrationEnvironmentType);
            typeInfoAdministrationEnvironmentType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoAdministrationEnvironmentType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "administrationEnvironmentTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoAdministrationEnvironmentType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoAdministrationEnvironmentType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoAdministrationEnvironmentType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoAdministrationEnvironmentType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAssessmentItemCategoryType = new MetadataTypeInfo { TypeName = "AssessmentItemCategoryType" };
            cacheData.Add(typeInfoAssessmentItemCategoryType);
            typeInfoAssessmentItemCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentItemCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessmentItemCategoryTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoAssessmentItemCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentItemCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentItemCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentItemCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAssessmentItemResultType = new MetadataTypeInfo { TypeName = "AssessmentItemResultType" };
            cacheData.Add(typeInfoAssessmentItemResultType);
            typeInfoAssessmentItemResultType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentItemResultType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessmentItemResultTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoAssessmentItemResultType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentItemResultType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentItemResultType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentItemResultType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAssessmentPeriodDescriptor = new MetadataTypeInfo { TypeName = "AssessmentPeriodDescriptor" };
            cacheData.Add(typeInfoAssessmentPeriodDescriptor);
            typeInfoAssessmentPeriodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentPeriodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessmentPeriodDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoAssessmentPeriodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentPeriodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentPeriodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentPeriodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentPeriodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentPeriodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentPeriodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentPeriodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentPeriodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentPeriodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAssessmentReportingMethodType = new MetadataTypeInfo { TypeName = "AssessmentReportingMethodType" };
            cacheData.Add(typeInfoAssessmentReportingMethodType);
            typeInfoAssessmentReportingMethodType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentReportingMethodType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessmentReportingMethodTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoAssessmentReportingMethodType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentReportingMethodType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentReportingMethodType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentReportingMethodType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCareerPathwayType = new MetadataTypeInfo { TypeName = "CareerPathwayType" };
            cacheData.Add(typeInfoCareerPathwayType);
            typeInfoCareerPathwayType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoCareerPathwayType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "careerPathwayTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCareerPathwayType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoCareerPathwayType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoCareerPathwayType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoCareerPathwayType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCharterApprovalAgencyType = new MetadataTypeInfo { TypeName = "CharterApprovalAgencyType" };
            cacheData.Add(typeInfoCharterApprovalAgencyType);
            typeInfoCharterApprovalAgencyType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoCharterApprovalAgencyType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "charterApprovalAgencyTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCharterApprovalAgencyType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoCharterApprovalAgencyType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoCharterApprovalAgencyType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoCharterApprovalAgencyType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCharterStatusType = new MetadataTypeInfo { TypeName = "CharterStatusType" };
            cacheData.Add(typeInfoCharterStatusType);
            typeInfoCharterStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoCharterStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "charterStatusTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCharterStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoCharterStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoCharterStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoCharterStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCohortScopeType = new MetadataTypeInfo { TypeName = "CohortScopeType" };
            cacheData.Add(typeInfoCohortScopeType);
            typeInfoCohortScopeType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoCohortScopeType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "cohortScopeTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCohortScopeType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoCohortScopeType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoCohortScopeType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoCohortScopeType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCohortType = new MetadataTypeInfo { TypeName = "CohortType" };
            cacheData.Add(typeInfoCohortType);
            typeInfoCohortType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoCohortType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "cohortTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCohortType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoCohortType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoCohortType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoCohortType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCohortYearType = new MetadataTypeInfo { TypeName = "CohortYearType" };
            cacheData.Add(typeInfoCohortYearType);
            typeInfoCohortYearType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoCohortYearType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "cohortYearTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCohortYearType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoCohortYearType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoCohortYearType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoCohortYearType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCompetencyLevelDescriptor = new MetadataTypeInfo { TypeName = "CompetencyLevelDescriptor" };
            cacheData.Add(typeInfoCompetencyLevelDescriptor);
            typeInfoCompetencyLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoCompetencyLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "competencyLevelDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCompetencyLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoCompetencyLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoCompetencyLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoCompetencyLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoCompetencyLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoCompetencyLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoCompetencyLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoCompetencyLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "performanceBaseConversionType",
                IsPartOfNaturalKey = false,
            });
            typeInfoCompetencyLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoContentClassType = new MetadataTypeInfo { TypeName = "ContentClassType" };
            cacheData.Add(typeInfoContentClassType);
            typeInfoContentClassType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoContentClassType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "contentClassTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoContentClassType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoContentClassType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoContentClassType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoContentClassType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCostRateType = new MetadataTypeInfo { TypeName = "CostRateType" };
            cacheData.Add(typeInfoCostRateType);
            typeInfoCostRateType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoCostRateType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "costRateTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCostRateType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoCostRateType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoCostRateType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoCostRateType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCountryDescriptor = new MetadataTypeInfo { TypeName = "CountryDescriptor" };
            cacheData.Add(typeInfoCountryDescriptor);
            typeInfoCountryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoCountryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "countryDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCountryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoCountryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoCountryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoCountryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoCountryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoCountryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoCountryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoCountryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCourseAttemptResultType = new MetadataTypeInfo { TypeName = "CourseAttemptResultType" };
            cacheData.Add(typeInfoCourseAttemptResultType);
            typeInfoCourseAttemptResultType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseAttemptResultType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "courseAttemptResultTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCourseAttemptResultType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseAttemptResultType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseAttemptResultType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseAttemptResultType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCourseDefinedByType = new MetadataTypeInfo { TypeName = "CourseDefinedByType" };
            cacheData.Add(typeInfoCourseDefinedByType);
            typeInfoCourseDefinedByType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseDefinedByType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "courseDefinedByTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCourseDefinedByType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseDefinedByType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseDefinedByType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseDefinedByType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCourseGPAApplicabilityType = new MetadataTypeInfo { TypeName = "CourseGPAApplicabilityType" };
            cacheData.Add(typeInfoCourseGPAApplicabilityType);
            typeInfoCourseGPAApplicabilityType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseGPAApplicabilityType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "courseGPAApplicabilityTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCourseGPAApplicabilityType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseGPAApplicabilityType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseGPAApplicabilityType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseGPAApplicabilityType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCourseLevelCharacteristicType = new MetadataTypeInfo { TypeName = "CourseLevelCharacteristicType" };
            cacheData.Add(typeInfoCourseLevelCharacteristicType);
            typeInfoCourseLevelCharacteristicType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseLevelCharacteristicType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "courseLevelCharacteristicTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCourseLevelCharacteristicType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseLevelCharacteristicType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseLevelCharacteristicType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseLevelCharacteristicType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCourseRepeatCodeType = new MetadataTypeInfo { TypeName = "CourseRepeatCodeType" };
            cacheData.Add(typeInfoCourseRepeatCodeType);
            typeInfoCourseRepeatCodeType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseRepeatCodeType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "courseRepeatCodeTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCourseRepeatCodeType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseRepeatCodeType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseRepeatCodeType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseRepeatCodeType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCredentialFieldDescriptor = new MetadataTypeInfo { TypeName = "CredentialFieldDescriptor" };
            cacheData.Add(typeInfoCredentialFieldDescriptor);
            typeInfoCredentialFieldDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoCredentialFieldDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "credentialFieldDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCredentialFieldDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoCredentialFieldDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoCredentialFieldDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoCredentialFieldDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoCredentialFieldDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoCredentialFieldDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoCredentialFieldDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoCredentialFieldDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "academicSubjectDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoCredentialFieldDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCredentialType = new MetadataTypeInfo { TypeName = "CredentialType" };
            cacheData.Add(typeInfoCredentialType);
            typeInfoCredentialType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoCredentialType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "credentialTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCredentialType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoCredentialType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoCredentialType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoCredentialType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCreditType = new MetadataTypeInfo { TypeName = "CreditType" };
            cacheData.Add(typeInfoCreditType);
            typeInfoCreditType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoCreditType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "creditTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCreditType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoCreditType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoCreditType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoCreditType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoDeliveryMethodType = new MetadataTypeInfo { TypeName = "DeliveryMethodType" };
            cacheData.Add(typeInfoDeliveryMethodType);
            typeInfoDeliveryMethodType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoDeliveryMethodType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "deliveryMethodTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoDeliveryMethodType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoDeliveryMethodType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoDeliveryMethodType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoDeliveryMethodType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoDiplomaLevelType = new MetadataTypeInfo { TypeName = "DiplomaLevelType" };
            cacheData.Add(typeInfoDiplomaLevelType);
            typeInfoDiplomaLevelType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoDiplomaLevelType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "diplomaLevelTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoDiplomaLevelType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoDiplomaLevelType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoDiplomaLevelType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoDiplomaLevelType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoDiplomaType = new MetadataTypeInfo { TypeName = "DiplomaType" };
            cacheData.Add(typeInfoDiplomaType);
            typeInfoDiplomaType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoDiplomaType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "diplomaTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoDiplomaType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoDiplomaType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoDiplomaType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoDiplomaType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoDisabilityCategoryType = new MetadataTypeInfo { TypeName = "DisabilityCategoryType" };
            cacheData.Add(typeInfoDisabilityCategoryType);
            typeInfoDisabilityCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisabilityCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "disabilityCategoryTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoDisabilityCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisabilityCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisabilityCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisabilityCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoDisabilityDeterminationSourceType = new MetadataTypeInfo { TypeName = "DisabilityDeterminationSourceType" };
            cacheData.Add(typeInfoDisabilityDeterminationSourceType);
            typeInfoDisabilityDeterminationSourceType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisabilityDeterminationSourceType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "disabilityDeterminationSourceTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoDisabilityDeterminationSourceType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisabilityDeterminationSourceType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisabilityDeterminationSourceType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisabilityDeterminationSourceType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoDisciplineActionLengthDifferenceReasonType = new MetadataTypeInfo { TypeName = "DisciplineActionLengthDifferenceReasonType" };
            cacheData.Add(typeInfoDisciplineActionLengthDifferenceReasonType);
            typeInfoDisciplineActionLengthDifferenceReasonType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisciplineActionLengthDifferenceReasonType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "disciplineActionLengthDifferenceReasonTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoDisciplineActionLengthDifferenceReasonType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisciplineActionLengthDifferenceReasonType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisciplineActionLengthDifferenceReasonType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoDisciplineActionLengthDifferenceReasonType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoEducationalEnvironmentType = new MetadataTypeInfo { TypeName = "EducationalEnvironmentType" };
            cacheData.Add(typeInfoEducationalEnvironmentType);
            typeInfoEducationalEnvironmentType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationalEnvironmentType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationalEnvironmentTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoEducationalEnvironmentType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationalEnvironmentType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationalEnvironmentType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationalEnvironmentType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoEducationOrganizationCategoryType = new MetadataTypeInfo { TypeName = "EducationOrganizationCategoryType" };
            cacheData.Add(typeInfoEducationOrganizationCategoryType);
            typeInfoEducationOrganizationCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationCategoryTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoEducationOrganizationCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoEducationPlanType = new MetadataTypeInfo { TypeName = "EducationPlanType" };
            cacheData.Add(typeInfoEducationPlanType);
            typeInfoEducationPlanType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationPlanType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationPlanTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoEducationPlanType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationPlanType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationPlanType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationPlanType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoElectronicMailType = new MetadataTypeInfo { TypeName = "ElectronicMailType" };
            cacheData.Add(typeInfoElectronicMailType);
            typeInfoElectronicMailType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoElectronicMailType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "electronicMailTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoElectronicMailType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoElectronicMailType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoElectronicMailType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoElectronicMailType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoGradeType = new MetadataTypeInfo { TypeName = "GradeType" };
            cacheData.Add(typeInfoGradeType);
            typeInfoGradeType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradeType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradeTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoGradeType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradeType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradeType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradeType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoIncidentLocationType = new MetadataTypeInfo { TypeName = "IncidentLocationType" };
            cacheData.Add(typeInfoIncidentLocationType);
            typeInfoIncidentLocationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoIncidentLocationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "incidentLocationTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoIncidentLocationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoIncidentLocationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoIncidentLocationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoIncidentLocationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoIntegratedTechnologyStatusType = new MetadataTypeInfo { TypeName = "IntegratedTechnologyStatusType" };
            cacheData.Add(typeInfoIntegratedTechnologyStatusType);
            typeInfoIntegratedTechnologyStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoIntegratedTechnologyStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "integratedTechnologyStatusTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoIntegratedTechnologyStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoIntegratedTechnologyStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoIntegratedTechnologyStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoIntegratedTechnologyStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoInstitutionTelephoneNumberType = new MetadataTypeInfo { TypeName = "InstitutionTelephoneNumberType" };
            cacheData.Add(typeInfoInstitutionTelephoneNumberType);
            typeInfoInstitutionTelephoneNumberType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoInstitutionTelephoneNumberType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "institutionTelephoneNumberTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoInstitutionTelephoneNumberType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoInstitutionTelephoneNumberType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoInstitutionTelephoneNumberType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoInstitutionTelephoneNumberType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoInteractivityStyleType = new MetadataTypeInfo { TypeName = "InteractivityStyleType" };
            cacheData.Add(typeInfoInteractivityStyleType);
            typeInfoInteractivityStyleType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoInteractivityStyleType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "interactivityStyleTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoInteractivityStyleType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoInteractivityStyleType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoInteractivityStyleType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoInteractivityStyleType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoInternetAccessType = new MetadataTypeInfo { TypeName = "InternetAccessType" };
            cacheData.Add(typeInfoInternetAccessType);
            typeInfoInternetAccessType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoInternetAccessType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "internetAccessTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoInternetAccessType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoInternetAccessType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoInternetAccessType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoInternetAccessType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoInterventionClassType = new MetadataTypeInfo { TypeName = "InterventionClassType" };
            cacheData.Add(typeInfoInterventionClassType);
            typeInfoInterventionClassType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoInterventionClassType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "interventionClassTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoInterventionClassType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoInterventionClassType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoInterventionClassType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoInterventionClassType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoInterventionEffectivenessRatingType = new MetadataTypeInfo { TypeName = "InterventionEffectivenessRatingType" };
            cacheData.Add(typeInfoInterventionEffectivenessRatingType);
            typeInfoInterventionEffectivenessRatingType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoInterventionEffectivenessRatingType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "interventionEffectivenessRatingTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoInterventionEffectivenessRatingType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoInterventionEffectivenessRatingType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoInterventionEffectivenessRatingType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoInterventionEffectivenessRatingType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoLanguageDescriptor = new MetadataTypeInfo { TypeName = "LanguageDescriptor" };
            cacheData.Add(typeInfoLanguageDescriptor);
            typeInfoLanguageDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoLanguageDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "languageDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoLanguageDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoLanguageDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoLanguageDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoLanguageDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoLanguageDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoLanguageDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoLanguageDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoLanguageDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "languageType",
                IsPartOfNaturalKey = false,
            });
            typeInfoLanguageDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoLanguageType = new MetadataTypeInfo { TypeName = "LanguageType" };
            cacheData.Add(typeInfoLanguageType);
            typeInfoLanguageType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoLanguageType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "languageTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoLanguageType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoLanguageType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoLanguageType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoLanguageType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoLocalEducationAgencyCategoryType = new MetadataTypeInfo { TypeName = "LocalEducationAgencyCategoryType" };
            cacheData.Add(typeInfoLocalEducationAgencyCategoryType);
            typeInfoLocalEducationAgencyCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoLocalEducationAgencyCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "localEducationAgencyCategoryTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoLocalEducationAgencyCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoLocalEducationAgencyCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoLocalEducationAgencyCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoLocalEducationAgencyCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoLeaveEventCategoryType = new MetadataTypeInfo { TypeName = "LeaveEventCategoryType" };
            cacheData.Add(typeInfoLeaveEventCategoryType);
            typeInfoLeaveEventCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoLeaveEventCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "leaveEventCategoryTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoLeaveEventCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoLeaveEventCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoLeaveEventCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoLeaveEventCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoLevelDescriptor = new MetadataTypeInfo { TypeName = "LevelDescriptor" };
            cacheData.Add(typeInfoLevelDescriptor);
            typeInfoLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "levelDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradeLevels",
                IsPartOfNaturalKey = false,
            });
            typeInfoLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoMagnetSpecialProgramEmphasisSchoolType = new MetadataTypeInfo { TypeName = "MagnetSpecialProgramEmphasisSchoolType" };
            cacheData.Add(typeInfoMagnetSpecialProgramEmphasisSchoolType);
            typeInfoMagnetSpecialProgramEmphasisSchoolType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoMagnetSpecialProgramEmphasisSchoolType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "magnetSpecialProgramEmphasisSchoolTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoMagnetSpecialProgramEmphasisSchoolType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoMagnetSpecialProgramEmphasisSchoolType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoMagnetSpecialProgramEmphasisSchoolType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoMagnetSpecialProgramEmphasisSchoolType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoMediumOfInstructionType = new MetadataTypeInfo { TypeName = "MediumOfInstructionType" };
            cacheData.Add(typeInfoMediumOfInstructionType);
            typeInfoMediumOfInstructionType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoMediumOfInstructionType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "mediumOfInstructionTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoMediumOfInstructionType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoMediumOfInstructionType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoMediumOfInstructionType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoMediumOfInstructionType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoMeetingDayType = new MetadataTypeInfo { TypeName = "MeetingDayType" };
            cacheData.Add(typeInfoMeetingDayType);
            typeInfoMeetingDayType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoMeetingDayType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "meetingDayTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoMeetingDayType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoMeetingDayType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoMeetingDayType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoMeetingDayType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoMethodCreditEarnedType = new MetadataTypeInfo { TypeName = "MethodCreditEarnedType" };
            cacheData.Add(typeInfoMethodCreditEarnedType);
            typeInfoMethodCreditEarnedType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoMethodCreditEarnedType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "methodCreditEarnedTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoMethodCreditEarnedType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoMethodCreditEarnedType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoMethodCreditEarnedType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoMethodCreditEarnedType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoNetworkPurposeType = new MetadataTypeInfo { TypeName = "NetworkPurposeType" };
            cacheData.Add(typeInfoNetworkPurposeType);
            typeInfoNetworkPurposeType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoNetworkPurposeType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "networkPurposeTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoNetworkPurposeType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoNetworkPurposeType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoNetworkPurposeType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoNetworkPurposeType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoOldEthnicityType = new MetadataTypeInfo { TypeName = "OldEthnicityType" };
            cacheData.Add(typeInfoOldEthnicityType);
            typeInfoOldEthnicityType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoOldEthnicityType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "oldEthnicityTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoOldEthnicityType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoOldEthnicityType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoOldEthnicityType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoOldEthnicityType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoOperationalStatusType = new MetadataTypeInfo { TypeName = "OperationalStatusType" };
            cacheData.Add(typeInfoOperationalStatusType);
            typeInfoOperationalStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoOperationalStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "operationalStatusTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoOperationalStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoOperationalStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoOperationalStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoOperationalStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoOtherNameType = new MetadataTypeInfo { TypeName = "OtherNameType" };
            cacheData.Add(typeInfoOtherNameType);
            typeInfoOtherNameType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoOtherNameType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "otherNameTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoOtherNameType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoOtherNameType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoOtherNameType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoOtherNameType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoPerformanceBaseConversionType = new MetadataTypeInfo { TypeName = "PerformanceBaseConversionType" };
            cacheData.Add(typeInfoPerformanceBaseConversionType);
            typeInfoPerformanceBaseConversionType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoPerformanceBaseConversionType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "performanceBaseConversionTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoPerformanceBaseConversionType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoPerformanceBaseConversionType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoPerformanceBaseConversionType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoPerformanceBaseConversionType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoPerformanceLevelDescriptor = new MetadataTypeInfo { TypeName = "PerformanceLevelDescriptor" };
            cacheData.Add(typeInfoPerformanceLevelDescriptor);
            typeInfoPerformanceLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoPerformanceLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "performanceLevelDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoPerformanceLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoPerformanceLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoPerformanceLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoPerformanceLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoPerformanceLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoPerformanceLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoPerformanceLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoPerformanceLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "performanceBaseConversionType",
                IsPartOfNaturalKey = false,
            });
            typeInfoPerformanceLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoPopulationServedType = new MetadataTypeInfo { TypeName = "PopulationServedType" };
            cacheData.Add(typeInfoPopulationServedType);
            typeInfoPopulationServedType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoPopulationServedType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "populationServedTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoPopulationServedType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoPopulationServedType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoPopulationServedType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoPopulationServedType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoPostingResultType = new MetadataTypeInfo { TypeName = "PostingResultType" };
            cacheData.Add(typeInfoPostingResultType);
            typeInfoPostingResultType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoPostingResultType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "postingResultTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoPostingResultType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoPostingResultType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoPostingResultType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoPostingResultType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoPostSecondaryEventCategoryType = new MetadataTypeInfo { TypeName = "PostSecondaryEventCategoryType" };
            cacheData.Add(typeInfoPostSecondaryEventCategoryType);
            typeInfoPostSecondaryEventCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoPostSecondaryEventCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "postSecondaryEventCategoryTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoPostSecondaryEventCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoPostSecondaryEventCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoPostSecondaryEventCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoPostSecondaryEventCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoProgramSponsorType = new MetadataTypeInfo { TypeName = "ProgramSponsorType" };
            cacheData.Add(typeInfoProgramSponsorType);
            typeInfoProgramSponsorType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramSponsorType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programSponsorTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoProgramSponsorType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramSponsorType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramSponsorType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramSponsorType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoProgramType = new MetadataTypeInfo { TypeName = "ProgramType" };
            cacheData.Add(typeInfoProgramType);
            typeInfoProgramType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoProgramType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoPublicationStatusType = new MetadataTypeInfo { TypeName = "PublicationStatusType" };
            cacheData.Add(typeInfoPublicationStatusType);
            typeInfoPublicationStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoPublicationStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "publicationStatusTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoPublicationStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoPublicationStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoPublicationStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoPublicationStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoRaceType = new MetadataTypeInfo { TypeName = "RaceType" };
            cacheData.Add(typeInfoRaceType);
            typeInfoRaceType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoRaceType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "raceTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoRaceType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoRaceType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoRaceType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoRaceType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoReasonNotTestedType = new MetadataTypeInfo { TypeName = "ReasonNotTestedType" };
            cacheData.Add(typeInfoReasonNotTestedType);
            typeInfoReasonNotTestedType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoReasonNotTestedType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "reasonNotTestedTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoReasonNotTestedType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoReasonNotTestedType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoReasonNotTestedType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoReasonNotTestedType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoRecognitionType = new MetadataTypeInfo { TypeName = "RecognitionType" };
            cacheData.Add(typeInfoRecognitionType);
            typeInfoRecognitionType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoRecognitionType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "recognitionTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoRecognitionType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoRecognitionType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoRecognitionType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoRecognitionType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoRelationType = new MetadataTypeInfo { TypeName = "RelationType" };
            cacheData.Add(typeInfoRelationType);
            typeInfoRelationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoRelationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "relationTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoRelationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoRelationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoRelationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoRelationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoRepeatIdentifierType = new MetadataTypeInfo { TypeName = "RepeatIdentifierType" };
            cacheData.Add(typeInfoRepeatIdentifierType);
            typeInfoRepeatIdentifierType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoRepeatIdentifierType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "repeatIdentifierTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoRepeatIdentifierType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoRepeatIdentifierType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoRepeatIdentifierType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoRepeatIdentifierType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoResponseIndicatorType = new MetadataTypeInfo { TypeName = "ResponseIndicatorType" };
            cacheData.Add(typeInfoResponseIndicatorType);
            typeInfoResponseIndicatorType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoResponseIndicatorType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "responseIndicatorTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoResponseIndicatorType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoResponseIndicatorType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoResponseIndicatorType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoResponseIndicatorType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoRestraintEventReasonType = new MetadataTypeInfo { TypeName = "RestraintEventReasonType" };
            cacheData.Add(typeInfoRestraintEventReasonType);
            typeInfoRestraintEventReasonType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoRestraintEventReasonType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "restraintEventReasonTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoRestraintEventReasonType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoRestraintEventReasonType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoRestraintEventReasonType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoRestraintEventReasonType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoResultDatatypeType = new MetadataTypeInfo { TypeName = "ResultDatatypeType" };
            cacheData.Add(typeInfoResultDatatypeType);
            typeInfoResultDatatypeType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoResultDatatypeType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "resultDatatypeTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoResultDatatypeType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoResultDatatypeType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoResultDatatypeType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoResultDatatypeType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoRetestIndicatorType = new MetadataTypeInfo { TypeName = "RetestIndicatorType" };
            cacheData.Add(typeInfoRetestIndicatorType);
            typeInfoRetestIndicatorType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoRetestIndicatorType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "retestIndicatorTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoRetestIndicatorType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoRetestIndicatorType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoRetestIndicatorType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoRetestIndicatorType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoSchoolCategoryType = new MetadataTypeInfo { TypeName = "SchoolCategoryType" };
            cacheData.Add(typeInfoSchoolCategoryType);
            typeInfoSchoolCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchoolCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolCategoryTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoSchoolCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchoolCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchoolCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchoolCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoSchoolType = new MetadataTypeInfo { TypeName = "SchoolType" };
            cacheData.Add(typeInfoSchoolType);
            typeInfoSchoolType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchoolType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoSchoolType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchoolType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchoolType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchoolType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoSchoolYearType = new MetadataTypeInfo { TypeName = "SchoolYearType" };
            cacheData.Add(typeInfoSchoolYearType);
            typeInfoSchoolYearType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchoolYearType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolYear",
                IsPartOfNaturalKey = true,
            });
            typeInfoSchoolYearType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolYearDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchoolYearType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "currentSchoolYear",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchoolYearType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoSeparationType = new MetadataTypeInfo { TypeName = "SeparationType" };
            cacheData.Add(typeInfoSeparationType);
            typeInfoSeparationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoSeparationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "separationTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoSeparationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoSeparationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoSeparationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoSeparationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoServiceDescriptor = new MetadataTypeInfo { TypeName = "ServiceDescriptor" };
            cacheData.Add(typeInfoServiceDescriptor);
            typeInfoServiceDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoServiceDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "serviceDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoServiceDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoServiceDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoServiceDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoServiceDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoServiceDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoServiceDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoServiceDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoServiceDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "serviceCategory",
                IsPartOfNaturalKey = false,
            });
            typeInfoServiceDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoSexType = new MetadataTypeInfo { TypeName = "SexType" };
            cacheData.Add(typeInfoSexType);
            typeInfoSexType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoSexType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "sexTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoSexType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoSexType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoSexType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoSexType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStateAbbreviationType = new MetadataTypeInfo { TypeName = "StateAbbreviationType" };
            cacheData.Add(typeInfoStateAbbreviationType);
            typeInfoStateAbbreviationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStateAbbreviationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "stateAbbreviationTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStateAbbreviationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoStateAbbreviationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoStateAbbreviationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoStateAbbreviationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentParticipationCodeType = new MetadataTypeInfo { TypeName = "StudentParticipationCodeType" };
            cacheData.Add(typeInfoStudentParticipationCodeType);
            typeInfoStudentParticipationCodeType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentParticipationCodeType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentParticipationCodeTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentParticipationCodeType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentParticipationCodeType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentParticipationCodeType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentParticipationCodeType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoTeachingCredentialBasisType = new MetadataTypeInfo { TypeName = "TeachingCredentialBasisType" };
            cacheData.Add(typeInfoTeachingCredentialBasisType);
            typeInfoTeachingCredentialBasisType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoTeachingCredentialBasisType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "teachingCredentialBasisTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoTeachingCredentialBasisType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoTeachingCredentialBasisType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoTeachingCredentialBasisType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoTeachingCredentialBasisType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoTelephoneNumberType = new MetadataTypeInfo { TypeName = "TelephoneNumberType" };
            cacheData.Add(typeInfoTelephoneNumberType);
            typeInfoTelephoneNumberType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoTelephoneNumberType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "telephoneNumberTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoTelephoneNumberType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoTelephoneNumberType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoTelephoneNumberType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoTelephoneNumberType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoTitleIPartAParticipantType = new MetadataTypeInfo { TypeName = "TitleIPartAParticipantType" };
            cacheData.Add(typeInfoTitleIPartAParticipantType);
            typeInfoTitleIPartAParticipantType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoTitleIPartAParticipantType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "titleIPartAParticipantTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoTitleIPartAParticipantType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoTitleIPartAParticipantType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoTitleIPartAParticipantType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoTitleIPartAParticipantType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoTitleIPartASchoolDesignationType = new MetadataTypeInfo { TypeName = "TitleIPartASchoolDesignationType" };
            cacheData.Add(typeInfoTitleIPartASchoolDesignationType);
            typeInfoTitleIPartASchoolDesignationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoTitleIPartASchoolDesignationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "titleIPartASchoolDesignationTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoTitleIPartASchoolDesignationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoTitleIPartASchoolDesignationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoTitleIPartASchoolDesignationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoTitleIPartASchoolDesignationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAchievementCategoryType = new MetadataTypeInfo { TypeName = "AchievementCategoryType" };
            cacheData.Add(typeInfoAchievementCategoryType);
            typeInfoAchievementCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoAchievementCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "achievementCategoryTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoAchievementCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoAchievementCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoAchievementCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoAchievementCategoryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAchievementCategoryDescriptor = new MetadataTypeInfo { TypeName = "AchievementCategoryDescriptor" };
            cacheData.Add(typeInfoAchievementCategoryDescriptor);
            typeInfoAchievementCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoAchievementCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "achievementCategoryDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoAchievementCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoAchievementCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoAchievementCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoAchievementCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoAchievementCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoAchievementCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAchievementCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAchievementCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "achievementCategoryType",
                IsPartOfNaturalKey = false,
            });
            typeInfoAchievementCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCitizenshipStatusType = new MetadataTypeInfo { TypeName = "CitizenshipStatusType" };
            cacheData.Add(typeInfoCitizenshipStatusType);
            typeInfoCitizenshipStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoCitizenshipStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "citizenshipStatusTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCitizenshipStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoCitizenshipStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoCitizenshipStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoCitizenshipStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCurriculumUsedType = new MetadataTypeInfo { TypeName = "CurriculumUsedType" };
            cacheData.Add(typeInfoCurriculumUsedType);
            typeInfoCurriculumUsedType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoCurriculumUsedType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "curriculumUsedTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCurriculumUsedType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoCurriculumUsedType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoCurriculumUsedType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoCurriculumUsedType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoPersonalInformationVerificationType = new MetadataTypeInfo { TypeName = "PersonalInformationVerificationType" };
            cacheData.Add(typeInfoPersonalInformationVerificationType);
            typeInfoPersonalInformationVerificationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoPersonalInformationVerificationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "personalInformationVerificationTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoPersonalInformationVerificationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoPersonalInformationVerificationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoPersonalInformationVerificationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoPersonalInformationVerificationType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoEntryGradeLevelReasonType = new MetadataTypeInfo { TypeName = "EntryGradeLevelReasonType" };
            cacheData.Add(typeInfoEntryGradeLevelReasonType);
            typeInfoEntryGradeLevelReasonType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoEntryGradeLevelReasonType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "entryGradeLevelReasonTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoEntryGradeLevelReasonType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoEntryGradeLevelReasonType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoEntryGradeLevelReasonType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoEntryGradeLevelReasonType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoEventCircumstanceType = new MetadataTypeInfo { TypeName = "EventCircumstanceType" };
            cacheData.Add(typeInfoEventCircumstanceType);
            typeInfoEventCircumstanceType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoEventCircumstanceType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "eventCircumstanceTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoEventCircumstanceType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoEventCircumstanceType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoEventCircumstanceType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoEventCircumstanceType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoGradebookEntryType = new MetadataTypeInfo { TypeName = "GradebookEntryType" };
            cacheData.Add(typeInfoGradebookEntryType);
            typeInfoGradebookEntryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradebookEntryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradebookEntryTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoGradebookEntryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradebookEntryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradebookEntryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoGradebookEntryType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoGunFreeSchoolsActReportingStatusType = new MetadataTypeInfo { TypeName = "GunFreeSchoolsActReportingStatusType" };
            cacheData.Add(typeInfoGunFreeSchoolsActReportingStatusType);
            typeInfoGunFreeSchoolsActReportingStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoGunFreeSchoolsActReportingStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gunFreeSchoolsActReportingStatusTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoGunFreeSchoolsActReportingStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoGunFreeSchoolsActReportingStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoGunFreeSchoolsActReportingStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoGunFreeSchoolsActReportingStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoIdentificationDocumentUseType = new MetadataTypeInfo { TypeName = "IdentificationDocumentUseType" };
            cacheData.Add(typeInfoIdentificationDocumentUseType);
            typeInfoIdentificationDocumentUseType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoIdentificationDocumentUseType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationDocumentUseTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoIdentificationDocumentUseType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoIdentificationDocumentUseType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoIdentificationDocumentUseType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoIdentificationDocumentUseType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoPostSecondaryInstitutionLevelType = new MetadataTypeInfo { TypeName = "PostSecondaryInstitutionLevelType" };
            cacheData.Add(typeInfoPostSecondaryInstitutionLevelType);
            typeInfoPostSecondaryInstitutionLevelType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoPostSecondaryInstitutionLevelType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "postSecondaryInstitutionLevelTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoPostSecondaryInstitutionLevelType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoPostSecondaryInstitutionLevelType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoPostSecondaryInstitutionLevelType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoPostSecondaryInstitutionLevelType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoVisaType = new MetadataTypeInfo { TypeName = "VisaType" };
            cacheData.Add(typeInfoVisaType);
            typeInfoVisaType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoVisaType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "visaTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoVisaType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoVisaType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoVisaType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoVisaType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoProgramCharacteristicDescriptor = new MetadataTypeInfo { TypeName = "ProgramCharacteristicDescriptor" };
            cacheData.Add(typeInfoProgramCharacteristicDescriptor);
            typeInfoProgramCharacteristicDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramCharacteristicDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programCharacteristicDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoProgramCharacteristicDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramCharacteristicDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramCharacteristicDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramCharacteristicDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramCharacteristicDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramCharacteristicDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramCharacteristicDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramCharacteristicDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programCharacteristicType",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramCharacteristicDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoProgramCharacteristicType = new MetadataTypeInfo { TypeName = "ProgramCharacteristicType" };
            cacheData.Add(typeInfoProgramCharacteristicType);
            typeInfoProgramCharacteristicType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramCharacteristicType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programCharacteristicTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoProgramCharacteristicType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramCharacteristicType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramCharacteristicType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramCharacteristicType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoLanguageUseType = new MetadataTypeInfo { TypeName = "LanguageUseType" };
            cacheData.Add(typeInfoLanguageUseType);
            typeInfoLanguageUseType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoLanguageUseType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "languageUseTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoLanguageUseType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoLanguageUseType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoLanguageUseType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoLanguageUseType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoSchoolChoiceImplementStatusType = new MetadataTypeInfo { TypeName = "SchoolChoiceImplementStatusType" };
            cacheData.Add(typeInfoSchoolChoiceImplementStatusType);
            typeInfoSchoolChoiceImplementStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchoolChoiceImplementStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolChoiceImplementStatusTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoSchoolChoiceImplementStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchoolChoiceImplementStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchoolChoiceImplementStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoSchoolChoiceImplementStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAccountabilityRating = new MetadataTypeInfo { TypeName = "AccountabilityRating" };
            cacheData.Add(typeInfoAccountabilityRating);
            typeInfoAccountabilityRating.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoAccountabilityRating.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoAccountabilityRating.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolYearTypeReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoAccountabilityRating.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "ratingTitle",
                IsPartOfNaturalKey = true,
            });
            typeInfoAccountabilityRating.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "rating",
                IsPartOfNaturalKey = false,
            });
            typeInfoAccountabilityRating.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "ratingDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAccountabilityRating.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "ratingOrganization",
                IsPartOfNaturalKey = false,
            });
            typeInfoAccountabilityRating.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "ratingProgram",
                IsPartOfNaturalKey = false,
            });
            typeInfoAccountabilityRating.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoBalanceSheet = new MetadataTypeInfo { TypeName = "BalanceSheet" };
            cacheData.Add(typeInfoBalanceSheet);
            typeInfoBalanceSheet.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoBalanceSheet.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoBalanceSheet.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "fiscalYear",
                IsPartOfNaturalKey = true,
            });
            typeInfoBalanceSheet.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "fundCodeDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoBalanceSheet.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "majorClassDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoBalanceSheet.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endingBalance",
                IsPartOfNaturalKey = false,
            });
            typeInfoBalanceSheet.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "suffixCodeDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoBalanceSheet.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "optional",
                IsPartOfNaturalKey = false,
            });
            typeInfoBalanceSheet.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoBusRoute = new MetadataTypeInfo { TypeName = "BusRoute" };
            cacheData.Add(typeInfoBusRoute);
            typeInfoBusRoute.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoBusRoute.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "busNumber",
                IsPartOfNaturalKey = true,
            });
            typeInfoBusRoute.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "directionDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoBusRoute.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "dayOfWeekDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoBusRoute.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "name",
                IsPartOfNaturalKey = false,
            });
            typeInfoBusRoute.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "busRouteNumberOrId",
                IsPartOfNaturalKey = false,
            });
            typeInfoBusRoute.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "startTime",
                IsPartOfNaturalKey = false,
            });
            typeInfoBusRoute.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endTime",
                IsPartOfNaturalKey = false,
            });
            typeInfoBusRoute.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "busDriverName",
                IsPartOfNaturalKey = false,
            });
            typeInfoBusRoute.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCohort = new MetadataTypeInfo { TypeName = "Cohort" };
            cacheData.Add(typeInfoCohort);
            typeInfoCohort.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoCohort.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoCohort.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identifier",
                IsPartOfNaturalKey = true,
            });
            typeInfoCohort.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoCohort.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "type",
                IsPartOfNaturalKey = false,
            });
            typeInfoCohort.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "scopeType",
                IsPartOfNaturalKey = false,
            });
            typeInfoCohort.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "academicSubjectDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoCohort.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessments",
                IsPartOfNaturalKey = false,
            });
            typeInfoCohort.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "categories",
                IsPartOfNaturalKey = false,
            });
            typeInfoCohort.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programs",
                IsPartOfNaturalKey = false,
            });
            typeInfoCohort.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCourse = new MetadataTypeInfo { TypeName = "Course" };
            cacheData.Add(typeInfoCourse);
            typeInfoCourse.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourse.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoCourse.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "code",
                IsPartOfNaturalKey = true,
            });
            typeInfoCourse.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "title",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourse.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "numberOfParts",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourse.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "academicSubjectDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourse.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourse.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "dateCourseAdopted",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourse.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "highSchoolCourseRequirement",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourse.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gpaApplicabilityType",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourse.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "definedByType",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourse.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "minimumAvailableCreditType",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourse.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "minimumAvailableCreditConversion",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourse.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "minimumAvailableCredits",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourse.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "maximumAvailableCreditType",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourse.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "maximumAvailableCreditConversion",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourse.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "maximumAvailableCredits",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourse.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "careerPathwayType",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourse.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "timeRequiredForCompletion",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourse.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "competencyLevels",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourse.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationCodes",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourse.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "learningObjectives",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourse.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "learningStandards",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourse.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "levelCharacteristics",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourse.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "offeredGradeLevels",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourse.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "typeLevelAndRigors",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourse.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoEducationServiceProviderExpenditure = new MetadataTypeInfo { TypeName = "EducationServiceProviderExpenditure" };
            cacheData.Add(typeInfoEducationServiceProviderExpenditure);
            typeInfoEducationServiceProviderExpenditure.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationServiceProviderExpenditure.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoEducationServiceProviderExpenditure.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "fiscalYear",
                IsPartOfNaturalKey = true,
            });
            typeInfoEducationServiceProviderExpenditure.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "espFunctionCodeDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoEducationServiceProviderExpenditure.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "espObjectCodeDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoEducationServiceProviderExpenditure.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "amount",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationServiceProviderExpenditure.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoExpenditure = new MetadataTypeInfo { TypeName = "Expenditure" };
            cacheData.Add(typeInfoExpenditure);
            typeInfoExpenditure.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoExpenditure.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoExpenditure.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoExpenditure.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "fiscalYear",
                IsPartOfNaturalKey = true,
            });
            typeInfoExpenditure.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "fundCodeDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoExpenditure.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "functionCodeDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoExpenditure.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "objectCodeDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoExpenditure.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "grantCodeDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoExpenditure.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programCodeDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoExpenditure.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "otherOptional",
                IsPartOfNaturalKey = false,
            });
            typeInfoExpenditure.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "amount",
                IsPartOfNaturalKey = false,
            });
            typeInfoExpenditure.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoGraduationPlan = new MetadataTypeInfo { TypeName = "GraduationPlan" };
            cacheData.Add(typeInfoGraduationPlan);
            typeInfoGraduationPlan.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoGraduationPlan.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoGraduationPlan.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "graduationSchoolYearTypeReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoGraduationPlan.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "typeDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoGraduationPlan.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "individualPlan",
                IsPartOfNaturalKey = false,
            });
            typeInfoGraduationPlan.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "totalRequiredCredits",
                IsPartOfNaturalKey = false,
            });
            typeInfoGraduationPlan.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "totalRequiredCreditType",
                IsPartOfNaturalKey = false,
            });
            typeInfoGraduationPlan.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "totalRequiredCreditConversion",
                IsPartOfNaturalKey = false,
            });
            typeInfoGraduationPlan.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "curriculumDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoGraduationPlan.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "creditModificationAsOfDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoGraduationPlan.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "creditModifications",
                IsPartOfNaturalKey = false,
            });
            typeInfoGraduationPlan.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "creditsByCourses",
                IsPartOfNaturalKey = false,
            });
            typeInfoGraduationPlan.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "creditsBySubjects",
                IsPartOfNaturalKey = false,
            });
            typeInfoGraduationPlan.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "requiredAssessments",
                IsPartOfNaturalKey = false,
            });
            typeInfoGraduationPlan.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoRevenue = new MetadataTypeInfo { TypeName = "Revenue" };
            cacheData.Add(typeInfoRevenue);
            typeInfoRevenue.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoRevenue.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoRevenue.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "fiscalYear",
                IsPartOfNaturalKey = true,
            });
            typeInfoRevenue.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "fundCodeDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoRevenue.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "majorClassDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoRevenue.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "suffixDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoRevenue.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "optional",
                IsPartOfNaturalKey = false,
            });
            typeInfoRevenue.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "amount",
                IsPartOfNaturalKey = false,
            });
            typeInfoRevenue.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStaff = new MetadataTypeInfo { TypeName = "Staff" };
            cacheData.Add(typeInfoStaff);
            typeInfoStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "staffUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "personalTitlePrefix",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "firstName",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "middleName",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "lastSurname",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "generationCodeSuffix",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "maidenName",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "sexType",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "birthDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "hispanicLatinoEthnicity",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "oldEthnicityType",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "highestCompletedLevelOfEducationDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "yearsOfPriorProfessionalExperience",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "yearsOfPriorTeachingExperience",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "highlyQualifiedTeacher",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "loginId",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "citizenshipStatusType",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educatorEffectivenessDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "newTeacherClassroomManagementProfessionalDevelopment",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "newTeacherInstructionalDeliveryProfessionalDevelopment",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "addresses",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "credentials",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "electronicMails",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationCodes",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationDocuments",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "internationalAddresses",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "languages",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "otherNames",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "races",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "recognitions",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "repRaceOrders",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "telephones",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "visas",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStaffLibraryService = new MetadataTypeInfo { TypeName = "StaffLibraryService" };
            cacheData.Add(typeInfoStaffLibraryService);
            typeInfoStaffLibraryService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffLibraryService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffLibraryService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "staffReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffLibraryService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "barcode",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffLibraryService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "accessLevelDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffLibraryService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "cardExpirationDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffLibraryService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "isAcceptableUsePolicyOnFile",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffLibraryService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "userName",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffLibraryService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "password",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffLibraryService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "userDefined1",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffLibraryService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "userDefined2",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffLibraryService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "userDefined3",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffLibraryService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "userDefined4",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffLibraryService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "userDefined5",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffLibraryService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "other1",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffLibraryService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "other2",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffLibraryService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "other3",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffLibraryService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudent = new MetadataTypeInfo { TypeName = "Student" };
            cacheData.Add(typeInfoStudent);
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "personalTitlePrefix",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "firstName",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "middleName",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "lastSurname",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "generationCodeSuffix",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "maidenName",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "sexType",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "birthDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "birthCity",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "birthStateAbbreviationType",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "dateEnteredUS",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "multipleBirthStatus",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "profileThumbnail",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "hispanicLatinoEthnicity",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "oldEthnicityType",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "economicDisadvantaged",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolFoodServicesEligibilityDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "limitedEnglishProficiencyDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "displacementStatus",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "loginId",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "birthInternationalProvince",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "citizenshipStatusType",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "birthCountryDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "yearOfEntry",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "raceAsOfDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolFoodServicesEligibilityAsOfDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "addressAsOfDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "homelessDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "foodServiceStatusDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "medicalNotes",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "learningStyle",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "addresses",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "characteristics",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "cohortYears",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "disabilities",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "electronicMails",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationCodes",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationDocuments",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "indicators",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "internationalAddresses",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "languages",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "msdsRaceOrders",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "otherNames",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programParticipations",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "races",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "telephones",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "visas",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentAssessment = new MetadataTypeInfo { TypeName = "StudentAssessment" };
            cacheData.Add(typeInfoStudentAssessment);
            typeInfoStudentAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessmentReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "administrationDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "administrationEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "serialNumber",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "administrationLanguageDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "administrationEnvironmentType",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "retestIndicatorType",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "reasonNotTestedType",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "whenAssessedGradeLevelDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "eventCircumstanceType",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "eventDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "parentConferenceMethodDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "parentConferenceDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessmentReasonDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "actionAssessmentOutcome",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "knowledgeSkillAssessmentOutcome",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "socialRelationshipAssessmentOutcome",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "accommodations",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "items",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "performanceLevels",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "scoreResults",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentObjectiveAssessments",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentLibraryService = new MetadataTypeInfo { TypeName = "StudentLibraryService" };
            cacheData.Add(typeInfoStudentLibraryService);
            typeInfoStudentLibraryService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentLibraryService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentLibraryService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentLibraryService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "barcode",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentLibraryService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "accessLevelDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentLibraryService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "cardExpirationDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentLibraryService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "isAcceptableUsePolicyOnFile",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentLibraryService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "userName",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentLibraryService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "password",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentLibraryService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "userDefined1",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentLibraryService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "userDefined2",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentLibraryService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "userDefined3",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentLibraryService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "userDefined4",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentLibraryService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "userDefined5",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentLibraryService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "other1",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentLibraryService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "other2",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentLibraryService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "other3",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentLibraryService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentTransportation = new MetadataTypeInfo { TypeName = "StudentTransportation" };
            cacheData.Add(typeInfoStudentTransportation);
            typeInfoStudentTransportation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentTransportation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "busRouteReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentTransportation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentTransportation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentTransportation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "busRouteTime",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentTransportation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStaffEducationOrganizationAssignmentAssociation = new MetadataTypeInfo { TypeName = "StaffEducationOrganizationAssignmentAssociation" };
            cacheData.Add(typeInfoStaffEducationOrganizationAssignmentAssociation);
            typeInfoStaffEducationOrganizationAssignmentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffEducationOrganizationAssignmentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "employmentStaffEducationOrganizationEmploymentAssociationReference",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffEducationOrganizationAssignmentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffEducationOrganizationAssignmentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "staffReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffEducationOrganizationAssignmentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "staffClassificationDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffEducationOrganizationAssignmentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffEducationOrganizationAssignmentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "positionTitle",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffEducationOrganizationAssignmentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffEducationOrganizationAssignmentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "orderOfAssignment",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffEducationOrganizationAssignmentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "administratorContinuingEducationDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffEducationOrganizationAssignmentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "professionalCertificateOrLicenseNumber",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffEducationOrganizationAssignmentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "repTypeOfCredentialDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffEducationOrganizationAssignmentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "fundedPositionStatusDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffEducationOrganizationAssignmentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "repTeacherFundedTypeDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffEducationOrganizationAssignmentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assignedSubjectAreas",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffEducationOrganizationAssignmentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentAdultEducationProgramAssociation = new MetadataTypeInfo { TypeName = "StudentAdultEducationProgramAssociation" };
            cacheData.Add(typeInfoStudentAdultEducationProgramAssociation);
            typeInfoStudentAdultEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAdultEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAdultEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAdultEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAdultEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAdultEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAdultEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "reasonExitedDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAdultEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "servedOutsideOfRegularSession",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAdultEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "adultEdCountPeriodDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAdultEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "adultEdCountPeriodYear",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAdultEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "enrollmentPercent",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAdultEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "eligibilityExceptionDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAdultEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "services",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAdultEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentDisciplineIncidentAssociation = new MetadataTypeInfo { TypeName = "StudentDisciplineIncidentAssociation" };
            cacheData.Add(typeInfoStudentDisciplineIncidentAssociation);
            typeInfoStudentDisciplineIncidentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentDisciplineIncidentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "disciplineIncidentReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentDisciplineIncidentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentDisciplineIncidentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentParticipationCodeType",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentDisciplineIncidentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "behaviors",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentDisciplineIncidentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "followUps",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentDisciplineIncidentAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentDropoutRecoveryProgramAssociation = new MetadataTypeInfo { TypeName = "StudentDropoutRecoveryProgramAssociation" };
            cacheData.Add(typeInfoStudentDropoutRecoveryProgramAssociation);
            typeInfoStudentDropoutRecoveryProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentDropoutRecoveryProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentDropoutRecoveryProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentDropoutRecoveryProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentDropoutRecoveryProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentDropoutRecoveryProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentDropoutRecoveryProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "reasonExitedDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentDropoutRecoveryProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "servedOutsideOfRegularSession",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentDropoutRecoveryProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "services",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentDropoutRecoveryProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "fundingMonthClaimeds",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentDropoutRecoveryProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentEarlyLearningProgramAssociation = new MetadataTypeInfo { TypeName = "StudentEarlyLearningProgramAssociation" };
            cacheData.Add(typeInfoStudentEarlyLearningProgramAssociation);
            typeInfoStudentEarlyLearningProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentEarlyLearningProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentEarlyLearningProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentEarlyLearningProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentEarlyLearningProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentEarlyLearningProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentEarlyLearningProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "reasonExitedDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentEarlyLearningProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "servedOutsideOfRegularSession",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentEarlyLearningProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "deliveryScheduleDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentEarlyLearningProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "deliveryMethodDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentEarlyLearningProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "individualizedFamilyServicePlan",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentEarlyLearningProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "services",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentEarlyLearningProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "earlyLearningProgramServices",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentEarlyLearningProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentSpecialEducationProgramAssociation = new MetadataTypeInfo { TypeName = "StudentSpecialEducationProgramAssociation" };
            cacheData.Add(typeInfoStudentSpecialEducationProgramAssociation);
            typeInfoStudentSpecialEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSpecialEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSpecialEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSpecialEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSpecialEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSpecialEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSpecialEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "reasonExitedDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSpecialEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "servedOutsideOfRegularSession",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSpecialEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "ideaEligibility",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSpecialEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "specialEducationSettingDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSpecialEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "specialEducationHoursPerWeek",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSpecialEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolHoursPerWeek",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSpecialEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "multiplyDisabled",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSpecialEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "medicallyFragile",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSpecialEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "lastEvaluationDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSpecialEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "iepReviewDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSpecialEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "iepBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSpecialEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "iepEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSpecialEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "iepDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSpecialEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "section52FTE",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSpecialEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "section53FTE",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSpecialEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "eligibilityEvaluation",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSpecialEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "services",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSpecialEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programSupports",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSpecialEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "serviceProviders",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSpecialEducationProgramAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAcademicMajorInAssignedSubjectAreaDescriptor = new MetadataTypeInfo { TypeName = "AcademicMajorInAssignedSubjectAreaDescriptor" };
            cacheData.Add(typeInfoAcademicMajorInAssignedSubjectAreaDescriptor);
            typeInfoAcademicMajorInAssignedSubjectAreaDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoAcademicMajorInAssignedSubjectAreaDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "academicMajorInAssignedSubjectAreaDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoAcademicMajorInAssignedSubjectAreaDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoAcademicMajorInAssignedSubjectAreaDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoAcademicMajorInAssignedSubjectAreaDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoAcademicMajorInAssignedSubjectAreaDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoAcademicMajorInAssignedSubjectAreaDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoAcademicMajorInAssignedSubjectAreaDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAcademicMajorInAssignedSubjectAreaDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAcademicMajorInAssignedSubjectAreaDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAcademicMinorInAssignedSubjectAreaDescriptor = new MetadataTypeInfo { TypeName = "AcademicMinorInAssignedSubjectAreaDescriptor" };
            cacheData.Add(typeInfoAcademicMinorInAssignedSubjectAreaDescriptor);
            typeInfoAcademicMinorInAssignedSubjectAreaDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoAcademicMinorInAssignedSubjectAreaDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "academicMinorInAssignedSubjectAreaDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoAcademicMinorInAssignedSubjectAreaDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoAcademicMinorInAssignedSubjectAreaDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoAcademicMinorInAssignedSubjectAreaDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoAcademicMinorInAssignedSubjectAreaDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoAcademicMinorInAssignedSubjectAreaDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoAcademicMinorInAssignedSubjectAreaDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAcademicMinorInAssignedSubjectAreaDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAcademicMinorInAssignedSubjectAreaDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAccessLevelDescriptor = new MetadataTypeInfo { TypeName = "AccessLevelDescriptor" };
            cacheData.Add(typeInfoAccessLevelDescriptor);
            typeInfoAccessLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoAccessLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "accessLevelDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoAccessLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoAccessLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoAccessLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoAccessLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoAccessLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoAccessLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAccessLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAccessLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAdministratorContinuingEducationDescriptor = new MetadataTypeInfo { TypeName = "AdministratorContinuingEducationDescriptor" };
            cacheData.Add(typeInfoAdministratorContinuingEducationDescriptor);
            typeInfoAdministratorContinuingEducationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoAdministratorContinuingEducationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "administratorContinuingEducationDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoAdministratorContinuingEducationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoAdministratorContinuingEducationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoAdministratorContinuingEducationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoAdministratorContinuingEducationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoAdministratorContinuingEducationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoAdministratorContinuingEducationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAdministratorContinuingEducationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAdministratorContinuingEducationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAdultEdCountPeriodDescriptor = new MetadataTypeInfo { TypeName = "AdultEdCountPeriodDescriptor" };
            cacheData.Add(typeInfoAdultEdCountPeriodDescriptor);
            typeInfoAdultEdCountPeriodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoAdultEdCountPeriodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "adultEdCountPeriodDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoAdultEdCountPeriodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoAdultEdCountPeriodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoAdultEdCountPeriodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoAdultEdCountPeriodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoAdultEdCountPeriodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoAdultEdCountPeriodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAdultEdCountPeriodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAdultEdCountPeriodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAssessmentOutcomeLevelDescriptor = new MetadataTypeInfo { TypeName = "AssessmentOutcomeLevelDescriptor" };
            cacheData.Add(typeInfoAssessmentOutcomeLevelDescriptor);
            typeInfoAssessmentOutcomeLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentOutcomeLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessmentOutcomeLevelDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoAssessmentOutcomeLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentOutcomeLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentOutcomeLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentOutcomeLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentOutcomeLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentOutcomeLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentOutcomeLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentOutcomeLevelDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAssessmentReasonDescriptor = new MetadataTypeInfo { TypeName = "AssessmentReasonDescriptor" };
            cacheData.Add(typeInfoAssessmentReasonDescriptor);
            typeInfoAssessmentReasonDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentReasonDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessmentReasonDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoAssessmentReasonDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentReasonDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentReasonDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentReasonDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentReasonDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentReasonDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentReasonDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentReasonDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoBalanceSheetMajorClassDescriptor = new MetadataTypeInfo { TypeName = "BalanceSheetMajorClassDescriptor" };
            cacheData.Add(typeInfoBalanceSheetMajorClassDescriptor);
            typeInfoBalanceSheetMajorClassDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoBalanceSheetMajorClassDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "balanceSheetMajorClassDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoBalanceSheetMajorClassDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoBalanceSheetMajorClassDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoBalanceSheetMajorClassDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoBalanceSheetMajorClassDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoBalanceSheetMajorClassDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoBalanceSheetMajorClassDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoBalanceSheetMajorClassDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoBalanceSheetMajorClassDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoBalanceSheetSuffixCodeDescriptor = new MetadataTypeInfo { TypeName = "BalanceSheetSuffixCodeDescriptor" };
            cacheData.Add(typeInfoBalanceSheetSuffixCodeDescriptor);
            typeInfoBalanceSheetSuffixCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoBalanceSheetSuffixCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "balanceSheetSuffixCodeDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoBalanceSheetSuffixCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoBalanceSheetSuffixCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoBalanceSheetSuffixCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoBalanceSheetSuffixCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoBalanceSheetSuffixCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoBalanceSheetSuffixCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoBalanceSheetSuffixCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoBalanceSheetSuffixCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoBusRouteDayOfWeekDescriptor = new MetadataTypeInfo { TypeName = "BusRouteDayOfWeekDescriptor" };
            cacheData.Add(typeInfoBusRouteDayOfWeekDescriptor);
            typeInfoBusRouteDayOfWeekDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoBusRouteDayOfWeekDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "busRouteDayOfWeekDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoBusRouteDayOfWeekDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoBusRouteDayOfWeekDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoBusRouteDayOfWeekDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoBusRouteDayOfWeekDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoBusRouteDayOfWeekDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoBusRouteDayOfWeekDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoBusRouteDayOfWeekDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoBusRouteDayOfWeekDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoBusRouteDirectionDescriptor = new MetadataTypeInfo { TypeName = "BusRouteDirectionDescriptor" };
            cacheData.Add(typeInfoBusRouteDirectionDescriptor);
            typeInfoBusRouteDirectionDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoBusRouteDirectionDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "busRouteDirectionDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoBusRouteDirectionDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoBusRouteDirectionDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoBusRouteDirectionDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoBusRouteDirectionDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoBusRouteDirectionDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoBusRouteDirectionDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoBusRouteDirectionDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoBusRouteDirectionDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCohortCategoryDescriptor = new MetadataTypeInfo { TypeName = "CohortCategoryDescriptor" };
            cacheData.Add(typeInfoCohortCategoryDescriptor);
            typeInfoCohortCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoCohortCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "cohortCategoryDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCohortCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoCohortCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoCohortCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoCohortCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoCohortCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoCohortCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoCohortCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoCohortCategoryDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCourseAttemptStatusDescriptor = new MetadataTypeInfo { TypeName = "CourseAttemptStatusDescriptor" };
            cacheData.Add(typeInfoCourseAttemptStatusDescriptor);
            typeInfoCourseAttemptStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseAttemptStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "courseAttemptStatusDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCourseAttemptStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseAttemptStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseAttemptStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseAttemptStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseAttemptStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseAttemptStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseAttemptStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseAttemptStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCourseTypeLevelAndRigorDescriptor = new MetadataTypeInfo { TypeName = "CourseTypeLevelAndRigorDescriptor" };
            cacheData.Add(typeInfoCourseTypeLevelAndRigorDescriptor);
            typeInfoCourseTypeLevelAndRigorDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseTypeLevelAndRigorDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "courseTypeLevelAndRigorDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCourseTypeLevelAndRigorDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseTypeLevelAndRigorDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseTypeLevelAndRigorDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseTypeLevelAndRigorDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseTypeLevelAndRigorDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseTypeLevelAndRigorDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseTypeLevelAndRigorDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseTypeLevelAndRigorDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCreditModificationDescriptor = new MetadataTypeInfo { TypeName = "CreditModificationDescriptor" };
            cacheData.Add(typeInfoCreditModificationDescriptor);
            typeInfoCreditModificationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoCreditModificationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "creditModificationDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCreditModificationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoCreditModificationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoCreditModificationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoCreditModificationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoCreditModificationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoCreditModificationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoCreditModificationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoCreditModificationDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCurriculumDescriptor = new MetadataTypeInfo { TypeName = "CurriculumDescriptor" };
            cacheData.Add(typeInfoCurriculumDescriptor);
            typeInfoCurriculumDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoCurriculumDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "curriculumDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCurriculumDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoCurriculumDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoCurriculumDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoCurriculumDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoCurriculumDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoCurriculumDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoCurriculumDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoCurriculumDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoDeliveryMethodDescriptor = new MetadataTypeInfo { TypeName = "DeliveryMethodDescriptor" };
            cacheData.Add(typeInfoDeliveryMethodDescriptor);
            typeInfoDeliveryMethodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoDeliveryMethodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "deliveryMethodDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoDeliveryMethodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoDeliveryMethodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoDeliveryMethodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoDeliveryMethodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoDeliveryMethodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoDeliveryMethodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoDeliveryMethodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoDeliveryMethodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoDeliveryScheduleDescriptor = new MetadataTypeInfo { TypeName = "DeliveryScheduleDescriptor" };
            cacheData.Add(typeInfoDeliveryScheduleDescriptor);
            typeInfoDeliveryScheduleDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoDeliveryScheduleDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "deliveryScheduleDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoDeliveryScheduleDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoDeliveryScheduleDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoDeliveryScheduleDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoDeliveryScheduleDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoDeliveryScheduleDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoDeliveryScheduleDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoDeliveryScheduleDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoDeliveryScheduleDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoEducatorEffectivenessDescriptor = new MetadataTypeInfo { TypeName = "EducatorEffectivenessDescriptor" };
            cacheData.Add(typeInfoEducatorEffectivenessDescriptor);
            typeInfoEducatorEffectivenessDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducatorEffectivenessDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educatorEffectivenessDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoEducatorEffectivenessDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducatorEffectivenessDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducatorEffectivenessDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducatorEffectivenessDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducatorEffectivenessDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducatorEffectivenessDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducatorEffectivenessDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducatorEffectivenessDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoEligibilityExceptionDescriptor = new MetadataTypeInfo { TypeName = "EligibilityExceptionDescriptor" };
            cacheData.Add(typeInfoEligibilityExceptionDescriptor);
            typeInfoEligibilityExceptionDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoEligibilityExceptionDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "eligibilityExceptionDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoEligibilityExceptionDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoEligibilityExceptionDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoEligibilityExceptionDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoEligibilityExceptionDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoEligibilityExceptionDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoEligibilityExceptionDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoEligibilityExceptionDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoEligibilityExceptionDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoESPFunctionCodeDescriptor = new MetadataTypeInfo { TypeName = "ESPFunctionCodeDescriptor" };
            cacheData.Add(typeInfoESPFunctionCodeDescriptor);
            typeInfoESPFunctionCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoESPFunctionCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "espFunctionCodeDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoESPFunctionCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoESPFunctionCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoESPFunctionCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoESPFunctionCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoESPFunctionCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoESPFunctionCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoESPFunctionCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoESPFunctionCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoESPObjectCodeDescriptor = new MetadataTypeInfo { TypeName = "ESPObjectCodeDescriptor" };
            cacheData.Add(typeInfoESPObjectCodeDescriptor);
            typeInfoESPObjectCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoESPObjectCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "espObjectCodeDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoESPObjectCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoESPObjectCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoESPObjectCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoESPObjectCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoESPObjectCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoESPObjectCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoESPObjectCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoESPObjectCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoFollowUpDescriptor = new MetadataTypeInfo { TypeName = "FollowUpDescriptor" };
            cacheData.Add(typeInfoFollowUpDescriptor);
            typeInfoFollowUpDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoFollowUpDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "followUpDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoFollowUpDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoFollowUpDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoFollowUpDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoFollowUpDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoFollowUpDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoFollowUpDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoFollowUpDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoFollowUpDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoFoodServiceStatusDescriptor = new MetadataTypeInfo { TypeName = "FoodServiceStatusDescriptor" };
            cacheData.Add(typeInfoFoodServiceStatusDescriptor);
            typeInfoFoodServiceStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoFoodServiceStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "foodServiceStatusDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoFoodServiceStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoFoodServiceStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoFoodServiceStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoFoodServiceStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoFoodServiceStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoFoodServiceStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoFoodServiceStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoFoodServiceStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoFunctionCodeDescriptor = new MetadataTypeInfo { TypeName = "FunctionCodeDescriptor" };
            cacheData.Add(typeInfoFunctionCodeDescriptor);
            typeInfoFunctionCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoFunctionCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "functionCodeDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoFunctionCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoFunctionCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoFunctionCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoFunctionCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoFunctionCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoFunctionCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoFunctionCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoFunctionCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoFundCodeDescriptor = new MetadataTypeInfo { TypeName = "FundCodeDescriptor" };
            cacheData.Add(typeInfoFundCodeDescriptor);
            typeInfoFundCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoFundCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "fundCodeDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoFundCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoFundCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoFundCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoFundCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoFundCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoFundCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoFundCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoFundCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "fundTypeDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoFundCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoFundedPositionStatusDescriptor = new MetadataTypeInfo { TypeName = "FundedPositionStatusDescriptor" };
            cacheData.Add(typeInfoFundedPositionStatusDescriptor);
            typeInfoFundedPositionStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoFundedPositionStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "fundedPositionStatusDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoFundedPositionStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoFundedPositionStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoFundedPositionStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoFundedPositionStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoFundedPositionStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoFundedPositionStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoFundedPositionStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoFundedPositionStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoFundTypeDescriptor = new MetadataTypeInfo { TypeName = "FundTypeDescriptor" };
            cacheData.Add(typeInfoFundTypeDescriptor);
            typeInfoFundTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoFundTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "fundTypeDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoFundTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoFundTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoFundTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoFundTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoFundTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoFundTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoFundTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoFundTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoGrantCodeDescriptor = new MetadataTypeInfo { TypeName = "GrantCodeDescriptor" };
            cacheData.Add(typeInfoGrantCodeDescriptor);
            typeInfoGrantCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoGrantCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "grantCodeDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoGrantCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoGrantCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoGrantCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoGrantCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoGrantCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoGrantCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoGrantCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoGrantCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoHomelessDescriptor = new MetadataTypeInfo { TypeName = "HomelessDescriptor" };
            cacheData.Add(typeInfoHomelessDescriptor);
            typeInfoHomelessDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoHomelessDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "homelessDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoHomelessDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoHomelessDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoHomelessDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoHomelessDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoHomelessDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoHomelessDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoHomelessDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoHomelessDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoObjectCodeDescriptor = new MetadataTypeInfo { TypeName = "ObjectCodeDescriptor" };
            cacheData.Add(typeInfoObjectCodeDescriptor);
            typeInfoObjectCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoObjectCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "objectCodeDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoObjectCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoObjectCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoObjectCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoObjectCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoObjectCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoObjectCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoObjectCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoObjectCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoParentConferenceMethodDescriptor = new MetadataTypeInfo { TypeName = "ParentConferenceMethodDescriptor" };
            cacheData.Add(typeInfoParentConferenceMethodDescriptor);
            typeInfoParentConferenceMethodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoParentConferenceMethodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "parentConferenceMethodDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoParentConferenceMethodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoParentConferenceMethodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoParentConferenceMethodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoParentConferenceMethodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoParentConferenceMethodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoParentConferenceMethodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoParentConferenceMethodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoParentConferenceMethodDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoPartCTransitionTimelinessDescriptor = new MetadataTypeInfo { TypeName = "PartCTransitionTimelinessDescriptor" };
            cacheData.Add(typeInfoPartCTransitionTimelinessDescriptor);
            typeInfoPartCTransitionTimelinessDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoPartCTransitionTimelinessDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "partCTransitionTimelinessDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoPartCTransitionTimelinessDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoPartCTransitionTimelinessDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoPartCTransitionTimelinessDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoPartCTransitionTimelinessDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoPartCTransitionTimelinessDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoPartCTransitionTimelinessDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoPartCTransitionTimelinessDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoPartCTransitionTimelinessDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoProgramCodeDescriptor = new MetadataTypeInfo { TypeName = "ProgramCodeDescriptor" };
            cacheData.Add(typeInfoProgramCodeDescriptor);
            typeInfoProgramCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programCodeDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoProgramCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramCodeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoProgramParticipationStatusDescriptor = new MetadataTypeInfo { TypeName = "ProgramParticipationStatusDescriptor" };
            cacheData.Add(typeInfoProgramParticipationStatusDescriptor);
            typeInfoProgramParticipationStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramParticipationStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programParticipationStatusDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoProgramParticipationStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramParticipationStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramParticipationStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramParticipationStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramParticipationStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramParticipationStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramParticipationStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramParticipationStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoProgramSupportDescriptor = new MetadataTypeInfo { TypeName = "ProgramSupportDescriptor" };
            cacheData.Add(typeInfoProgramSupportDescriptor);
            typeInfoProgramSupportDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramSupportDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programSupportDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoProgramSupportDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramSupportDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramSupportDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramSupportDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramSupportDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramSupportDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramSupportDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoProgramSupportDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoRaceOrderChoiceDescriptor = new MetadataTypeInfo { TypeName = "RaceOrderChoiceDescriptor" };
            cacheData.Add(typeInfoRaceOrderChoiceDescriptor);
            typeInfoRaceOrderChoiceDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoRaceOrderChoiceDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "raceOrderChoiceDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoRaceOrderChoiceDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoRaceOrderChoiceDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoRaceOrderChoiceDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoRaceOrderChoiceDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoRaceOrderChoiceDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoRaceOrderChoiceDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoRaceOrderChoiceDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoRaceOrderChoiceDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoReferralAgencyDescriptor = new MetadataTypeInfo { TypeName = "ReferralAgencyDescriptor" };
            cacheData.Add(typeInfoReferralAgencyDescriptor);
            typeInfoReferralAgencyDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoReferralAgencyDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "referralAgencyDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoReferralAgencyDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoReferralAgencyDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoReferralAgencyDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoReferralAgencyDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoReferralAgencyDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoReferralAgencyDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoReferralAgencyDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoReferralAgencyDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoREPTeacherFundedTypeDescriptor = new MetadataTypeInfo { TypeName = "REPTeacherFundedTypeDescriptor" };
            cacheData.Add(typeInfoREPTeacherFundedTypeDescriptor);
            typeInfoREPTeacherFundedTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoREPTeacherFundedTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "repTeacherFundedTypeDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoREPTeacherFundedTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoREPTeacherFundedTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoREPTeacherFundedTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoREPTeacherFundedTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoREPTeacherFundedTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoREPTeacherFundedTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoREPTeacherFundedTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoREPTeacherFundedTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoREPTypeOfCredentialDescriptor = new MetadataTypeInfo { TypeName = "REPTypeOfCredentialDescriptor" };
            cacheData.Add(typeInfoREPTypeOfCredentialDescriptor);
            typeInfoREPTypeOfCredentialDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoREPTypeOfCredentialDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "repTypeOfCredentialDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoREPTypeOfCredentialDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoREPTypeOfCredentialDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoREPTypeOfCredentialDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoREPTypeOfCredentialDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoREPTypeOfCredentialDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoREPTypeOfCredentialDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoREPTypeOfCredentialDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoREPTypeOfCredentialDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoResultOfInitialIEPDescriptor = new MetadataTypeInfo { TypeName = "ResultOfInitialIEPDescriptor" };
            cacheData.Add(typeInfoResultOfInitialIEPDescriptor);
            typeInfoResultOfInitialIEPDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoResultOfInitialIEPDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "resultOfInitialIEPDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoResultOfInitialIEPDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoResultOfInitialIEPDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoResultOfInitialIEPDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoResultOfInitialIEPDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoResultOfInitialIEPDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoResultOfInitialIEPDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoResultOfInitialIEPDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoResultOfInitialIEPDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoResultOfInitialIFSPDescriptor = new MetadataTypeInfo { TypeName = "ResultOfInitialIFSPDescriptor" };
            cacheData.Add(typeInfoResultOfInitialIFSPDescriptor);
            typeInfoResultOfInitialIFSPDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoResultOfInitialIFSPDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "resultOfInitialIFSPDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoResultOfInitialIFSPDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoResultOfInitialIFSPDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoResultOfInitialIFSPDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoResultOfInitialIFSPDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoResultOfInitialIFSPDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoResultOfInitialIFSPDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoResultOfInitialIFSPDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoResultOfInitialIFSPDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoRevenueMajorClassDescriptor = new MetadataTypeInfo { TypeName = "RevenueMajorClassDescriptor" };
            cacheData.Add(typeInfoRevenueMajorClassDescriptor);
            typeInfoRevenueMajorClassDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoRevenueMajorClassDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "revenueMajorClassDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoRevenueMajorClassDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoRevenueMajorClassDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoRevenueMajorClassDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoRevenueMajorClassDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoRevenueMajorClassDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoRevenueMajorClassDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoRevenueMajorClassDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoRevenueMajorClassDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoRevenueSuffixDescriptor = new MetadataTypeInfo { TypeName = "RevenueSuffixDescriptor" };
            cacheData.Add(typeInfoRevenueSuffixDescriptor);
            typeInfoRevenueSuffixDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoRevenueSuffixDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "revenueSuffixDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoRevenueSuffixDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoRevenueSuffixDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoRevenueSuffixDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoRevenueSuffixDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoRevenueSuffixDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoRevenueSuffixDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoRevenueSuffixDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoRevenueSuffixDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoServiceCoordAgencyDescriptor = new MetadataTypeInfo { TypeName = "ServiceCoordAgencyDescriptor" };
            cacheData.Add(typeInfoServiceCoordAgencyDescriptor);
            typeInfoServiceCoordAgencyDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoServiceCoordAgencyDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "serviceCoordAgencyDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoServiceCoordAgencyDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoServiceCoordAgencyDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoServiceCoordAgencyDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoServiceCoordAgencyDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoServiceCoordAgencyDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoServiceCoordAgencyDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoServiceCoordAgencyDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoServiceCoordAgencyDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoSettingDescriptor = new MetadataTypeInfo { TypeName = "SettingDescriptor" };
            cacheData.Add(typeInfoSettingDescriptor);
            typeInfoSettingDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoSettingDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "settingDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoSettingDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoSettingDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoSettingDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoSettingDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoSettingDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoSettingDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoSettingDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoSettingDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoTimelinessDescriptor = new MetadataTypeInfo { TypeName = "TimelinessDescriptor" };
            cacheData.Add(typeInfoTimelinessDescriptor);
            typeInfoTimelinessDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoTimelinessDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "timelinessDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoTimelinessDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoTimelinessDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoTimelinessDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoTimelinessDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoTimelinessDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoTimelinessDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoTimelinessDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoTimelinessDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoTimelinessOfInitialIEPDescriptor = new MetadataTypeInfo { TypeName = "TimelinessOfInitialIEPDescriptor" };
            cacheData.Add(typeInfoTimelinessOfInitialIEPDescriptor);
            typeInfoTimelinessOfInitialIEPDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoTimelinessOfInitialIEPDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "timelinessOfInitialIEPDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoTimelinessOfInitialIEPDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoTimelinessOfInitialIEPDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoTimelinessOfInitialIEPDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoTimelinessOfInitialIEPDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoTimelinessOfInitialIEPDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoTimelinessOfInitialIEPDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoTimelinessOfInitialIEPDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoTimelinessOfInitialIEPDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoTimelyStartOfServiceDescriptor = new MetadataTypeInfo { TypeName = "TimelyStartOfServiceDescriptor" };
            cacheData.Add(typeInfoTimelyStartOfServiceDescriptor);
            typeInfoTimelyStartOfServiceDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoTimelyStartOfServiceDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "timelyStartOfServiceDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoTimelyStartOfServiceDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoTimelyStartOfServiceDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoTimelyStartOfServiceDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoTimelyStartOfServiceDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoTimelyStartOfServiceDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoTimelyStartOfServiceDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoTimelyStartOfServiceDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoTimelyStartOfServiceDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoLicenseStatusType = new MetadataTypeInfo { TypeName = "LicenseStatusType" };
            cacheData.Add(typeInfoLicenseStatusType);
            typeInfoLicenseStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoLicenseStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "licenseStatusTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoLicenseStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoLicenseStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoLicenseStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoLicenseStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoProviderProfitabilityType = new MetadataTypeInfo { TypeName = "ProviderProfitabilityType" };
            cacheData.Add(typeInfoProviderProfitabilityType);
            typeInfoProviderProfitabilityType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoProviderProfitabilityType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "providerProfitabilityTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoProviderProfitabilityType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoProviderProfitabilityType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoProviderProfitabilityType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoProviderProfitabilityType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoProviderStatusType = new MetadataTypeInfo { TypeName = "ProviderStatusType" };
            cacheData.Add(typeInfoProviderStatusType);
            typeInfoProviderStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoProviderStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "providerStatusTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoProviderStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoProviderStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoProviderStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoProviderStatusType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoProviderType = new MetadataTypeInfo { TypeName = "ProviderType" };
            cacheData.Add(typeInfoProviderType);
            typeInfoProviderType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoProviderType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "providerTypeId",
                IsPartOfNaturalKey = true,
            });
            typeInfoProviderType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoProviderType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoProviderType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoProviderType.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoLicenseStatusDescriptor = new MetadataTypeInfo { TypeName = "LicenseStatusDescriptor" };
            cacheData.Add(typeInfoLicenseStatusDescriptor);
            typeInfoLicenseStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoLicenseStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "licenseStatusDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoLicenseStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoLicenseStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoLicenseStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoLicenseStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoLicenseStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoLicenseStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoLicenseStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoLicenseStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "licenseStatusType",
                IsPartOfNaturalKey = false,
            });
            typeInfoLicenseStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoProviderProfitabilityDescriptor = new MetadataTypeInfo { TypeName = "ProviderProfitabilityDescriptor" };
            cacheData.Add(typeInfoProviderProfitabilityDescriptor);
            typeInfoProviderProfitabilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoProviderProfitabilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "providerProfitabilityDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoProviderProfitabilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoProviderProfitabilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoProviderProfitabilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoProviderProfitabilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoProviderProfitabilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoProviderProfitabilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoProviderProfitabilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoProviderProfitabilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "providerProfitabilityType",
                IsPartOfNaturalKey = false,
            });
            typeInfoProviderProfitabilityDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoProviderStatusDescriptor = new MetadataTypeInfo { TypeName = "ProviderStatusDescriptor" };
            cacheData.Add(typeInfoProviderStatusDescriptor);
            typeInfoProviderStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoProviderStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "providerStatusDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoProviderStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoProviderStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoProviderStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoProviderStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoProviderStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoProviderStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoProviderStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoProviderStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "providerStatusType",
                IsPartOfNaturalKey = false,
            });
            typeInfoProviderStatusDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoProviderTypeDescriptor = new MetadataTypeInfo { TypeName = "ProviderTypeDescriptor" };
            cacheData.Add(typeInfoProviderTypeDescriptor);
            typeInfoProviderTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoProviderTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "providerTypeDescriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoProviderTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "namespace",
                IsPartOfNaturalKey = false,
            });
            typeInfoProviderTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "codeValue",
                IsPartOfNaturalKey = false,
            });
            typeInfoProviderTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoProviderTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "description",
                IsPartOfNaturalKey = false,
            });
            typeInfoProviderTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "priorDescriptorId",
                IsPartOfNaturalKey = false,
            });
            typeInfoProviderTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoProviderTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "effectiveEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoProviderTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "providerType",
                IsPartOfNaturalKey = false,
            });
            typeInfoProviderTypeDescriptor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCommunityOrganization = new MetadataTypeInfo { TypeName = "CommunityOrganization" };
            cacheData.Add(typeInfoCommunityOrganization);
            typeInfoCommunityOrganization.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityOrganization.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "stateEducationAgencyReference",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityOrganization.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "communityOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCommunityOrganization.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "stateOrganizationId",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityOrganization.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "nameOfInstitution",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityOrganization.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortNameOfInstitution",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityOrganization.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "webSite",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityOrganization.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "operationalStatusType",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityOrganization.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "addresses",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityOrganization.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationCategories",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityOrganization.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationCodes",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityOrganization.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "institutionTelephones",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityOrganization.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "internationalAddresses",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityOrganization.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCommunityProvider = new MetadataTypeInfo { TypeName = "CommunityProvider" };
            cacheData.Add(typeInfoCommunityProvider);
            typeInfoCommunityProvider.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProvider.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "communityOrganizationReference",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProvider.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "communityProviderId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCommunityProvider.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "stateOrganizationId",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProvider.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "nameOfInstitution",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProvider.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortNameOfInstitution",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProvider.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "webSite",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProvider.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "operationalStatusType",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProvider.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "providerTypeDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProvider.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "providerStatusDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProvider.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "providerProfitabilityDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProvider.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "licenseExemptFlag",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProvider.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolFlag",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProvider.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "addresses",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProvider.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationCategories",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProvider.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationCodes",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProvider.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "institutionTelephones",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProvider.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "internationalAddresses",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProvider.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "licenses",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProvider.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "qrisRatings",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProvider.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoQRISRatingOrganization = new MetadataTypeInfo { TypeName = "QRISRatingOrganization" };
            cacheData.Add(typeInfoQRISRatingOrganization);
            typeInfoQRISRatingOrganization.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoQRISRatingOrganization.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "stateEducationAgencyReference",
                IsPartOfNaturalKey = false,
            });
            typeInfoQRISRatingOrganization.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "qrisRatingOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoQRISRatingOrganization.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "stateOrganizationId",
                IsPartOfNaturalKey = false,
            });
            typeInfoQRISRatingOrganization.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "nameOfInstitution",
                IsPartOfNaturalKey = false,
            });
            typeInfoQRISRatingOrganization.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "shortNameOfInstitution",
                IsPartOfNaturalKey = false,
            });
            typeInfoQRISRatingOrganization.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "webSite",
                IsPartOfNaturalKey = false,
            });
            typeInfoQRISRatingOrganization.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "operationalStatusType",
                IsPartOfNaturalKey = false,
            });
            typeInfoQRISRatingOrganization.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "naming",
                IsPartOfNaturalKey = false,
            });
            typeInfoQRISRatingOrganization.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "numberOfRatingLevels",
                IsPartOfNaturalKey = false,
            });
            typeInfoQRISRatingOrganization.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "addresses",
                IsPartOfNaturalKey = false,
            });
            typeInfoQRISRatingOrganization.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationCategories",
                IsPartOfNaturalKey = false,
            });
            typeInfoQRISRatingOrganization.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationCodes",
                IsPartOfNaturalKey = false,
            });
            typeInfoQRISRatingOrganization.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "institutionTelephones",
                IsPartOfNaturalKey = false,
            });
            typeInfoQRISRatingOrganization.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "internationalAddresses",
                IsPartOfNaturalKey = false,
            });
            typeInfoQRISRatingOrganization.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCommunityProviderLocation = new MetadataTypeInfo { TypeName = "CommunityProviderLocation" };
            cacheData.Add(typeInfoCommunityProviderLocation);
            typeInfoCommunityProviderLocation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProviderLocation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "communityProviderReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoCommunityProviderLocation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "communityProviderLocationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCommunityProviderLocation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "ageRangeDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProviderLocation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "youngestAgeAccepted",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProviderLocation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "oldestAgeAccepted",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProviderLocation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "capacity",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProviderLocation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "specialNeedsProvidedFlag",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProviderLocation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "timeOpen",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProviderLocation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "timeClose",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProviderLocation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "addressType",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProviderLocation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "streetNumberName",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProviderLocation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "apartmentRoomSuiteNumber",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProviderLocation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "buildingSiteNumber",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProviderLocation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "city",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProviderLocation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "stateAbbreviationType",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProviderLocation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "postalCode",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProviderLocation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "nameOfCounty",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProviderLocation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "countyFIPSCode",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProviderLocation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoClassGroup = new MetadataTypeInfo { TypeName = "ClassGroup" };
            cacheData.Add(typeInfoClassGroup);
            typeInfoClassGroup.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoClassGroup.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "communityProviderLocationReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoClassGroup.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "name",
                IsPartOfNaturalKey = true,
            });
            typeInfoClassGroup.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "specialNeedsProvidedFlag",
                IsPartOfNaturalKey = false,
            });
            typeInfoClassGroup.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "capacity",
                IsPartOfNaturalKey = false,
            });
            typeInfoClassGroup.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "daysAvailablePerWeek",
                IsPartOfNaturalKey = false,
            });
            typeInfoClassGroup.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "hoursAvailablePerDay",
                IsPartOfNaturalKey = false,
            });
            typeInfoClassGroup.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "meetingTimes",
                IsPartOfNaturalKey = false,
            });
            typeInfoClassGroup.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "services",
                IsPartOfNaturalKey = false,
            });
            typeInfoClassGroup.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentClassGroupAttendanceEvent = new MetadataTypeInfo { TypeName = "StudentClassGroupAttendanceEvent" };
            cacheData.Add(typeInfoStudentClassGroupAttendanceEvent);
            typeInfoStudentClassGroupAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentClassGroupAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "classGroupReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentClassGroupAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentClassGroupAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "eventDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentClassGroupAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "attendanceEventCategoryDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentClassGroupAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "attendanceEventReason",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentClassGroupAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationalEnvironmentType",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentClassGroupAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentCommunityProviderLocationAttendanceEvent = new MetadataTypeInfo { TypeName = "StudentCommunityProviderLocationAttendanceEvent" };
            cacheData.Add(typeInfoStudentCommunityProviderLocationAttendanceEvent);
            typeInfoStudentCommunityProviderLocationAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentCommunityProviderLocationAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "communityProviderLocationReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCommunityProviderLocationAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCommunityProviderLocationAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "eventDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCommunityProviderLocationAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "attendanceEventCategoryDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCommunityProviderLocationAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "attendanceEventReason",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentCommunityProviderLocationAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationalEnvironmentType",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentCommunityProviderLocationAttendanceEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentClassGroupAssociation = new MetadataTypeInfo { TypeName = "StudentClassGroupAssociation" };
            cacheData.Add(typeInfoStudentClassGroupAssociation);
            typeInfoStudentClassGroupAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentClassGroupAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "classGroupReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentClassGroupAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentClassGroupAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentClassGroupAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentClassGroupAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "reasonExitedDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentClassGroupAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentCommunityProviderLocationAssociation = new MetadataTypeInfo { TypeName = "StudentCommunityProviderLocationAssociation" };
            cacheData.Add(typeInfoStudentCommunityProviderLocationAssociation);
            typeInfoStudentCommunityProviderLocationAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "id",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentCommunityProviderLocationAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "communityProviderLocationReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCommunityProviderLocationAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCommunityProviderLocationAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCommunityProviderLocationAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentCommunityProviderLocationAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "reasonExitedDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentCommunityProviderLocationAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "enrollmentStatus",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentCommunityProviderLocationAssociation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "_etag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoBulkOperationStatus = new MetadataTypeInfo { TypeName = "BulkOperationStatus" };
            cacheData.Add(typeInfoBulkOperationStatus);

            var typeInfoUploadFileStatus = new MetadataTypeInfo { TypeName = "UploadFileStatus" };
            cacheData.Add(typeInfoUploadFileStatus);

            var typeInfoStudentParentAssociationReference = new MetadataTypeInfo { TypeName = "StudentParentAssociationReference" };
            cacheData.Add(typeInfoStudentParentAssociationReference);
            typeInfoStudentParentAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentParentAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "parentUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentParentAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoProgramReference = new MetadataTypeInfo { TypeName = "ProgramReference" };
            cacheData.Add(typeInfoProgramReference);
            typeInfoProgramReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoProgramReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "type",
                IsPartOfNaturalKey = true,
            });
            typeInfoProgramReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "name",
                IsPartOfNaturalKey = true,
            });
            typeInfoProgramReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoProgramService = new MetadataTypeInfo { TypeName = "ProgramService" };
            cacheData.Add(typeInfoProgramService);
            typeInfoProgramService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "serviceDescriptor",
                IsPartOfNaturalKey = true,
            });

            var typeInfoProgramCharacteristic = new MetadataTypeInfo { TypeName = "ProgramCharacteristic" };
            cacheData.Add(typeInfoProgramCharacteristic);
            typeInfoProgramCharacteristic.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "descriptor",
                IsPartOfNaturalKey = true,
            });

            var typeInfoProgramLearningObjective = new MetadataTypeInfo { TypeName = "ProgramLearningObjective" };
            cacheData.Add(typeInfoProgramLearningObjective);
            typeInfoProgramLearningObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "learningObjectiveReference",
                IsPartOfNaturalKey = true,
            });

            var typeInfoProgramLearningStandard = new MetadataTypeInfo { TypeName = "ProgramLearningStandard" };
            cacheData.Add(typeInfoProgramLearningStandard);
            typeInfoProgramLearningStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "learningStandardReference",
                IsPartOfNaturalKey = true,
            });

            var typeInfoSectionReference = new MetadataTypeInfo { TypeName = "SectionReference" };
            cacheData.Add(typeInfoSectionReference);
            typeInfoSectionReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolId",
                IsPartOfNaturalKey = true,
            });
            typeInfoSectionReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "classPeriodName",
                IsPartOfNaturalKey = true,
            });
            typeInfoSectionReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "classroomIdentificationCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoSectionReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "localCourseCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoSectionReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "termDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoSectionReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolYear",
                IsPartOfNaturalKey = true,
            });
            typeInfoSectionReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "uniqueSectionCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoSectionReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "sequenceOfCourse",
                IsPartOfNaturalKey = true,
            });
            typeInfoSectionReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoSectionProgram = new MetadataTypeInfo { TypeName = "SectionProgram" };
            cacheData.Add(typeInfoSectionProgram);
            typeInfoSectionProgram.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programReference",
                IsPartOfNaturalKey = true,
            });

            var typeInfoSectionCharacteristic = new MetadataTypeInfo { TypeName = "SectionCharacteristic" };
            cacheData.Add(typeInfoSectionCharacteristic);
            typeInfoSectionCharacteristic.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "descriptor",
                IsPartOfNaturalKey = true,
            });

            var typeInfoSectionAttendanceTakenEventReference = new MetadataTypeInfo { TypeName = "SectionAttendanceTakenEventReference" };
            cacheData.Add(typeInfoSectionAttendanceTakenEventReference);
            typeInfoSectionAttendanceTakenEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolId",
                IsPartOfNaturalKey = true,
            });
            typeInfoSectionAttendanceTakenEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "classPeriodName",
                IsPartOfNaturalKey = true,
            });
            typeInfoSectionAttendanceTakenEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "classroomIdentificationCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoSectionAttendanceTakenEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "localCourseCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoSectionAttendanceTakenEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "termDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoSectionAttendanceTakenEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolYear",
                IsPartOfNaturalKey = true,
            });
            typeInfoSectionAttendanceTakenEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "uniqueSectionCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoSectionAttendanceTakenEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "sequenceOfCourse",
                IsPartOfNaturalKey = true,
            });
            typeInfoSectionAttendanceTakenEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "date",
                IsPartOfNaturalKey = true,
            });
            typeInfoSectionAttendanceTakenEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentSectionAssociationReference = new MetadataTypeInfo { TypeName = "StudentSectionAssociationReference" };
            cacheData.Add(typeInfoStudentSectionAssociationReference);
            typeInfoStudentSectionAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSectionAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSectionAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "classPeriodName",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSectionAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "classroomIdentificationCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSectionAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "localCourseCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSectionAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "uniqueSectionCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSectionAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "sequenceOfCourse",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSectionAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolYear",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSectionAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "termDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSectionAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSectionAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoRestraintEventReference = new MetadataTypeInfo { TypeName = "RestraintEventReference" };
            cacheData.Add(typeInfoRestraintEventReference);
            typeInfoRestraintEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoRestraintEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolId",
                IsPartOfNaturalKey = true,
            });
            typeInfoRestraintEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identifier",
                IsPartOfNaturalKey = true,
            });
            typeInfoRestraintEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "eventDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoRestraintEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoRestraintEventReason = new MetadataTypeInfo { TypeName = "RestraintEventReason" };
            cacheData.Add(typeInfoRestraintEventReason);
            typeInfoRestraintEventReason.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "type",
                IsPartOfNaturalKey = true,
            });

            var typeInfoRestraintEventProgram = new MetadataTypeInfo { TypeName = "RestraintEventProgram" };
            cacheData.Add(typeInfoRestraintEventProgram);
            typeInfoRestraintEventProgram.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programReference",
                IsPartOfNaturalKey = true,
            });

            var typeInfoStaffProgramAssociationReference = new MetadataTypeInfo { TypeName = "StaffProgramAssociationReference" };
            cacheData.Add(typeInfoStaffProgramAssociationReference);
            typeInfoStaffProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programEducationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programType",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "staffUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programName",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentProgramAssociationReference = new MetadataTypeInfo { TypeName = "StudentProgramAssociationReference" };
            cacheData.Add(typeInfoStudentProgramAssociationReference);
            typeInfoStudentProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programType",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programName",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programEducationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentProgramAssociationService = new MetadataTypeInfo { TypeName = "StudentProgramAssociationService" };
            cacheData.Add(typeInfoStudentProgramAssociationService);
            typeInfoStudentProgramAssociationService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "serviceDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentProgramAssociationService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "primaryIndicator",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentProgramAssociationService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "serviceBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentProgramAssociationService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "serviceEndDate",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentMigrantEducationProgramAssociationReference = new MetadataTypeInfo { TypeName = "StudentMigrantEducationProgramAssociationReference" };
            cacheData.Add(typeInfoStudentMigrantEducationProgramAssociationReference);
            typeInfoStudentMigrantEducationProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentMigrantEducationProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentMigrantEducationProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programType",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentMigrantEducationProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programName",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentMigrantEducationProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programEducationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentMigrantEducationProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentMigrantEducationProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentTitleIPartAProgramAssociationReference = new MetadataTypeInfo { TypeName = "StudentTitleIPartAProgramAssociationReference" };
            cacheData.Add(typeInfoStudentTitleIPartAProgramAssociationReference);
            typeInfoStudentTitleIPartAProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentTitleIPartAProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentTitleIPartAProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programType",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentTitleIPartAProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programName",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentTitleIPartAProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programEducationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentTitleIPartAProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentTitleIPartAProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentCTEProgramAssociationReference = new MetadataTypeInfo { TypeName = "StudentCTEProgramAssociationReference" };
            cacheData.Add(typeInfoStudentCTEProgramAssociationReference);
            typeInfoStudentCTEProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCTEProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCTEProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programType",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCTEProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programName",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCTEProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programEducationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCTEProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCTEProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentCTEProgramAssociationCTEProgram = new MetadataTypeInfo { TypeName = "StudentCTEProgramAssociationCTEProgram" };
            cacheData.Add(typeInfoStudentCTEProgramAssociationCTEProgram);
            typeInfoStudentCTEProgramAssociationCTEProgram.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "careerPathwayType",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCTEProgramAssociationCTEProgram.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "cipCode",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentCTEProgramAssociationCTEProgram.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "primaryCTEProgramIndicator",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentCTEProgramAssociationCTEProgram.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "cteProgramCompletionIndicator",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAssessmentItemReference = new MetadataTypeInfo { TypeName = "AssessmentItemReference" };
            cacheData.Add(typeInfoAssessmentItemReference);
            typeInfoAssessmentItemReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessmentTitle",
                IsPartOfNaturalKey = true,
            });
            typeInfoAssessmentItemReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "academicSubjectDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoAssessmentItemReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessedGradeLevelDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoAssessmentItemReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "version",
                IsPartOfNaturalKey = true,
            });
            typeInfoAssessmentItemReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoAssessmentItemReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAssessmentItemLearningStandard = new MetadataTypeInfo { TypeName = "AssessmentItemLearningStandard" };
            cacheData.Add(typeInfoAssessmentItemLearningStandard);
            typeInfoAssessmentItemLearningStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "learningStandardReference",
                IsPartOfNaturalKey = true,
            });

            var typeInfoAssessmentReference = new MetadataTypeInfo { TypeName = "AssessmentReference" };
            cacheData.Add(typeInfoAssessmentReference);
            typeInfoAssessmentReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "title",
                IsPartOfNaturalKey = true,
            });
            typeInfoAssessmentReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessedGradeLevelDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoAssessmentReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "academicSubjectDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoAssessmentReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "version",
                IsPartOfNaturalKey = true,
            });
            typeInfoAssessmentReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAssessmentLanguage = new MetadataTypeInfo { TypeName = "AssessmentLanguage" };
            cacheData.Add(typeInfoAssessmentLanguage);
            typeInfoAssessmentLanguage.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "languageDescriptor",
                IsPartOfNaturalKey = true,
            });

            var typeInfoAssessmentScore = new MetadataTypeInfo { TypeName = "AssessmentScore" };
            cacheData.Add(typeInfoAssessmentScore);
            typeInfoAssessmentScore.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessmentReportingMethodType",
                IsPartOfNaturalKey = true,
            });
            typeInfoAssessmentScore.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "minimumScore",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentScore.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "maximumScore",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentScore.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "resultDatatypeType",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAssessmentContentStandard = new MetadataTypeInfo { TypeName = "AssessmentContentStandard" };
            cacheData.Add(typeInfoAssessmentContentStandard);
            typeInfoAssessmentContentStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "mandatingEducationOrganizationReference",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentContentStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "title",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentContentStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "version",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentContentStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "uri",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentContentStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "publicationDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentContentStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "publicationYear",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentContentStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "publicationStatusType",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentContentStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentContentStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentContentStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "authors",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAssessmentContentStandardAuthor = new MetadataTypeInfo { TypeName = "AssessmentContentStandardAuthor" };
            cacheData.Add(typeInfoAssessmentContentStandardAuthor);
            typeInfoAssessmentContentStandardAuthor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "author",
                IsPartOfNaturalKey = true,
            });

            var typeInfoAssessmentIdentificationCode = new MetadataTypeInfo { TypeName = "AssessmentIdentificationCode" };
            cacheData.Add(typeInfoAssessmentIdentificationCode);
            typeInfoAssessmentIdentificationCode.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessmentIdentificationSystemDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoAssessmentIdentificationCode.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assigningOrganizationIdentificationCode",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentIdentificationCode.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationCode",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAssessmentPerformanceLevel = new MetadataTypeInfo { TypeName = "AssessmentPerformanceLevel" };
            cacheData.Add(typeInfoAssessmentPerformanceLevel);
            typeInfoAssessmentPerformanceLevel.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "performanceLevelDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoAssessmentPerformanceLevel.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessmentReportingMethodType",
                IsPartOfNaturalKey = true,
            });
            typeInfoAssessmentPerformanceLevel.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "minimumScore",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentPerformanceLevel.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "maximumScore",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentPerformanceLevel.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "resultDatatypeType",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAssessmentSection = new MetadataTypeInfo { TypeName = "AssessmentSection" };
            cacheData.Add(typeInfoAssessmentSection);
            typeInfoAssessmentSection.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "sectionReference",
                IsPartOfNaturalKey = true,
            });

            var typeInfoAssessmentProgram = new MetadataTypeInfo { TypeName = "AssessmentProgram" };
            cacheData.Add(typeInfoAssessmentProgram);
            typeInfoAssessmentProgram.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programReference",
                IsPartOfNaturalKey = true,
            });

            var typeInfoAssessmentFamilyReference = new MetadataTypeInfo { TypeName = "AssessmentFamilyReference" };
            cacheData.Add(typeInfoAssessmentFamilyReference);
            typeInfoAssessmentFamilyReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "title",
                IsPartOfNaturalKey = true,
            });
            typeInfoAssessmentFamilyReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAssessmentFamilyAssessmentPeriod = new MetadataTypeInfo { TypeName = "AssessmentFamilyAssessmentPeriod" };
            cacheData.Add(typeInfoAssessmentFamilyAssessmentPeriod);
            typeInfoAssessmentFamilyAssessmentPeriod.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessmentPeriodDescriptor",
                IsPartOfNaturalKey = true,
            });

            var typeInfoAssessmentFamilyIdentificationCode = new MetadataTypeInfo { TypeName = "AssessmentFamilyIdentificationCode" };
            cacheData.Add(typeInfoAssessmentFamilyIdentificationCode);
            typeInfoAssessmentFamilyIdentificationCode.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessmentIdentificationSystemDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoAssessmentFamilyIdentificationCode.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assigningOrganizationIdentificationCode",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentFamilyIdentificationCode.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationCode",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAssessmentFamilyContentStandard = new MetadataTypeInfo { TypeName = "AssessmentFamilyContentStandard" };
            cacheData.Add(typeInfoAssessmentFamilyContentStandard);
            typeInfoAssessmentFamilyContentStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "mandatingEducationOrganizationReference",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentFamilyContentStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "title",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentFamilyContentStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "version",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentFamilyContentStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "uri",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentFamilyContentStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "publicationDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentFamilyContentStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "publicationYear",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentFamilyContentStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "publicationStatusType",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentFamilyContentStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentFamilyContentStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoAssessmentFamilyContentStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "authors",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAssessmentFamilyContentStandardAuthor = new MetadataTypeInfo { TypeName = "AssessmentFamilyContentStandardAuthor" };
            cacheData.Add(typeInfoAssessmentFamilyContentStandardAuthor);
            typeInfoAssessmentFamilyContentStandardAuthor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "author",
                IsPartOfNaturalKey = true,
            });

            var typeInfoAssessmentFamilyLanguage = new MetadataTypeInfo { TypeName = "AssessmentFamilyLanguage" };
            cacheData.Add(typeInfoAssessmentFamilyLanguage);
            typeInfoAssessmentFamilyLanguage.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "languageDescriptor",
                IsPartOfNaturalKey = true,
            });

            var typeInfoObjectiveAssessmentReference = new MetadataTypeInfo { TypeName = "ObjectiveAssessmentReference" };
            cacheData.Add(typeInfoObjectiveAssessmentReference);
            typeInfoObjectiveAssessmentReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessmentTitle",
                IsPartOfNaturalKey = true,
            });
            typeInfoObjectiveAssessmentReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "academicSubjectDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoObjectiveAssessmentReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessedGradeLevelDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoObjectiveAssessmentReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "version",
                IsPartOfNaturalKey = true,
            });
            typeInfoObjectiveAssessmentReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoObjectiveAssessmentReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoObjectiveAssessmentLearningObjectiveToLearningObjectiveReference = new MetadataTypeInfo { TypeName = "ObjectiveAssessmentLearningObjectiveToLearningObjectiveReference" };
            cacheData.Add(typeInfoObjectiveAssessmentLearningObjectiveToLearningObjectiveReference);
            typeInfoObjectiveAssessmentLearningObjectiveToLearningObjectiveReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "objective",
                IsPartOfNaturalKey = true,
            });
            typeInfoObjectiveAssessmentLearningObjectiveToLearningObjectiveReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoObjectiveAssessmentLearningObjective = new MetadataTypeInfo { TypeName = "ObjectiveAssessmentLearningObjective" };
            cacheData.Add(typeInfoObjectiveAssessmentLearningObjective);
            typeInfoObjectiveAssessmentLearningObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "learningObjectiveReference",
                IsPartOfNaturalKey = true,
            });

            var typeInfoObjectiveAssessmentLearningStandard = new MetadataTypeInfo { TypeName = "ObjectiveAssessmentLearningStandard" };
            cacheData.Add(typeInfoObjectiveAssessmentLearningStandard);
            typeInfoObjectiveAssessmentLearningStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "learningStandardReference",
                IsPartOfNaturalKey = true,
            });

            var typeInfoObjectiveAssessmentAssessmentItemToAssessmentItemReference = new MetadataTypeInfo { TypeName = "ObjectiveAssessmentAssessmentItemToAssessmentItemReference" };
            cacheData.Add(typeInfoObjectiveAssessmentAssessmentItemToAssessmentItemReference);
            typeInfoObjectiveAssessmentAssessmentItemToAssessmentItemReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoObjectiveAssessmentAssessmentItemToAssessmentItemReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoObjectiveAssessmentAssessmentItem = new MetadataTypeInfo { TypeName = "ObjectiveAssessmentAssessmentItem" };
            cacheData.Add(typeInfoObjectiveAssessmentAssessmentItem);
            typeInfoObjectiveAssessmentAssessmentItem.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessmentItemReference",
                IsPartOfNaturalKey = true,
            });

            var typeInfoObjectiveAssessmentPerformanceLevel = new MetadataTypeInfo { TypeName = "ObjectiveAssessmentPerformanceLevel" };
            cacheData.Add(typeInfoObjectiveAssessmentPerformanceLevel);
            typeInfoObjectiveAssessmentPerformanceLevel.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "performanceLevelDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoObjectiveAssessmentPerformanceLevel.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessmentReportingMethodType",
                IsPartOfNaturalKey = true,
            });
            typeInfoObjectiveAssessmentPerformanceLevel.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "minimumScore",
                IsPartOfNaturalKey = false,
            });
            typeInfoObjectiveAssessmentPerformanceLevel.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "maximumScore",
                IsPartOfNaturalKey = false,
            });
            typeInfoObjectiveAssessmentPerformanceLevel.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "resultDatatypeType",
                IsPartOfNaturalKey = false,
            });

            var typeInfoLearningObjectiveReference = new MetadataTypeInfo { TypeName = "LearningObjectiveReference" };
            cacheData.Add(typeInfoLearningObjectiveReference);
            typeInfoLearningObjectiveReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "objective",
                IsPartOfNaturalKey = true,
            });
            typeInfoLearningObjectiveReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "academicSubjectDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoLearningObjectiveReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "objectiveGradeLevelDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoLearningObjectiveReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoLearningObjectiveLearningStandard = new MetadataTypeInfo { TypeName = "LearningObjectiveLearningStandard" };
            cacheData.Add(typeInfoLearningObjectiveLearningStandard);
            typeInfoLearningObjectiveLearningStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "learningStandardReference",
                IsPartOfNaturalKey = true,
            });

            var typeInfoLearningObjectiveContentStandard = new MetadataTypeInfo { TypeName = "LearningObjectiveContentStandard" };
            cacheData.Add(typeInfoLearningObjectiveContentStandard);
            typeInfoLearningObjectiveContentStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "mandatingEducationOrganizationReference",
                IsPartOfNaturalKey = false,
            });
            typeInfoLearningObjectiveContentStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "title",
                IsPartOfNaturalKey = false,
            });
            typeInfoLearningObjectiveContentStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "version",
                IsPartOfNaturalKey = false,
            });
            typeInfoLearningObjectiveContentStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "uri",
                IsPartOfNaturalKey = false,
            });
            typeInfoLearningObjectiveContentStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "publicationDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoLearningObjectiveContentStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "publicationYear",
                IsPartOfNaturalKey = false,
            });
            typeInfoLearningObjectiveContentStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "publicationStatusType",
                IsPartOfNaturalKey = false,
            });
            typeInfoLearningObjectiveContentStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoLearningObjectiveContentStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoLearningObjectiveContentStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "authors",
                IsPartOfNaturalKey = false,
            });

            var typeInfoLearningObjectiveContentStandardAuthor = new MetadataTypeInfo { TypeName = "LearningObjectiveContentStandardAuthor" };
            cacheData.Add(typeInfoLearningObjectiveContentStandardAuthor);
            typeInfoLearningObjectiveContentStandardAuthor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "author",
                IsPartOfNaturalKey = true,
            });

            var typeInfoLearningStandardReference = new MetadataTypeInfo { TypeName = "LearningStandardReference" };
            cacheData.Add(typeInfoLearningStandardReference);
            typeInfoLearningStandardReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "learningStandardId",
                IsPartOfNaturalKey = true,
            });
            typeInfoLearningStandardReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoLearningStandardPrerequisiteLearningStandard = new MetadataTypeInfo { TypeName = "LearningStandardPrerequisiteLearningStandard" };
            cacheData.Add(typeInfoLearningStandardPrerequisiteLearningStandard);
            typeInfoLearningStandardPrerequisiteLearningStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "prerequisiteLearningStandardReference",
                IsPartOfNaturalKey = true,
            });

            var typeInfoLearningStandardContentStandard = new MetadataTypeInfo { TypeName = "LearningStandardContentStandard" };
            cacheData.Add(typeInfoLearningStandardContentStandard);
            typeInfoLearningStandardContentStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "mandatingEducationOrganizationReference",
                IsPartOfNaturalKey = false,
            });
            typeInfoLearningStandardContentStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "title",
                IsPartOfNaturalKey = false,
            });
            typeInfoLearningStandardContentStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "version",
                IsPartOfNaturalKey = false,
            });
            typeInfoLearningStandardContentStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "uri",
                IsPartOfNaturalKey = false,
            });
            typeInfoLearningStandardContentStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "publicationDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoLearningStandardContentStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "publicationYear",
                IsPartOfNaturalKey = false,
            });
            typeInfoLearningStandardContentStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "publicationStatusType",
                IsPartOfNaturalKey = false,
            });
            typeInfoLearningStandardContentStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoLearningStandardContentStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoLearningStandardContentStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "authors",
                IsPartOfNaturalKey = false,
            });

            var typeInfoLearningStandardContentStandardAuthor = new MetadataTypeInfo { TypeName = "LearningStandardContentStandardAuthor" };
            cacheData.Add(typeInfoLearningStandardContentStandardAuthor);
            typeInfoLearningStandardContentStandardAuthor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "author",
                IsPartOfNaturalKey = true,
            });

            var typeInfoLearningStandardGradeLevel = new MetadataTypeInfo { TypeName = "LearningStandardGradeLevel" };
            cacheData.Add(typeInfoLearningStandardGradeLevel);
            typeInfoLearningStandardGradeLevel.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradeLevelDescriptor",
                IsPartOfNaturalKey = true,
            });

            var typeInfoLearningStandardIdentificationCode = new MetadataTypeInfo { TypeName = "LearningStandardIdentificationCode" };
            cacheData.Add(typeInfoLearningStandardIdentificationCode);
            typeInfoLearningStandardIdentificationCode.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoLearningStandardIdentificationCode.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "contentStandardName",
                IsPartOfNaturalKey = true,
            });

            var typeInfoEducationContentReference = new MetadataTypeInfo { TypeName = "EducationContentReference" };
            cacheData.Add(typeInfoEducationContentReference);
            typeInfoEducationContentReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "contentIdentifier",
                IsPartOfNaturalKey = true,
            });
            typeInfoEducationContentReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoEducationContentAuthor = new MetadataTypeInfo { TypeName = "EducationContentAuthor" };
            cacheData.Add(typeInfoEducationContentAuthor);
            typeInfoEducationContentAuthor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "author",
                IsPartOfNaturalKey = true,
            });

            var typeInfoEducationContentAppropriateGradeLevel = new MetadataTypeInfo { TypeName = "EducationContentAppropriateGradeLevel" };
            cacheData.Add(typeInfoEducationContentAppropriateGradeLevel);
            typeInfoEducationContentAppropriateGradeLevel.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradeLevelDescriptor",
                IsPartOfNaturalKey = true,
            });

            var typeInfoEducationContentDerivativeSourceEducationContent = new MetadataTypeInfo { TypeName = "EducationContentDerivativeSourceEducationContent" };
            cacheData.Add(typeInfoEducationContentDerivativeSourceEducationContent);
            typeInfoEducationContentDerivativeSourceEducationContent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "derivativeSourceEducationContentReference",
                IsPartOfNaturalKey = true,
            });

            var typeInfoEducationContentAppropriateSex = new MetadataTypeInfo { TypeName = "EducationContentAppropriateSex" };
            cacheData.Add(typeInfoEducationContentAppropriateSex);
            typeInfoEducationContentAppropriateSex.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "sexType",
                IsPartOfNaturalKey = true,
            });

            var typeInfoEducationContentDerivativeSourceLearningResourceMetadataURI = new MetadataTypeInfo { TypeName = "EducationContentDerivativeSourceLearningResourceMetadataURI" };
            cacheData.Add(typeInfoEducationContentDerivativeSourceLearningResourceMetadataURI);
            typeInfoEducationContentDerivativeSourceLearningResourceMetadataURI.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "learningResourceMetadataURI",
                IsPartOfNaturalKey = true,
            });

            var typeInfoEducationContentDerivativeSourceURI = new MetadataTypeInfo { TypeName = "EducationContentDerivativeSourceURI" };
            cacheData.Add(typeInfoEducationContentDerivativeSourceURI);
            typeInfoEducationContentDerivativeSourceURI.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "uri",
                IsPartOfNaturalKey = true,
            });

            var typeInfoEducationContentLanguage = new MetadataTypeInfo { TypeName = "EducationContentLanguage" };
            cacheData.Add(typeInfoEducationContentLanguage);
            typeInfoEducationContentLanguage.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "languageDescriptor",
                IsPartOfNaturalKey = true,
            });

            var typeInfoCalendarDateReference = new MetadataTypeInfo { TypeName = "CalendarDateReference" };
            cacheData.Add(typeInfoCalendarDateReference);
            typeInfoCalendarDateReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCalendarDateReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "date",
                IsPartOfNaturalKey = true,
            });
            typeInfoCalendarDateReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCalendarDateCalendarEvent = new MetadataTypeInfo { TypeName = "CalendarDateCalendarEvent" };
            cacheData.Add(typeInfoCalendarDateCalendarEvent);
            typeInfoCalendarDateCalendarEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "calendarEventDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoCalendarDateCalendarEvent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "eventDuration",
                IsPartOfNaturalKey = false,
            });

            var typeInfoSessionReference = new MetadataTypeInfo { TypeName = "SessionReference" };
            cacheData.Add(typeInfoSessionReference);
            typeInfoSessionReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolId",
                IsPartOfNaturalKey = true,
            });
            typeInfoSessionReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolYear",
                IsPartOfNaturalKey = true,
            });
            typeInfoSessionReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "termDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoSessionReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoSessionGradingPeriodToGradingPeriodReference = new MetadataTypeInfo { TypeName = "SessionGradingPeriodToGradingPeriodReference" };
            cacheData.Add(typeInfoSessionGradingPeriodToGradingPeriodReference);
            typeInfoSessionGradingPeriodToGradingPeriodReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "descriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoSessionGradingPeriodToGradingPeriodReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoSessionGradingPeriodToGradingPeriodReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoSessionGradingPeriod = new MetadataTypeInfo { TypeName = "SessionGradingPeriod" };
            cacheData.Add(typeInfoSessionGradingPeriod);
            typeInfoSessionGradingPeriod.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradingPeriodReference",
                IsPartOfNaturalKey = true,
            });

            var typeInfoSessionAcademicWeekToAcademicWeekReference = new MetadataTypeInfo { TypeName = "SessionAcademicWeekToAcademicWeekReference" };
            cacheData.Add(typeInfoSessionAcademicWeekToAcademicWeekReference);
            typeInfoSessionAcademicWeekToAcademicWeekReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "weekIdentifier",
                IsPartOfNaturalKey = true,
            });
            typeInfoSessionAcademicWeekToAcademicWeekReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoSessionAcademicWeek = new MetadataTypeInfo { TypeName = "SessionAcademicWeek" };
            cacheData.Add(typeInfoSessionAcademicWeek);
            typeInfoSessionAcademicWeek.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "academicWeekReference",
                IsPartOfNaturalKey = true,
            });

            var typeInfoClassPeriodReference = new MetadataTypeInfo { TypeName = "ClassPeriodReference" };
            cacheData.Add(typeInfoClassPeriodReference);
            typeInfoClassPeriodReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolId",
                IsPartOfNaturalKey = true,
            });
            typeInfoClassPeriodReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "name",
                IsPartOfNaturalKey = true,
            });
            typeInfoClassPeriodReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoBellScheduleReference = new MetadataTypeInfo { TypeName = "BellScheduleReference" };
            cacheData.Add(typeInfoBellScheduleReference);
            typeInfoBellScheduleReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "name",
                IsPartOfNaturalKey = true,
            });
            typeInfoBellScheduleReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradeLevelDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoBellScheduleReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolId",
                IsPartOfNaturalKey = true,
            });
            typeInfoBellScheduleReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "date",
                IsPartOfNaturalKey = true,
            });
            typeInfoBellScheduleReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoBellScheduleMeetingTimeToClassPeriodReference = new MetadataTypeInfo { TypeName = "BellScheduleMeetingTimeToClassPeriodReference" };
            cacheData.Add(typeInfoBellScheduleMeetingTimeToClassPeriodReference);
            typeInfoBellScheduleMeetingTimeToClassPeriodReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "name",
                IsPartOfNaturalKey = true,
            });
            typeInfoBellScheduleMeetingTimeToClassPeriodReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoBellScheduleMeetingTime = new MetadataTypeInfo { TypeName = "BellScheduleMeetingTime" };
            cacheData.Add(typeInfoBellScheduleMeetingTime);
            typeInfoBellScheduleMeetingTime.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "classPeriodReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoBellScheduleMeetingTime.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "startTime",
                IsPartOfNaturalKey = true,
            });
            typeInfoBellScheduleMeetingTime.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endTime",
                IsPartOfNaturalKey = false,
            });
            typeInfoBellScheduleMeetingTime.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "alternateDayName",
                IsPartOfNaturalKey = false,
            });
            typeInfoBellScheduleMeetingTime.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "officialAttendancePeriod",
                IsPartOfNaturalKey = false,
            });

            var typeInfoDisciplineIncidentReference = new MetadataTypeInfo { TypeName = "DisciplineIncidentReference" };
            cacheData.Add(typeInfoDisciplineIncidentReference);
            typeInfoDisciplineIncidentReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "incidentIdentifier",
                IsPartOfNaturalKey = true,
            });
            typeInfoDisciplineIncidentReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolId",
                IsPartOfNaturalKey = true,
            });
            typeInfoDisciplineIncidentReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoDisciplineIncidentBehavior = new MetadataTypeInfo { TypeName = "DisciplineIncidentBehavior" };
            cacheData.Add(typeInfoDisciplineIncidentBehavior);
            typeInfoDisciplineIncidentBehavior.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "behaviorDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoDisciplineIncidentBehavior.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "behaviorDetailedDescription",
                IsPartOfNaturalKey = false,
            });

            var typeInfoDisciplineIncidentWeapon = new MetadataTypeInfo { TypeName = "DisciplineIncidentWeapon" };
            cacheData.Add(typeInfoDisciplineIncidentWeapon);
            typeInfoDisciplineIncidentWeapon.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "weaponDescriptor",
                IsPartOfNaturalKey = true,
            });

            var typeInfoDisciplineActionReference = new MetadataTypeInfo { TypeName = "DisciplineActionReference" };
            cacheData.Add(typeInfoDisciplineActionReference);
            typeInfoDisciplineActionReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identifier",
                IsPartOfNaturalKey = true,
            });
            typeInfoDisciplineActionReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoDisciplineActionReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "disciplineDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoDisciplineActionReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoDisciplineActionDiscipline = new MetadataTypeInfo { TypeName = "DisciplineActionDiscipline" };
            cacheData.Add(typeInfoDisciplineActionDiscipline);
            typeInfoDisciplineActionDiscipline.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "disciplineDescriptor",
                IsPartOfNaturalKey = true,
            });

            var typeInfoDisciplineActionStaff = new MetadataTypeInfo { TypeName = "DisciplineActionStaff" };
            cacheData.Add(typeInfoDisciplineActionStaff);
            typeInfoDisciplineActionStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "staffReference",
                IsPartOfNaturalKey = true,
            });

            var typeInfoDisciplineActionDisciplineIncident = new MetadataTypeInfo { TypeName = "DisciplineActionDisciplineIncident" };
            cacheData.Add(typeInfoDisciplineActionDisciplineIncident);
            typeInfoDisciplineActionDisciplineIncident.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "disciplineIncidentReference",
                IsPartOfNaturalKey = true,
            });

            var typeInfoStudentSchoolAssociationReference = new MetadataTypeInfo { TypeName = "StudentSchoolAssociationReference" };
            cacheData.Add(typeInfoStudentSchoolAssociationReference);
            typeInfoStudentSchoolAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSchoolAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSchoolAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "entryDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSchoolAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentSchoolAssociationEducationPlan = new MetadataTypeInfo { TypeName = "StudentSchoolAssociationEducationPlan" };
            cacheData.Add(typeInfoStudentSchoolAssociationEducationPlan);
            typeInfoStudentSchoolAssociationEducationPlan.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationPlanType",
                IsPartOfNaturalKey = true,
            });

            var typeInfoStudentEducationOrganizationAssociationReference = new MetadataTypeInfo { TypeName = "StudentEducationOrganizationAssociationReference" };
            cacheData.Add(typeInfoStudentEducationOrganizationAssociationReference);
            typeInfoStudentEducationOrganizationAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentEducationOrganizationAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentEducationOrganizationAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "responsibilityDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentEducationOrganizationAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAccountReference = new MetadataTypeInfo { TypeName = "AccountReference" };
            cacheData.Add(typeInfoAccountReference);
            typeInfoAccountReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoAccountReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "number",
                IsPartOfNaturalKey = true,
            });
            typeInfoAccountReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "fiscalYear",
                IsPartOfNaturalKey = true,
            });
            typeInfoAccountReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAccountCode = new MetadataTypeInfo { TypeName = "AccountCode" };
            cacheData.Add(typeInfoAccountCode);
            typeInfoAccountCode.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "descriptor",
                IsPartOfNaturalKey = true,
            });

            var typeInfoActualReference = new MetadataTypeInfo { TypeName = "ActualReference" };
            cacheData.Add(typeInfoActualReference);
            typeInfoActualReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoActualReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "accountNumber",
                IsPartOfNaturalKey = true,
            });
            typeInfoActualReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "fiscalYear",
                IsPartOfNaturalKey = true,
            });
            typeInfoActualReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "asOfDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoActualReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoBudgetReference = new MetadataTypeInfo { TypeName = "BudgetReference" };
            cacheData.Add(typeInfoBudgetReference);
            typeInfoBudgetReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoBudgetReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "accountNumber",
                IsPartOfNaturalKey = true,
            });
            typeInfoBudgetReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "fiscalYear",
                IsPartOfNaturalKey = true,
            });
            typeInfoBudgetReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "asOfDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoBudgetReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoContractedStaffReference = new MetadataTypeInfo { TypeName = "ContractedStaffReference" };
            cacheData.Add(typeInfoContractedStaffReference);
            typeInfoContractedStaffReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "staffUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoContractedStaffReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoContractedStaffReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "accountNumber",
                IsPartOfNaturalKey = true,
            });
            typeInfoContractedStaffReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "fiscalYear",
                IsPartOfNaturalKey = true,
            });
            typeInfoContractedStaffReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "asOfDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoContractedStaffReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoPayrollReference = new MetadataTypeInfo { TypeName = "PayrollReference" };
            cacheData.Add(typeInfoPayrollReference);
            typeInfoPayrollReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "staffUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoPayrollReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoPayrollReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "accountNumber",
                IsPartOfNaturalKey = true,
            });
            typeInfoPayrollReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "fiscalYear",
                IsPartOfNaturalKey = true,
            });
            typeInfoPayrollReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "asOfDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoPayrollReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoPostSecondaryEventReference = new MetadataTypeInfo { TypeName = "PostSecondaryEventReference" };
            cacheData.Add(typeInfoPostSecondaryEventReference);
            typeInfoPostSecondaryEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoPostSecondaryEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "categoryType",
                IsPartOfNaturalKey = true,
            });
            typeInfoPostSecondaryEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "eventDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoPostSecondaryEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoPostSecondaryEventPostSecondaryInstitution = new MetadataTypeInfo { TypeName = "PostSecondaryEventPostSecondaryInstitution" };
            cacheData.Add(typeInfoPostSecondaryEventPostSecondaryInstitution);
            typeInfoPostSecondaryEventPostSecondaryInstitution.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "nameOfInstitution",
                IsPartOfNaturalKey = false,
            });
            typeInfoPostSecondaryEventPostSecondaryInstitution.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "postSecondaryInstitutionId",
                IsPartOfNaturalKey = false,
            });
            typeInfoPostSecondaryEventPostSecondaryInstitution.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "postSecondaryInstitutionLevelType",
                IsPartOfNaturalKey = false,
            });
            typeInfoPostSecondaryEventPostSecondaryInstitution.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "administrativeFundingControlDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoPostSecondaryEventPostSecondaryInstitution.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationCodes",
                IsPartOfNaturalKey = false,
            });
            typeInfoPostSecondaryEventPostSecondaryInstitution.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "mediumOfInstructions",
                IsPartOfNaturalKey = false,
            });

            var typeInfoPostSecondaryEventPostSecondaryInstitutionIdentificationCode = new MetadataTypeInfo { TypeName = "PostSecondaryEventPostSecondaryInstitutionIdentificationCode" };
            cacheData.Add(typeInfoPostSecondaryEventPostSecondaryInstitutionIdentificationCode);
            typeInfoPostSecondaryEventPostSecondaryInstitutionIdentificationCode.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationIdentificationSystemDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoPostSecondaryEventPostSecondaryInstitutionIdentificationCode.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationCode",
                IsPartOfNaturalKey = false,
            });

            var typeInfoPostSecondaryEventPostSecondaryInstitutionMediumOfInstruction = new MetadataTypeInfo { TypeName = "PostSecondaryEventPostSecondaryInstitutionMediumOfInstruction" };
            cacheData.Add(typeInfoPostSecondaryEventPostSecondaryInstitutionMediumOfInstruction);
            typeInfoPostSecondaryEventPostSecondaryInstitutionMediumOfInstruction.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "mediumOfInstructionType",
                IsPartOfNaturalKey = true,
            });

            var typeInfoInterventionReference = new MetadataTypeInfo { TypeName = "InterventionReference" };
            cacheData.Add(typeInfoInterventionReference);
            typeInfoInterventionReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoInterventionReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoInterventionReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoInterventionStaff = new MetadataTypeInfo { TypeName = "InterventionStaff" };
            cacheData.Add(typeInfoInterventionStaff);
            typeInfoInterventionStaff.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "staffReference",
                IsPartOfNaturalKey = true,
            });

            var typeInfoInterventionEducationContent = new MetadataTypeInfo { TypeName = "InterventionEducationContent" };
            cacheData.Add(typeInfoInterventionEducationContent);
            typeInfoInterventionEducationContent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationContentReference",
                IsPartOfNaturalKey = true,
            });

            var typeInfoInterventionAppropriateGradeLevel = new MetadataTypeInfo { TypeName = "InterventionAppropriateGradeLevel" };
            cacheData.Add(typeInfoInterventionAppropriateGradeLevel);
            typeInfoInterventionAppropriateGradeLevel.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradeLevelDescriptor",
                IsPartOfNaturalKey = true,
            });

            var typeInfoInterventionInterventionPrescription = new MetadataTypeInfo { TypeName = "InterventionInterventionPrescription" };
            cacheData.Add(typeInfoInterventionInterventionPrescription);
            typeInfoInterventionInterventionPrescription.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "interventionPrescriptionReference",
                IsPartOfNaturalKey = true,
            });

            var typeInfoInterventionPopulationServed = new MetadataTypeInfo { TypeName = "InterventionPopulationServed" };
            cacheData.Add(typeInfoInterventionPopulationServed);
            typeInfoInterventionPopulationServed.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "populationServedType",
                IsPartOfNaturalKey = true,
            });

            var typeInfoInterventionAppropriateSex = new MetadataTypeInfo { TypeName = "InterventionAppropriateSex" };
            cacheData.Add(typeInfoInterventionAppropriateSex);
            typeInfoInterventionAppropriateSex.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "sexType",
                IsPartOfNaturalKey = true,
            });

            var typeInfoInterventionMeetingTime = new MetadataTypeInfo { TypeName = "InterventionMeetingTime" };
            cacheData.Add(typeInfoInterventionMeetingTime);
            typeInfoInterventionMeetingTime.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "classPeriodReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoInterventionMeetingTime.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "alternateDayName",
                IsPartOfNaturalKey = false,
            });
            typeInfoInterventionMeetingTime.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "startTime",
                IsPartOfNaturalKey = false,
            });
            typeInfoInterventionMeetingTime.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endTime",
                IsPartOfNaturalKey = false,
            });
            typeInfoInterventionMeetingTime.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "officialAttendancePeriod",
                IsPartOfNaturalKey = false,
            });

            var typeInfoInterventionDiagnosis = new MetadataTypeInfo { TypeName = "InterventionDiagnosis" };
            cacheData.Add(typeInfoInterventionDiagnosis);
            typeInfoInterventionDiagnosis.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "diagnosisDescriptor",
                IsPartOfNaturalKey = true,
            });

            var typeInfoInterventionURI = new MetadataTypeInfo { TypeName = "InterventionURI" };
            cacheData.Add(typeInfoInterventionURI);
            typeInfoInterventionURI.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "uri",
                IsPartOfNaturalKey = true,
            });

            var typeInfoInterventionLearningResourceMetadataURI = new MetadataTypeInfo { TypeName = "InterventionLearningResourceMetadataURI" };
            cacheData.Add(typeInfoInterventionLearningResourceMetadataURI);
            typeInfoInterventionLearningResourceMetadataURI.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "learningResourceMetadataURI",
                IsPartOfNaturalKey = true,
            });

            var typeInfoInterventionPrescriptionReference = new MetadataTypeInfo { TypeName = "InterventionPrescriptionReference" };
            cacheData.Add(typeInfoInterventionPrescriptionReference);
            typeInfoInterventionPrescriptionReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoInterventionPrescriptionReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoInterventionPrescriptionReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoInterventionPrescriptionAppropriateSex = new MetadataTypeInfo { TypeName = "InterventionPrescriptionAppropriateSex" };
            cacheData.Add(typeInfoInterventionPrescriptionAppropriateSex);
            typeInfoInterventionPrescriptionAppropriateSex.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "sexType",
                IsPartOfNaturalKey = true,
            });

            var typeInfoInterventionPrescriptionAppropriateGradeLevel = new MetadataTypeInfo { TypeName = "InterventionPrescriptionAppropriateGradeLevel" };
            cacheData.Add(typeInfoInterventionPrescriptionAppropriateGradeLevel);
            typeInfoInterventionPrescriptionAppropriateGradeLevel.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradeLevelDescriptor",
                IsPartOfNaturalKey = true,
            });

            var typeInfoInterventionPrescriptionPopulationServed = new MetadataTypeInfo { TypeName = "InterventionPrescriptionPopulationServed" };
            cacheData.Add(typeInfoInterventionPrescriptionPopulationServed);
            typeInfoInterventionPrescriptionPopulationServed.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "populationServedType",
                IsPartOfNaturalKey = true,
            });

            var typeInfoInterventionPrescriptionDiagnosis = new MetadataTypeInfo { TypeName = "InterventionPrescriptionDiagnosis" };
            cacheData.Add(typeInfoInterventionPrescriptionDiagnosis);
            typeInfoInterventionPrescriptionDiagnosis.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "diagnosisDescriptor",
                IsPartOfNaturalKey = true,
            });

            var typeInfoInterventionPrescriptionEducationContent = new MetadataTypeInfo { TypeName = "InterventionPrescriptionEducationContent" };
            cacheData.Add(typeInfoInterventionPrescriptionEducationContent);
            typeInfoInterventionPrescriptionEducationContent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationContentReference",
                IsPartOfNaturalKey = true,
            });

            var typeInfoInterventionPrescriptionURI = new MetadataTypeInfo { TypeName = "InterventionPrescriptionURI" };
            cacheData.Add(typeInfoInterventionPrescriptionURI);
            typeInfoInterventionPrescriptionURI.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "uri",
                IsPartOfNaturalKey = true,
            });

            var typeInfoInterventionPrescriptionLearningResourceMetadataURI = new MetadataTypeInfo { TypeName = "InterventionPrescriptionLearningResourceMetadataURI" };
            cacheData.Add(typeInfoInterventionPrescriptionLearningResourceMetadataURI);
            typeInfoInterventionPrescriptionLearningResourceMetadataURI.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "learningResourceMetadataURI",
                IsPartOfNaturalKey = true,
            });

            var typeInfoInterventionStudyReference = new MetadataTypeInfo { TypeName = "InterventionStudyReference" };
            cacheData.Add(typeInfoInterventionStudyReference);
            typeInfoInterventionStudyReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoInterventionStudyReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoInterventionStudyReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoInterventionStudyAppropriateSex = new MetadataTypeInfo { TypeName = "InterventionStudyAppropriateSex" };
            cacheData.Add(typeInfoInterventionStudyAppropriateSex);
            typeInfoInterventionStudyAppropriateSex.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "sexType",
                IsPartOfNaturalKey = true,
            });

            var typeInfoInterventionStudyAppropriateGradeLevel = new MetadataTypeInfo { TypeName = "InterventionStudyAppropriateGradeLevel" };
            cacheData.Add(typeInfoInterventionStudyAppropriateGradeLevel);
            typeInfoInterventionStudyAppropriateGradeLevel.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradeLevelDescriptor",
                IsPartOfNaturalKey = true,
            });

            var typeInfoInterventionStudyInterventionEffectiveness = new MetadataTypeInfo { TypeName = "InterventionStudyInterventionEffectiveness" };
            cacheData.Add(typeInfoInterventionStudyInterventionEffectiveness);
            typeInfoInterventionStudyInterventionEffectiveness.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "diagnosisDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoInterventionStudyInterventionEffectiveness.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "populationServedType",
                IsPartOfNaturalKey = true,
            });
            typeInfoInterventionStudyInterventionEffectiveness.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradeLevelDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoInterventionStudyInterventionEffectiveness.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "improvementIndex",
                IsPartOfNaturalKey = false,
            });
            typeInfoInterventionStudyInterventionEffectiveness.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "interventionEffectivenessRatingType",
                IsPartOfNaturalKey = false,
            });

            var typeInfoInterventionStudyPopulationServed = new MetadataTypeInfo { TypeName = "InterventionStudyPopulationServed" };
            cacheData.Add(typeInfoInterventionStudyPopulationServed);
            typeInfoInterventionStudyPopulationServed.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "populationServedType",
                IsPartOfNaturalKey = true,
            });

            var typeInfoInterventionStudyEducationContent = new MetadataTypeInfo { TypeName = "InterventionStudyEducationContent" };
            cacheData.Add(typeInfoInterventionStudyEducationContent);
            typeInfoInterventionStudyEducationContent.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationContentReference",
                IsPartOfNaturalKey = true,
            });

            var typeInfoInterventionStudyStateAbbreviation = new MetadataTypeInfo { TypeName = "InterventionStudyStateAbbreviation" };
            cacheData.Add(typeInfoInterventionStudyStateAbbreviation);
            typeInfoInterventionStudyStateAbbreviation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "stateAbbreviationType",
                IsPartOfNaturalKey = true,
            });

            var typeInfoInterventionStudyURI = new MetadataTypeInfo { TypeName = "InterventionStudyURI" };
            cacheData.Add(typeInfoInterventionStudyURI);
            typeInfoInterventionStudyURI.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "uri",
                IsPartOfNaturalKey = true,
            });

            var typeInfoInterventionStudyLearningResourceMetadataURI = new MetadataTypeInfo { TypeName = "InterventionStudyLearningResourceMetadataURI" };
            cacheData.Add(typeInfoInterventionStudyLearningResourceMetadataURI);
            typeInfoInterventionStudyLearningResourceMetadataURI.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "learningResourceMetadataURI",
                IsPartOfNaturalKey = true,
            });

            var typeInfoStudentInterventionAssociationReference = new MetadataTypeInfo { TypeName = "StudentInterventionAssociationReference" };
            cacheData.Add(typeInfoStudentInterventionAssociationReference);
            typeInfoStudentInterventionAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentInterventionAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "interventionIdentificationCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentInterventionAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentInterventionAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentInterventionAssociationInterventionEffectiveness = new MetadataTypeInfo { TypeName = "StudentInterventionAssociationInterventionEffectiveness" };
            cacheData.Add(typeInfoStudentInterventionAssociationInterventionEffectiveness);
            typeInfoStudentInterventionAssociationInterventionEffectiveness.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "diagnosisDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentInterventionAssociationInterventionEffectiveness.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "populationServedType",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentInterventionAssociationInterventionEffectiveness.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradeLevelDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentInterventionAssociationInterventionEffectiveness.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "improvementIndex",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentInterventionAssociationInterventionEffectiveness.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "interventionEffectivenessRatingType",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentInterventionAttendanceEventReference = new MetadataTypeInfo { TypeName = "StudentInterventionAttendanceEventReference" };
            cacheData.Add(typeInfoStudentInterventionAttendanceEventReference);
            typeInfoStudentInterventionAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentInterventionAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "interventionIdentificationCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentInterventionAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentInterventionAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "eventDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentInterventionAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "attendanceEventCategoryDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentInterventionAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoGradingPeriodReference = new MetadataTypeInfo { TypeName = "GradingPeriodReference" };
            cacheData.Add(typeInfoGradingPeriodReference);
            typeInfoGradingPeriodReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "descriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoGradingPeriodReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolId",
                IsPartOfNaturalKey = true,
            });
            typeInfoGradingPeriodReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoGradingPeriodReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAcademicWeekReference = new MetadataTypeInfo { TypeName = "AcademicWeekReference" };
            cacheData.Add(typeInfoAcademicWeekReference);
            typeInfoAcademicWeekReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "weekIdentifier",
                IsPartOfNaturalKey = true,
            });
            typeInfoAcademicWeekReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolId",
                IsPartOfNaturalKey = true,
            });
            typeInfoAcademicWeekReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoLeaveEventReference = new MetadataTypeInfo { TypeName = "LeaveEventReference" };
            cacheData.Add(typeInfoLeaveEventReference);
            typeInfoLeaveEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "staffUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoLeaveEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "eventDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoLeaveEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "categoryType",
                IsPartOfNaturalKey = true,
            });
            typeInfoLeaveEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStaffSectionAssociationReference = new MetadataTypeInfo { TypeName = "StaffSectionAssociationReference" };
            cacheData.Add(typeInfoStaffSectionAssociationReference);
            typeInfoStaffSectionAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "staffUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffSectionAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "classroomIdentificationCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffSectionAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffSectionAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "classPeriodName",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffSectionAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "localCourseCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffSectionAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolYear",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffSectionAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "termDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffSectionAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "uniqueSectionCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffSectionAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "sequenceOfCourse",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffSectionAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStaffSchoolAssociationReference = new MetadataTypeInfo { TypeName = "StaffSchoolAssociationReference" };
            cacheData.Add(typeInfoStaffSchoolAssociationReference);
            typeInfoStaffSchoolAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "staffUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffSchoolAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programAssignmentDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffSchoolAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffSchoolAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStaffSchoolAssociationAcademicSubject = new MetadataTypeInfo { TypeName = "StaffSchoolAssociationAcademicSubject" };
            cacheData.Add(typeInfoStaffSchoolAssociationAcademicSubject);
            typeInfoStaffSchoolAssociationAcademicSubject.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "academicSubjectDescriptor",
                IsPartOfNaturalKey = true,
            });

            var typeInfoStaffSchoolAssociationGradeLevel = new MetadataTypeInfo { TypeName = "StaffSchoolAssociationGradeLevel" };
            cacheData.Add(typeInfoStaffSchoolAssociationGradeLevel);
            typeInfoStaffSchoolAssociationGradeLevel.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradeLevelDescriptor",
                IsPartOfNaturalKey = true,
            });

            var typeInfoOpenStaffPositionReference = new MetadataTypeInfo { TypeName = "OpenStaffPositionReference" };
            cacheData.Add(typeInfoOpenStaffPositionReference);
            typeInfoOpenStaffPositionReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoOpenStaffPositionReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "employmentStatusDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoOpenStaffPositionReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "staffClassificationDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoOpenStaffPositionReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "requisitionNumber",
                IsPartOfNaturalKey = true,
            });
            typeInfoOpenStaffPositionReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "datePosted",
                IsPartOfNaturalKey = true,
            });
            typeInfoOpenStaffPositionReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoOpenStaffPositionAcademicSubject = new MetadataTypeInfo { TypeName = "OpenStaffPositionAcademicSubject" };
            cacheData.Add(typeInfoOpenStaffPositionAcademicSubject);
            typeInfoOpenStaffPositionAcademicSubject.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "academicSubjectDescriptor",
                IsPartOfNaturalKey = true,
            });

            var typeInfoOpenStaffPositionInstructionalGradeLevel = new MetadataTypeInfo { TypeName = "OpenStaffPositionInstructionalGradeLevel" };
            cacheData.Add(typeInfoOpenStaffPositionInstructionalGradeLevel);
            typeInfoOpenStaffPositionInstructionalGradeLevel.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradeLevelDescriptor",
                IsPartOfNaturalKey = true,
            });

            var typeInfoCourseOfferingReference = new MetadataTypeInfo { TypeName = "CourseOfferingReference" };
            cacheData.Add(typeInfoCourseOfferingReference);
            typeInfoCourseOfferingReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "localCourseCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoCourseOfferingReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCourseOfferingReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolYear",
                IsPartOfNaturalKey = true,
            });
            typeInfoCourseOfferingReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "termDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoCourseOfferingReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCourseOfferingCurriculumUsed = new MetadataTypeInfo { TypeName = "CourseOfferingCurriculumUsed" };
            cacheData.Add(typeInfoCourseOfferingCurriculumUsed);
            typeInfoCourseOfferingCurriculumUsed.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "curriculumUsedType",
                IsPartOfNaturalKey = true,
            });

            var typeInfoStudentAcademicRecordReference = new MetadataTypeInfo { TypeName = "StudentAcademicRecordReference" };
            cacheData.Add(typeInfoStudentAcademicRecordReference);
            typeInfoStudentAcademicRecordReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAcademicRecordReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAcademicRecordReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolYear",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAcademicRecordReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "termDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAcademicRecordReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentAcademicRecordReportCardToReportCardReference = new MetadataTypeInfo { TypeName = "StudentAcademicRecordReportCardToReportCardReference" };
            cacheData.Add(typeInfoStudentAcademicRecordReportCardToReportCardReference);
            typeInfoStudentAcademicRecordReportCardToReportCardReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradingPeriodDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAcademicRecordReportCardToReportCardReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradingPeriodBeginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAcademicRecordReportCardToReportCardReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAcademicRecordReportCardToReportCardReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentAcademicRecordReportCard = new MetadataTypeInfo { TypeName = "StudentAcademicRecordReportCard" };
            cacheData.Add(typeInfoStudentAcademicRecordReportCard);
            typeInfoStudentAcademicRecordReportCard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "reportCardReference",
                IsPartOfNaturalKey = true,
            });

            var typeInfoStudentAcademicRecordDiploma = new MetadataTypeInfo { TypeName = "StudentAcademicRecordDiploma" };
            cacheData.Add(typeInfoStudentAcademicRecordDiploma);
            typeInfoStudentAcademicRecordDiploma.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "diplomaType",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAcademicRecordDiploma.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "diplomaAwardDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAcademicRecordDiploma.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "diplomaLevelType",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecordDiploma.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "cteCompleter",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecordDiploma.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "diplomaDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecordDiploma.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "diplomaAwardExpiresDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecordDiploma.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "achievementTitle",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecordDiploma.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "achievementCategoryDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecordDiploma.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "achievementCategorySystem",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecordDiploma.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "issuerName",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecordDiploma.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "issuerOriginURL",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecordDiploma.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "criteria",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecordDiploma.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "criteriaURL",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecordDiploma.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "evidenceStatement",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecordDiploma.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "imageURL",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentAcademicRecordRecognition = new MetadataTypeInfo { TypeName = "StudentAcademicRecordRecognition" };
            cacheData.Add(typeInfoStudentAcademicRecordRecognition);
            typeInfoStudentAcademicRecordRecognition.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "recognitionType",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAcademicRecordRecognition.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "recognitionDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecordRecognition.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "recognitionAwardDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecordRecognition.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "recognitionAwardExpiresDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecordRecognition.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "achievementTitle",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecordRecognition.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "achievementCategoryDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecordRecognition.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "achievementCategorySystem",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecordRecognition.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "issuerName",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecordRecognition.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "issuerOriginURL",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecordRecognition.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "criteria",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecordRecognition.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "criteriaURL",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecordRecognition.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "evidenceStatement",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecordRecognition.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "imageURL",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentAcademicRecordAcademicHonor = new MetadataTypeInfo { TypeName = "StudentAcademicRecordAcademicHonor" };
            cacheData.Add(typeInfoStudentAcademicRecordAcademicHonor);
            typeInfoStudentAcademicRecordAcademicHonor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "academicHonorCategoryType",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAcademicRecordAcademicHonor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "honorDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecordAcademicHonor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "honorAwardDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecordAcademicHonor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "honorAwardExpiresDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecordAcademicHonor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "achievementTitle",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecordAcademicHonor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "achievementCategoryDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecordAcademicHonor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "achievementCategorySystem",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecordAcademicHonor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "issuerName",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecordAcademicHonor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "issuerOriginURL",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecordAcademicHonor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "criteria",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecordAcademicHonor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "criteriaURL",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecordAcademicHonor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "evidenceStatement",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecordAcademicHonor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "imageURL",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentAcademicRecordClassRanking = new MetadataTypeInfo { TypeName = "StudentAcademicRecordClassRanking" };
            cacheData.Add(typeInfoStudentAcademicRecordClassRanking);
            typeInfoStudentAcademicRecordClassRanking.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "classRank",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecordClassRanking.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "totalNumberInClass",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecordClassRanking.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "percentageRanking",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAcademicRecordClassRanking.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "classRankingDate",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCourseTranscriptReference = new MetadataTypeInfo { TypeName = "CourseTranscriptReference" };
            cacheData.Add(typeInfoCourseTranscriptReference);
            typeInfoCourseTranscriptReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "courseAttemptResultType",
                IsPartOfNaturalKey = true,
            });
            typeInfoCourseTranscriptReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCourseTranscriptReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCourseTranscriptReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "courseEducationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCourseTranscriptReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolYear",
                IsPartOfNaturalKey = true,
            });
            typeInfoCourseTranscriptReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "termDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoCourseTranscriptReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "courseCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoCourseTranscriptReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCourseTranscriptEarnedAdditionalCredits = new MetadataTypeInfo { TypeName = "CourseTranscriptEarnedAdditionalCredits" };
            cacheData.Add(typeInfoCourseTranscriptEarnedAdditionalCredits);
            typeInfoCourseTranscriptEarnedAdditionalCredits.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "additionalCreditType",
                IsPartOfNaturalKey = true,
            });
            typeInfoCourseTranscriptEarnedAdditionalCredits.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "credits",
                IsPartOfNaturalKey = false,
            });

            var typeInfoReportCardReference = new MetadataTypeInfo { TypeName = "ReportCardReference" };
            cacheData.Add(typeInfoReportCardReference);
            typeInfoReportCardReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoReportCardReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoReportCardReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradingPeriodDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoReportCardReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradingPeriodBeginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoReportCardReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolId",
                IsPartOfNaturalKey = true,
            });
            typeInfoReportCardReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoReportCardGradeToGradeReference = new MetadataTypeInfo { TypeName = "ReportCardGradeToGradeReference" };
            cacheData.Add(typeInfoReportCardGradeToGradeReference);
            typeInfoReportCardGradeToGradeReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "type",
                IsPartOfNaturalKey = true,
            });
            typeInfoReportCardGradeToGradeReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "classPeriodName",
                IsPartOfNaturalKey = true,
            });
            typeInfoReportCardGradeToGradeReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "classroomIdentificationCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoReportCardGradeToGradeReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "localCourseCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoReportCardGradeToGradeReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "uniqueSectionCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoReportCardGradeToGradeReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "sequenceOfCourse",
                IsPartOfNaturalKey = true,
            });
            typeInfoReportCardGradeToGradeReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolYear",
                IsPartOfNaturalKey = true,
            });
            typeInfoReportCardGradeToGradeReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "termDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoReportCardGradeToGradeReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoReportCardGradeToGradeReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoReportCardGrade = new MetadataTypeInfo { TypeName = "ReportCardGrade" };
            cacheData.Add(typeInfoReportCardGrade);
            typeInfoReportCardGrade.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradeReference",
                IsPartOfNaturalKey = true,
            });

            var typeInfoReportCardStudentLearningObjectiveToStudentLearningObjectiveReference = new MetadataTypeInfo { TypeName = "ReportCardStudentLearningObjectiveToStudentLearningObjectiveReference" };
            cacheData.Add(typeInfoReportCardStudentLearningObjectiveToStudentLearningObjectiveReference);
            typeInfoReportCardStudentLearningObjectiveToStudentLearningObjectiveReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "objective",
                IsPartOfNaturalKey = true,
            });
            typeInfoReportCardStudentLearningObjectiveToStudentLearningObjectiveReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "academicSubjectDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoReportCardStudentLearningObjectiveToStudentLearningObjectiveReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "objectiveGradeLevelDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoReportCardStudentLearningObjectiveToStudentLearningObjectiveReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoReportCardStudentLearningObjective = new MetadataTypeInfo { TypeName = "ReportCardStudentLearningObjective" };
            cacheData.Add(typeInfoReportCardStudentLearningObjective);
            typeInfoReportCardStudentLearningObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentLearningObjectiveReference",
                IsPartOfNaturalKey = true,
            });

            var typeInfoReportCardStudentCompetencyObjectiveToStudentCompetencyObjectiveReference = new MetadataTypeInfo { TypeName = "ReportCardStudentCompetencyObjectiveToStudentCompetencyObjectiveReference" };
            cacheData.Add(typeInfoReportCardStudentCompetencyObjectiveToStudentCompetencyObjectiveReference);
            typeInfoReportCardStudentCompetencyObjectiveToStudentCompetencyObjectiveReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "objective",
                IsPartOfNaturalKey = true,
            });
            typeInfoReportCardStudentCompetencyObjectiveToStudentCompetencyObjectiveReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "objectiveGradeLevelDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoReportCardStudentCompetencyObjectiveToStudentCompetencyObjectiveReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "objectiveEducationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoReportCardStudentCompetencyObjectiveToStudentCompetencyObjectiveReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoReportCardStudentCompetencyObjective = new MetadataTypeInfo { TypeName = "ReportCardStudentCompetencyObjective" };
            cacheData.Add(typeInfoReportCardStudentCompetencyObjective);
            typeInfoReportCardStudentCompetencyObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentCompetencyObjectiveReference",
                IsPartOfNaturalKey = true,
            });

            var typeInfoGradeReference = new MetadataTypeInfo { TypeName = "GradeReference" };
            cacheData.Add(typeInfoGradeReference);
            typeInfoGradeReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradingPeriodDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoGradeReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradingPeriodBeginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoGradeReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "type",
                IsPartOfNaturalKey = true,
            });
            typeInfoGradeReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoGradeReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolId",
                IsPartOfNaturalKey = true,
            });
            typeInfoGradeReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "classPeriodName",
                IsPartOfNaturalKey = true,
            });
            typeInfoGradeReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "classroomIdentificationCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoGradeReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "localCourseCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoGradeReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "uniqueSectionCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoGradeReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "sequenceOfCourse",
                IsPartOfNaturalKey = true,
            });
            typeInfoGradeReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolYear",
                IsPartOfNaturalKey = true,
            });
            typeInfoGradeReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "termDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoGradeReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoGradeReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoGradebookEntryReference = new MetadataTypeInfo { TypeName = "GradebookEntryReference" };
            cacheData.Add(typeInfoGradebookEntryReference);
            typeInfoGradebookEntryReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "title",
                IsPartOfNaturalKey = true,
            });
            typeInfoGradebookEntryReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "classroomIdentificationCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoGradebookEntryReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolId",
                IsPartOfNaturalKey = true,
            });
            typeInfoGradebookEntryReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "classPeriodName",
                IsPartOfNaturalKey = true,
            });
            typeInfoGradebookEntryReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "localCourseCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoGradebookEntryReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolYear",
                IsPartOfNaturalKey = true,
            });
            typeInfoGradebookEntryReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "termDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoGradebookEntryReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "uniqueSectionCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoGradebookEntryReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "sequenceOfCourse",
                IsPartOfNaturalKey = true,
            });
            typeInfoGradebookEntryReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "dateAssigned",
                IsPartOfNaturalKey = true,
            });
            typeInfoGradebookEntryReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoGradebookEntryLearningObjective = new MetadataTypeInfo { TypeName = "GradebookEntryLearningObjective" };
            cacheData.Add(typeInfoGradebookEntryLearningObjective);
            typeInfoGradebookEntryLearningObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "learningObjectiveReference",
                IsPartOfNaturalKey = true,
            });

            var typeInfoGradebookEntryLearningStandard = new MetadataTypeInfo { TypeName = "GradebookEntryLearningStandard" };
            cacheData.Add(typeInfoGradebookEntryLearningStandard);
            typeInfoGradebookEntryLearningStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "learningStandardReference",
                IsPartOfNaturalKey = true,
            });

            var typeInfoStudentGradebookEntryReference = new MetadataTypeInfo { TypeName = "StudentGradebookEntryReference" };
            cacheData.Add(typeInfoStudentGradebookEntryReference);
            typeInfoStudentGradebookEntryReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentGradebookEntryReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "classroomIdentificationCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentGradebookEntryReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentGradebookEntryReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "classPeriodName",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentGradebookEntryReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "localCourseCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentGradebookEntryReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolYear",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentGradebookEntryReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "termDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentGradebookEntryReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "uniqueSectionCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentGradebookEntryReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "sequenceOfCourse",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentGradebookEntryReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentGradebookEntryReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradebookEntryTitle",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentGradebookEntryReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "dateAssigned",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentGradebookEntryReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentSectionAttendanceEventReference = new MetadataTypeInfo { TypeName = "StudentSectionAttendanceEventReference" };
            cacheData.Add(typeInfoStudentSectionAttendanceEventReference);
            typeInfoStudentSectionAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSectionAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "classroomIdentificationCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSectionAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSectionAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "classPeriodName",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSectionAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "localCourseCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSectionAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolYear",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSectionAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "termDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSectionAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "uniqueSectionCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSectionAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "sequenceOfCourse",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSectionAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "eventDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSectionAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "attendanceEventCategoryDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSectionAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentSchoolAttendanceEventReference = new MetadataTypeInfo { TypeName = "StudentSchoolAttendanceEventReference" };
            cacheData.Add(typeInfoStudentSchoolAttendanceEventReference);
            typeInfoStudentSchoolAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSchoolAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSchoolAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolYear",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSchoolAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "eventDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSchoolAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "attendanceEventCategoryDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSchoolAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "termDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSchoolAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentProgramAttendanceEventReference = new MetadataTypeInfo { TypeName = "StudentProgramAttendanceEventReference" };
            cacheData.Add(typeInfoStudentProgramAttendanceEventReference);
            typeInfoStudentProgramAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentProgramAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programEducationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentProgramAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programType",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentProgramAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "eventDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentProgramAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "attendanceEventCategoryDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentProgramAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programName",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentProgramAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentProgramAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentCohortAssociationReference = new MetadataTypeInfo { TypeName = "StudentCohortAssociationReference" };
            cacheData.Add(typeInfoStudentCohortAssociationReference);
            typeInfoStudentCohortAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCohortAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCohortAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "cohortIdentifier",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCohortAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCohortAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentCohortAssociationSection = new MetadataTypeInfo { TypeName = "StudentCohortAssociationSection" };
            cacheData.Add(typeInfoStudentCohortAssociationSection);
            typeInfoStudentCohortAssociationSection.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "sectionReference",
                IsPartOfNaturalKey = true,
            });

            var typeInfoStaffCohortAssociationReference = new MetadataTypeInfo { TypeName = "StaffCohortAssociationReference" };
            cacheData.Add(typeInfoStaffCohortAssociationReference);
            typeInfoStaffCohortAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "staffUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffCohortAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffCohortAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "cohortIdentifier",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffCohortAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffCohortAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCompetencyObjectiveReference = new MetadataTypeInfo { TypeName = "CompetencyObjectiveReference" };
            cacheData.Add(typeInfoCompetencyObjectiveReference);
            typeInfoCompetencyObjectiveReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "objective",
                IsPartOfNaturalKey = true,
            });
            typeInfoCompetencyObjectiveReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "objectiveGradeLevelDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoCompetencyObjectiveReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCompetencyObjectiveReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentCompetencyObjectiveReference = new MetadataTypeInfo { TypeName = "StudentCompetencyObjectiveReference" };
            cacheData.Add(typeInfoStudentCompetencyObjectiveReference);
            typeInfoStudentCompetencyObjectiveReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCompetencyObjectiveReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "objective",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCompetencyObjectiveReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "objectiveGradeLevelDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCompetencyObjectiveReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "objectiveEducationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCompetencyObjectiveReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCompetencyObjectiveReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradingPeriodDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCompetencyObjectiveReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradingPeriodBeginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCompetencyObjectiveReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentLearningObjectiveReference = new MetadataTypeInfo { TypeName = "StudentLearningObjectiveReference" };
            cacheData.Add(typeInfoStudentLearningObjectiveReference);
            typeInfoStudentLearningObjectiveReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentLearningObjectiveReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "objective",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentLearningObjectiveReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "academicSubjectDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentLearningObjectiveReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "objectiveGradeLevelDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentLearningObjectiveReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradingPeriodDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentLearningObjectiveReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradingPeriodBeginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentLearningObjectiveReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentLearningObjectiveReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoParentReference = new MetadataTypeInfo { TypeName = "ParentReference" };
            cacheData.Add(typeInfoParentReference);
            typeInfoParentReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "parentUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoParentReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoParentAddress = new MetadataTypeInfo { TypeName = "ParentAddress" };
            cacheData.Add(typeInfoParentAddress);
            typeInfoParentAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "addressType",
                IsPartOfNaturalKey = true,
            });
            typeInfoParentAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "streetNumberName",
                IsPartOfNaturalKey = false,
            });
            typeInfoParentAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "apartmentRoomSuiteNumber",
                IsPartOfNaturalKey = false,
            });
            typeInfoParentAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "buildingSiteNumber",
                IsPartOfNaturalKey = false,
            });
            typeInfoParentAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "city",
                IsPartOfNaturalKey = false,
            });
            typeInfoParentAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "stateAbbreviationType",
                IsPartOfNaturalKey = false,
            });
            typeInfoParentAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "postalCode",
                IsPartOfNaturalKey = false,
            });
            typeInfoParentAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "nameOfCounty",
                IsPartOfNaturalKey = false,
            });
            typeInfoParentAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "countyFIPSCode",
                IsPartOfNaturalKey = false,
            });
            typeInfoParentAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "latitude",
                IsPartOfNaturalKey = false,
            });
            typeInfoParentAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "longitude",
                IsPartOfNaturalKey = false,
            });
            typeInfoParentAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoParentAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endDate",
                IsPartOfNaturalKey = false,
            });

            var typeInfoParentInternationalAddress = new MetadataTypeInfo { TypeName = "ParentInternationalAddress" };
            cacheData.Add(typeInfoParentInternationalAddress);
            typeInfoParentInternationalAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "addressType",
                IsPartOfNaturalKey = true,
            });
            typeInfoParentInternationalAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "addressLine1",
                IsPartOfNaturalKey = false,
            });
            typeInfoParentInternationalAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "addressLine2",
                IsPartOfNaturalKey = false,
            });
            typeInfoParentInternationalAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "addressLine3",
                IsPartOfNaturalKey = false,
            });
            typeInfoParentInternationalAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "addressLine4",
                IsPartOfNaturalKey = false,
            });
            typeInfoParentInternationalAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "latitude",
                IsPartOfNaturalKey = false,
            });
            typeInfoParentInternationalAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "longitude",
                IsPartOfNaturalKey = false,
            });
            typeInfoParentInternationalAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoParentInternationalAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoParentInternationalAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "countryDescriptor",
                IsPartOfNaturalKey = false,
            });

            var typeInfoParentElectronicMail = new MetadataTypeInfo { TypeName = "ParentElectronicMail" };
            cacheData.Add(typeInfoParentElectronicMail);
            typeInfoParentElectronicMail.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "electronicMailType",
                IsPartOfNaturalKey = true,
            });
            typeInfoParentElectronicMail.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "electronicMailAddress",
                IsPartOfNaturalKey = false,
            });
            typeInfoParentElectronicMail.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "primaryEmailAddressIndicator",
                IsPartOfNaturalKey = false,
            });

            var typeInfoParentOtherName = new MetadataTypeInfo { TypeName = "ParentOtherName" };
            cacheData.Add(typeInfoParentOtherName);
            typeInfoParentOtherName.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "otherNameType",
                IsPartOfNaturalKey = true,
            });
            typeInfoParentOtherName.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "personalTitlePrefix",
                IsPartOfNaturalKey = false,
            });
            typeInfoParentOtherName.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "firstName",
                IsPartOfNaturalKey = false,
            });
            typeInfoParentOtherName.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "middleName",
                IsPartOfNaturalKey = false,
            });
            typeInfoParentOtherName.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "lastSurname",
                IsPartOfNaturalKey = false,
            });
            typeInfoParentOtherName.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "generationCodeSuffix",
                IsPartOfNaturalKey = false,
            });

            var typeInfoParentTelephone = new MetadataTypeInfo { TypeName = "ParentTelephone" };
            cacheData.Add(typeInfoParentTelephone);
            typeInfoParentTelephone.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "telephoneNumberType",
                IsPartOfNaturalKey = true,
            });
            typeInfoParentTelephone.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "orderOfPriority",
                IsPartOfNaturalKey = false,
            });
            typeInfoParentTelephone.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "textMessageCapabilityIndicator",
                IsPartOfNaturalKey = false,
            });
            typeInfoParentTelephone.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "telephoneNumber",
                IsPartOfNaturalKey = false,
            });

            var typeInfoParentIdentificationDocument = new MetadataTypeInfo { TypeName = "ParentIdentificationDocument" };
            cacheData.Add(typeInfoParentIdentificationDocument);
            typeInfoParentIdentificationDocument.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "personalInformationVerificationType",
                IsPartOfNaturalKey = true,
            });
            typeInfoParentIdentificationDocument.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationDocumentUseType",
                IsPartOfNaturalKey = true,
            });
            typeInfoParentIdentificationDocument.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "documentTitle",
                IsPartOfNaturalKey = false,
            });
            typeInfoParentIdentificationDocument.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "documentExpirationDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoParentIdentificationDocument.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "issuerDocumentIdentificationCode",
                IsPartOfNaturalKey = false,
            });
            typeInfoParentIdentificationDocument.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "issuerName",
                IsPartOfNaturalKey = false,
            });
            typeInfoParentIdentificationDocument.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "issuerCountryDescriptor",
                IsPartOfNaturalKey = false,
            });

            var typeInfoEducationOrganizationReference = new MetadataTypeInfo { TypeName = "EducationOrganizationReference" };
            cacheData.Add(typeInfoEducationOrganizationReference);
            typeInfoEducationOrganizationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoEducationOrganizationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoEducationOrganizationAddress = new MetadataTypeInfo { TypeName = "EducationOrganizationAddress" };
            cacheData.Add(typeInfoEducationOrganizationAddress);
            typeInfoEducationOrganizationAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "addressType",
                IsPartOfNaturalKey = true,
            });
            typeInfoEducationOrganizationAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "streetNumberName",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "apartmentRoomSuiteNumber",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "buildingSiteNumber",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "city",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "stateAbbreviationType",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "postalCode",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "nameOfCounty",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "countyFIPSCode",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "latitude",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "longitude",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endDate",
                IsPartOfNaturalKey = false,
            });

            var typeInfoEducationOrganizationInternationalAddress = new MetadataTypeInfo { TypeName = "EducationOrganizationInternationalAddress" };
            cacheData.Add(typeInfoEducationOrganizationInternationalAddress);
            typeInfoEducationOrganizationInternationalAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "addressType",
                IsPartOfNaturalKey = true,
            });
            typeInfoEducationOrganizationInternationalAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "addressLine1",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationInternationalAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "addressLine2",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationInternationalAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "addressLine3",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationInternationalAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "addressLine4",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationInternationalAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "latitude",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationInternationalAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "longitude",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationInternationalAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationInternationalAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoEducationOrganizationInternationalAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "countryDescriptor",
                IsPartOfNaturalKey = false,
            });

            var typeInfoEducationOrganizationCategory = new MetadataTypeInfo { TypeName = "EducationOrganizationCategory" };
            cacheData.Add(typeInfoEducationOrganizationCategory);
            typeInfoEducationOrganizationCategory.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "type",
                IsPartOfNaturalKey = true,
            });

            var typeInfoEducationOrganizationInstitutionTelephone = new MetadataTypeInfo { TypeName = "EducationOrganizationInstitutionTelephone" };
            cacheData.Add(typeInfoEducationOrganizationInstitutionTelephone);
            typeInfoEducationOrganizationInstitutionTelephone.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "institutionTelephoneNumberType",
                IsPartOfNaturalKey = true,
            });
            typeInfoEducationOrganizationInstitutionTelephone.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "telephoneNumber",
                IsPartOfNaturalKey = false,
            });

            var typeInfoEducationOrganizationIdentificationCode = new MetadataTypeInfo { TypeName = "EducationOrganizationIdentificationCode" };
            cacheData.Add(typeInfoEducationOrganizationIdentificationCode);
            typeInfoEducationOrganizationIdentificationCode.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationIdentificationSystemDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoEducationOrganizationIdentificationCode.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationCode",
                IsPartOfNaturalKey = false,
            });

            var typeInfoEducationOrganizationInterventionPrescriptionAssociationReference = new MetadataTypeInfo { TypeName = "EducationOrganizationInterventionPrescriptionAssociationReference" };
            cacheData.Add(typeInfoEducationOrganizationInterventionPrescriptionAssociationReference);
            typeInfoEducationOrganizationInterventionPrescriptionAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoEducationOrganizationInterventionPrescriptionAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "interventionPrescriptionIdentificationCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoEducationOrganizationInterventionPrescriptionAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "interventionPrescriptionEducationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoEducationOrganizationInterventionPrescriptionAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoEducationOrganizationPeerAssociationReference = new MetadataTypeInfo { TypeName = "EducationOrganizationPeerAssociationReference" };
            cacheData.Add(typeInfoEducationOrganizationPeerAssociationReference);
            typeInfoEducationOrganizationPeerAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoEducationOrganizationPeerAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "peerEducationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoEducationOrganizationPeerAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoEducationOrganizationNetworkAssociationReference = new MetadataTypeInfo { TypeName = "EducationOrganizationNetworkAssociationReference" };
            cacheData.Add(typeInfoEducationOrganizationNetworkAssociationReference);
            typeInfoEducationOrganizationNetworkAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "memberEducationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoEducationOrganizationNetworkAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationNetworkId",
                IsPartOfNaturalKey = true,
            });
            typeInfoEducationOrganizationNetworkAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoSchoolReference = new MetadataTypeInfo { TypeName = "SchoolReference" };
            cacheData.Add(typeInfoSchoolReference);
            typeInfoSchoolReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolId",
                IsPartOfNaturalKey = true,
            });
            typeInfoSchoolReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoSchoolCategory = new MetadataTypeInfo { TypeName = "SchoolCategory" };
            cacheData.Add(typeInfoSchoolCategory);
            typeInfoSchoolCategory.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "type",
                IsPartOfNaturalKey = true,
            });

            var typeInfoSchoolGradeLevel = new MetadataTypeInfo { TypeName = "SchoolGradeLevel" };
            cacheData.Add(typeInfoSchoolGradeLevel);
            typeInfoSchoolGradeLevel.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradeLevelDescriptor",
                IsPartOfNaturalKey = true,
            });

            var typeInfoFeederSchoolAssociationReference = new MetadataTypeInfo { TypeName = "FeederSchoolAssociationReference" };
            cacheData.Add(typeInfoFeederSchoolAssociationReference);
            typeInfoFeederSchoolAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "feederSchoolId",
                IsPartOfNaturalKey = true,
            });
            typeInfoFeederSchoolAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolId",
                IsPartOfNaturalKey = true,
            });
            typeInfoFeederSchoolAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoFeederSchoolAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoEducationServiceCenterReference = new MetadataTypeInfo { TypeName = "EducationServiceCenterReference" };
            cacheData.Add(typeInfoEducationServiceCenterReference);
            typeInfoEducationServiceCenterReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationServiceCenterId",
                IsPartOfNaturalKey = true,
            });
            typeInfoEducationServiceCenterReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoEducationOrganizationNetworkReference = new MetadataTypeInfo { TypeName = "EducationOrganizationNetworkReference" };
            cacheData.Add(typeInfoEducationOrganizationNetworkReference);
            typeInfoEducationOrganizationNetworkReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationNetworkId",
                IsPartOfNaturalKey = true,
            });
            typeInfoEducationOrganizationNetworkReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoLocalEducationAgencyReference = new MetadataTypeInfo { TypeName = "LocalEducationAgencyReference" };
            cacheData.Add(typeInfoLocalEducationAgencyReference);
            typeInfoLocalEducationAgencyReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "localEducationAgencyId",
                IsPartOfNaturalKey = true,
            });
            typeInfoLocalEducationAgencyReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoLocalEducationAgencyAccountability = new MetadataTypeInfo { TypeName = "LocalEducationAgencyAccountability" };
            cacheData.Add(typeInfoLocalEducationAgencyAccountability);
            typeInfoLocalEducationAgencyAccountability.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolYearTypeReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoLocalEducationAgencyAccountability.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gunFreeSchoolsActReportingStatusType",
                IsPartOfNaturalKey = false,
            });
            typeInfoLocalEducationAgencyAccountability.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolChoiceImplementStatusType",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStateEducationAgencyReference = new MetadataTypeInfo { TypeName = "StateEducationAgencyReference" };
            cacheData.Add(typeInfoStateEducationAgencyReference);
            typeInfoStateEducationAgencyReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "stateEducationAgencyId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStateEducationAgencyReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStateEducationAgencyAccountability = new MetadataTypeInfo { TypeName = "StateEducationAgencyAccountability" };
            cacheData.Add(typeInfoStateEducationAgencyAccountability);
            typeInfoStateEducationAgencyAccountability.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolYearTypeReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStateEducationAgencyAccountability.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "cteGraduationRateInclusion",
                IsPartOfNaturalKey = false,
            });

            var typeInfoLocationReference = new MetadataTypeInfo { TypeName = "LocationReference" };
            cacheData.Add(typeInfoLocationReference);
            typeInfoLocationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolId",
                IsPartOfNaturalKey = true,
            });
            typeInfoLocationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "classroomIdentificationCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoLocationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStaffEducationOrganizationEmploymentAssociationReference = new MetadataTypeInfo { TypeName = "StaffEducationOrganizationEmploymentAssociationReference" };
            cacheData.Add(typeInfoStaffEducationOrganizationEmploymentAssociationReference);
            typeInfoStaffEducationOrganizationEmploymentAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffEducationOrganizationEmploymentAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "staffUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffEducationOrganizationEmploymentAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "employmentStatusDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffEducationOrganizationEmploymentAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "hireDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffEducationOrganizationEmploymentAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoDescriptorReference = new MetadataTypeInfo { TypeName = "DescriptorReference" };
            cacheData.Add(typeInfoDescriptorReference);
            typeInfoDescriptorReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "descriptorId",
                IsPartOfNaturalKey = true,
            });
            typeInfoDescriptorReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoLevelDescriptorGradeLevel = new MetadataTypeInfo { TypeName = "LevelDescriptorGradeLevel" };
            cacheData.Add(typeInfoLevelDescriptorGradeLevel);
            typeInfoLevelDescriptorGradeLevel.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradeLevelDescriptor",
                IsPartOfNaturalKey = true,
            });

            var typeInfoSchoolYearTypeReference = new MetadataTypeInfo { TypeName = "SchoolYearTypeReference" };
            cacheData.Add(typeInfoSchoolYearTypeReference);
            typeInfoSchoolYearTypeReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolYear",
                IsPartOfNaturalKey = true,
            });
            typeInfoSchoolYearTypeReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoAccountabilityRatingReference = new MetadataTypeInfo { TypeName = "AccountabilityRatingReference" };
            cacheData.Add(typeInfoAccountabilityRatingReference);
            typeInfoAccountabilityRatingReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "ratingTitle",
                IsPartOfNaturalKey = true,
            });
            typeInfoAccountabilityRatingReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoAccountabilityRatingReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolYear",
                IsPartOfNaturalKey = true,
            });
            typeInfoAccountabilityRatingReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoBalanceSheetReference = new MetadataTypeInfo { TypeName = "BalanceSheetReference" };
            cacheData.Add(typeInfoBalanceSheetReference);
            typeInfoBalanceSheetReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoBalanceSheetReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "fiscalYear",
                IsPartOfNaturalKey = true,
            });
            typeInfoBalanceSheetReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "fundCodeDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoBalanceSheetReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "majorClassDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoBalanceSheetReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoBusRouteReference = new MetadataTypeInfo { TypeName = "BusRouteReference" };
            cacheData.Add(typeInfoBusRouteReference);
            typeInfoBusRouteReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "busNumber",
                IsPartOfNaturalKey = true,
            });
            typeInfoBusRouteReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "directionDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoBusRouteReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "dayOfWeekDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoBusRouteReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoBusRouteBusDriverName = new MetadataTypeInfo { TypeName = "BusRouteBusDriverName" };
            cacheData.Add(typeInfoBusRouteBusDriverName);
            typeInfoBusRouteBusDriverName.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "lastSurname",
                IsPartOfNaturalKey = false,
            });
            typeInfoBusRouteBusDriverName.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "personalTitlePrefix",
                IsPartOfNaturalKey = false,
            });
            typeInfoBusRouteBusDriverName.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "firstName",
                IsPartOfNaturalKey = false,
            });
            typeInfoBusRouteBusDriverName.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "middleName",
                IsPartOfNaturalKey = false,
            });
            typeInfoBusRouteBusDriverName.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "generationCodeSuffix",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCohortReference = new MetadataTypeInfo { TypeName = "CohortReference" };
            cacheData.Add(typeInfoCohortReference);
            typeInfoCohortReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identifier",
                IsPartOfNaturalKey = true,
            });
            typeInfoCohortReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCohortReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCohortProgram = new MetadataTypeInfo { TypeName = "CohortProgram" };
            cacheData.Add(typeInfoCohortProgram);
            typeInfoCohortProgram.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programReference",
                IsPartOfNaturalKey = true,
            });

            var typeInfoCohortCategory = new MetadataTypeInfo { TypeName = "CohortCategory" };
            cacheData.Add(typeInfoCohortCategory);
            typeInfoCohortCategory.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "descriptor",
                IsPartOfNaturalKey = true,
            });

            var typeInfoCohortAssessment = new MetadataTypeInfo { TypeName = "CohortAssessment" };
            cacheData.Add(typeInfoCohortAssessment);
            typeInfoCohortAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessmentReference",
                IsPartOfNaturalKey = true,
            });

            var typeInfoCourseReference = new MetadataTypeInfo { TypeName = "CourseReference" };
            cacheData.Add(typeInfoCourseReference);
            typeInfoCourseReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCourseReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "code",
                IsPartOfNaturalKey = true,
            });
            typeInfoCourseReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCourseIdentificationCode = new MetadataTypeInfo { TypeName = "CourseIdentificationCode" };
            cacheData.Add(typeInfoCourseIdentificationCode);
            typeInfoCourseIdentificationCode.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "courseIdentificationSystemDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoCourseIdentificationCode.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assigningOrganizationIdentificationCode",
                IsPartOfNaturalKey = false,
            });
            typeInfoCourseIdentificationCode.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationCode",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCourseLevelCharacteristic = new MetadataTypeInfo { TypeName = "CourseLevelCharacteristic" };
            cacheData.Add(typeInfoCourseLevelCharacteristic);
            typeInfoCourseLevelCharacteristic.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "type",
                IsPartOfNaturalKey = true,
            });

            var typeInfoCourseOfferedGradeLevel = new MetadataTypeInfo { TypeName = "CourseOfferedGradeLevel" };
            cacheData.Add(typeInfoCourseOfferedGradeLevel);
            typeInfoCourseOfferedGradeLevel.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "gradeLevelDescriptor",
                IsPartOfNaturalKey = true,
            });

            var typeInfoCourseCompetencyLevel = new MetadataTypeInfo { TypeName = "CourseCompetencyLevel" };
            cacheData.Add(typeInfoCourseCompetencyLevel);
            typeInfoCourseCompetencyLevel.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "competencyLevelDescriptor",
                IsPartOfNaturalKey = true,
            });

            var typeInfoCourseLearningStandard = new MetadataTypeInfo { TypeName = "CourseLearningStandard" };
            cacheData.Add(typeInfoCourseLearningStandard);
            typeInfoCourseLearningStandard.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "learningStandardReference",
                IsPartOfNaturalKey = true,
            });

            var typeInfoCourseLearningObjective = new MetadataTypeInfo { TypeName = "CourseLearningObjective" };
            cacheData.Add(typeInfoCourseLearningObjective);
            typeInfoCourseLearningObjective.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "learningObjectiveReference",
                IsPartOfNaturalKey = true,
            });

            var typeInfoCourseTypeLevelAndRigor = new MetadataTypeInfo { TypeName = "CourseTypeLevelAndRigor" };
            cacheData.Add(typeInfoCourseTypeLevelAndRigor);
            typeInfoCourseTypeLevelAndRigor.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "descriptor",
                IsPartOfNaturalKey = true,
            });

            var typeInfoEducationServiceProviderExpenditureReference = new MetadataTypeInfo { TypeName = "EducationServiceProviderExpenditureReference" };
            cacheData.Add(typeInfoEducationServiceProviderExpenditureReference);
            typeInfoEducationServiceProviderExpenditureReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoEducationServiceProviderExpenditureReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "fiscalYear",
                IsPartOfNaturalKey = true,
            });
            typeInfoEducationServiceProviderExpenditureReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "espFunctionCodeDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoEducationServiceProviderExpenditureReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "espObjectCodeDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoEducationServiceProviderExpenditureReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoExpenditureReference = new MetadataTypeInfo { TypeName = "ExpenditureReference" };
            cacheData.Add(typeInfoExpenditureReference);
            typeInfoExpenditureReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoExpenditureReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "fiscalYear",
                IsPartOfNaturalKey = true,
            });
            typeInfoExpenditureReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "fundCodeDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoExpenditureReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "functionCodeDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoExpenditureReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "objectCodeDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoExpenditureReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolId",
                IsPartOfNaturalKey = true,
            });
            typeInfoExpenditureReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "grantCodeDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoExpenditureReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoGraduationPlanReference = new MetadataTypeInfo { TypeName = "GraduationPlanReference" };
            cacheData.Add(typeInfoGraduationPlanReference);
            typeInfoGraduationPlanReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "typeDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoGraduationPlanReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoGraduationPlanReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "graduationSchoolYear",
                IsPartOfNaturalKey = true,
            });
            typeInfoGraduationPlanReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoGraduationPlanCreditsByCourse = new MetadataTypeInfo { TypeName = "GraduationPlanCreditsByCourse" };
            cacheData.Add(typeInfoGraduationPlanCreditsByCourse);
            typeInfoGraduationPlanCreditsByCourse.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "courseSetName",
                IsPartOfNaturalKey = true,
            });
            typeInfoGraduationPlanCreditsByCourse.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "credits",
                IsPartOfNaturalKey = false,
            });
            typeInfoGraduationPlanCreditsByCourse.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "creditType",
                IsPartOfNaturalKey = false,
            });
            typeInfoGraduationPlanCreditsByCourse.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "creditConversion",
                IsPartOfNaturalKey = false,
            });
            typeInfoGraduationPlanCreditsByCourse.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "whenTakenGradeLevelDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoGraduationPlanCreditsByCourse.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "courses",
                IsPartOfNaturalKey = false,
            });

            var typeInfoGraduationPlanCreditsByCourseCourse = new MetadataTypeInfo { TypeName = "GraduationPlanCreditsByCourseCourse" };
            cacheData.Add(typeInfoGraduationPlanCreditsByCourseCourse);
            typeInfoGraduationPlanCreditsByCourseCourse.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "courseReference",
                IsPartOfNaturalKey = true,
            });

            var typeInfoGraduationPlanCreditsBySubject = new MetadataTypeInfo { TypeName = "GraduationPlanCreditsBySubject" };
            cacheData.Add(typeInfoGraduationPlanCreditsBySubject);
            typeInfoGraduationPlanCreditsBySubject.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "academicSubjectDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoGraduationPlanCreditsBySubject.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "credits",
                IsPartOfNaturalKey = false,
            });
            typeInfoGraduationPlanCreditsBySubject.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "creditType",
                IsPartOfNaturalKey = false,
            });
            typeInfoGraduationPlanCreditsBySubject.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "creditConversion",
                IsPartOfNaturalKey = false,
            });

            var typeInfoGraduationPlanRequiredAssessment = new MetadataTypeInfo { TypeName = "GraduationPlanRequiredAssessment" };
            cacheData.Add(typeInfoGraduationPlanRequiredAssessment);
            typeInfoGraduationPlanRequiredAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessmentReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoGraduationPlanRequiredAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessmentPerformanceLevel",
                IsPartOfNaturalKey = false,
            });
            typeInfoGraduationPlanRequiredAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "scores",
                IsPartOfNaturalKey = false,
            });

            var typeInfoGraduationPlanRequiredAssessmentScore = new MetadataTypeInfo { TypeName = "GraduationPlanRequiredAssessmentScore" };
            cacheData.Add(typeInfoGraduationPlanRequiredAssessmentScore);
            typeInfoGraduationPlanRequiredAssessmentScore.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessmentReportingMethodType",
                IsPartOfNaturalKey = true,
            });
            typeInfoGraduationPlanRequiredAssessmentScore.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "minimumScore",
                IsPartOfNaturalKey = false,
            });
            typeInfoGraduationPlanRequiredAssessmentScore.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "maximumScore",
                IsPartOfNaturalKey = false,
            });
            typeInfoGraduationPlanRequiredAssessmentScore.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "resultDatatypeType",
                IsPartOfNaturalKey = false,
            });

            var typeInfoGraduationPlanRequiredAssessmentAssessmentPerformanceLevel = new MetadataTypeInfo { TypeName = "GraduationPlanRequiredAssessmentAssessmentPerformanceLevel" };
            cacheData.Add(typeInfoGraduationPlanRequiredAssessmentAssessmentPerformanceLevel);
            typeInfoGraduationPlanRequiredAssessmentAssessmentPerformanceLevel.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "performanceLevelDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoGraduationPlanRequiredAssessmentAssessmentPerformanceLevel.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessmentReportingMethodType",
                IsPartOfNaturalKey = false,
            });
            typeInfoGraduationPlanRequiredAssessmentAssessmentPerformanceLevel.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "minimumScore",
                IsPartOfNaturalKey = false,
            });
            typeInfoGraduationPlanRequiredAssessmentAssessmentPerformanceLevel.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "maximumScore",
                IsPartOfNaturalKey = false,
            });
            typeInfoGraduationPlanRequiredAssessmentAssessmentPerformanceLevel.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "resultDatatypeType",
                IsPartOfNaturalKey = false,
            });

            var typeInfoGraduationPlanCreditModification = new MetadataTypeInfo { TypeName = "GraduationPlanCreditModification" };
            cacheData.Add(typeInfoGraduationPlanCreditModification);
            typeInfoGraduationPlanCreditModification.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "creditModificationDescriptor",
                IsPartOfNaturalKey = true,
            });

            var typeInfoRevenueReference = new MetadataTypeInfo { TypeName = "RevenueReference" };
            cacheData.Add(typeInfoRevenueReference);
            typeInfoRevenueReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoRevenueReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "fiscalYear",
                IsPartOfNaturalKey = true,
            });
            typeInfoRevenueReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "fundCodeDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoRevenueReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "majorClassDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoRevenueReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStaffReference = new MetadataTypeInfo { TypeName = "StaffReference" };
            cacheData.Add(typeInfoStaffReference);
            typeInfoStaffReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "staffUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStaffIdentificationCode = new MetadataTypeInfo { TypeName = "StaffIdentificationCode" };
            cacheData.Add(typeInfoStaffIdentificationCode);
            typeInfoStaffIdentificationCode.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "staffIdentificationSystemDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffIdentificationCode.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assigningOrganizationIdentificationCode",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffIdentificationCode.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationCode",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStaffOtherName = new MetadataTypeInfo { TypeName = "StaffOtherName" };
            cacheData.Add(typeInfoStaffOtherName);
            typeInfoStaffOtherName.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "otherNameType",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffOtherName.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "personalTitlePrefix",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffOtherName.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "firstName",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffOtherName.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "middleName",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffOtherName.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "lastSurname",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffOtherName.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "generationCodeSuffix",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStaffAddress = new MetadataTypeInfo { TypeName = "StaffAddress" };
            cacheData.Add(typeInfoStaffAddress);
            typeInfoStaffAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "addressType",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "streetNumberName",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "apartmentRoomSuiteNumber",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "buildingSiteNumber",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "city",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "stateAbbreviationType",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "postalCode",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "nameOfCounty",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "countyFIPSCode",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "latitude",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "longitude",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endDate",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStaffInternationalAddress = new MetadataTypeInfo { TypeName = "StaffInternationalAddress" };
            cacheData.Add(typeInfoStaffInternationalAddress);
            typeInfoStaffInternationalAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "addressType",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffInternationalAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "addressLine1",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffInternationalAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "addressLine2",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffInternationalAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "addressLine3",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffInternationalAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "addressLine4",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffInternationalAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "latitude",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffInternationalAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "longitude",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffInternationalAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffInternationalAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffInternationalAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "countryDescriptor",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStaffTelephone = new MetadataTypeInfo { TypeName = "StaffTelephone" };
            cacheData.Add(typeInfoStaffTelephone);
            typeInfoStaffTelephone.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "telephoneNumberType",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffTelephone.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "orderOfPriority",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffTelephone.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "textMessageCapabilityIndicator",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffTelephone.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "telephoneNumber",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStaffElectronicMail = new MetadataTypeInfo { TypeName = "StaffElectronicMail" };
            cacheData.Add(typeInfoStaffElectronicMail);
            typeInfoStaffElectronicMail.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "electronicMailType",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffElectronicMail.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "electronicMailAddress",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffElectronicMail.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "primaryEmailAddressIndicator",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStaffRace = new MetadataTypeInfo { TypeName = "StaffRace" };
            cacheData.Add(typeInfoStaffRace);
            typeInfoStaffRace.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "raceType",
                IsPartOfNaturalKey = true,
            });

            var typeInfoStaffVisa = new MetadataTypeInfo { TypeName = "StaffVisa" };
            cacheData.Add(typeInfoStaffVisa);
            typeInfoStaffVisa.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "visaType",
                IsPartOfNaturalKey = true,
            });

            var typeInfoStaffIdentificationDocument = new MetadataTypeInfo { TypeName = "StaffIdentificationDocument" };
            cacheData.Add(typeInfoStaffIdentificationDocument);
            typeInfoStaffIdentificationDocument.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "personalInformationVerificationType",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffIdentificationDocument.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationDocumentUseType",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffIdentificationDocument.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "documentTitle",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffIdentificationDocument.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "documentExpirationDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffIdentificationDocument.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "issuerDocumentIdentificationCode",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffIdentificationDocument.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "issuerName",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffIdentificationDocument.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "issuerCountryDescriptor",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStaffLanguage = new MetadataTypeInfo { TypeName = "StaffLanguage" };
            cacheData.Add(typeInfoStaffLanguage);
            typeInfoStaffLanguage.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "languageDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffLanguage.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "uses",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStaffLanguageUse = new MetadataTypeInfo { TypeName = "StaffLanguageUse" };
            cacheData.Add(typeInfoStaffLanguageUse);
            typeInfoStaffLanguageUse.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "languageUseType",
                IsPartOfNaturalKey = true,
            });

            var typeInfoStaffCredential = new MetadataTypeInfo { TypeName = "StaffCredential" };
            cacheData.Add(typeInfoStaffCredential);
            typeInfoStaffCredential.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "credentialFieldDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffCredential.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "credentialType",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffCredential.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "levelDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffCredential.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "teachingCredentialDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffCredential.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "credentialIssuanceDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffCredential.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "credentialExpirationDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffCredential.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "teachingCredentialBasisType",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffCredential.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "stateOfIssueStateAbbreviationType",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffCredential.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "professionalCertificateOrLicenseNumber",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffCredential.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "repTypeOfCredentialDescriptor",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStaffRecognition = new MetadataTypeInfo { TypeName = "StaffRecognition" };
            cacheData.Add(typeInfoStaffRecognition);
            typeInfoStaffRecognition.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "recognitionType",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffRecognition.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "recognitionDescription",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffRecognition.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "recognitionAwardDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffRecognition.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "recognitionAwardExpiresDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffRecognition.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "achievementTitle",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffRecognition.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "achievementCategoryDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffRecognition.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "achievementCategorySystem",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffRecognition.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "issuerName",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffRecognition.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "issuerOriginURL",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffRecognition.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "criteria",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffRecognition.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "criteriaURL",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffRecognition.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "evidenceStatement",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffRecognition.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "imageURL",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStaffREPRaceOrder = new MetadataTypeInfo { TypeName = "StaffREPRaceOrder" };
            cacheData.Add(typeInfoStaffREPRaceOrder);
            typeInfoStaffREPRaceOrder.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "raceOrderChoiceDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffREPRaceOrder.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "raceType",
                IsPartOfNaturalKey = true,
            });

            var typeInfoStaffLibraryServiceReference = new MetadataTypeInfo { TypeName = "StaffLibraryServiceReference" };
            cacheData.Add(typeInfoStaffLibraryServiceReference);
            typeInfoStaffLibraryServiceReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "staffUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffLibraryServiceReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffLibraryServiceReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "barcode",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffLibraryServiceReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentReference = new MetadataTypeInfo { TypeName = "StudentReference" };
            cacheData.Add(typeInfoStudentReference);
            typeInfoStudentReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentIdentificationCode = new MetadataTypeInfo { TypeName = "StudentIdentificationCode" };
            cacheData.Add(typeInfoStudentIdentificationCode);
            typeInfoStudentIdentificationCode.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assigningOrganizationIdentificationCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentIdentificationCode.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentIdentificationSystemDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentIdentificationCode.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationCode",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentOtherName = new MetadataTypeInfo { TypeName = "StudentOtherName" };
            cacheData.Add(typeInfoStudentOtherName);
            typeInfoStudentOtherName.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "otherNameType",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentOtherName.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "personalTitlePrefix",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentOtherName.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "firstName",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentOtherName.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "middleName",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentOtherName.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "lastSurname",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentOtherName.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "generationCodeSuffix",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentInternationalAddress = new MetadataTypeInfo { TypeName = "StudentInternationalAddress" };
            cacheData.Add(typeInfoStudentInternationalAddress);
            typeInfoStudentInternationalAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "addressType",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentInternationalAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "addressLine1",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentInternationalAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "addressLine2",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentInternationalAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "addressLine3",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentInternationalAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "addressLine4",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentInternationalAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "latitude",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentInternationalAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "longitude",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentInternationalAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentInternationalAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentInternationalAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "countryDescriptor",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentTelephone = new MetadataTypeInfo { TypeName = "StudentTelephone" };
            cacheData.Add(typeInfoStudentTelephone);
            typeInfoStudentTelephone.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "telephoneNumberType",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentTelephone.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "orderOfPriority",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentTelephone.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "textMessageCapabilityIndicator",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentTelephone.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "telephoneNumber",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentElectronicMail = new MetadataTypeInfo { TypeName = "StudentElectronicMail" };
            cacheData.Add(typeInfoStudentElectronicMail);
            typeInfoStudentElectronicMail.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "electronicMailType",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentElectronicMail.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "electronicMailAddress",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentElectronicMail.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "primaryEmailAddressIndicator",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentRace = new MetadataTypeInfo { TypeName = "StudentRace" };
            cacheData.Add(typeInfoStudentRace);
            typeInfoStudentRace.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "raceType",
                IsPartOfNaturalKey = true,
            });

            var typeInfoStudentVisa = new MetadataTypeInfo { TypeName = "StudentVisa" };
            cacheData.Add(typeInfoStudentVisa);
            typeInfoStudentVisa.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "visaType",
                IsPartOfNaturalKey = true,
            });

            var typeInfoStudentIdentificationDocument = new MetadataTypeInfo { TypeName = "StudentIdentificationDocument" };
            cacheData.Add(typeInfoStudentIdentificationDocument);
            typeInfoStudentIdentificationDocument.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "personalInformationVerificationType",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentIdentificationDocument.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationDocumentUseType",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentIdentificationDocument.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "documentTitle",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentIdentificationDocument.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "documentExpirationDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentIdentificationDocument.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "issuerDocumentIdentificationCode",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentIdentificationDocument.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "issuerName",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentIdentificationDocument.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "issuerCountryDescriptor",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentCharacteristic = new MetadataTypeInfo { TypeName = "StudentCharacteristic" };
            cacheData.Add(typeInfoStudentCharacteristic);
            typeInfoStudentCharacteristic.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "descriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCharacteristic.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentCharacteristic.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentCharacteristic.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "designatedBy",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentLanguage = new MetadataTypeInfo { TypeName = "StudentLanguage" };
            cacheData.Add(typeInfoStudentLanguage);
            typeInfoStudentLanguage.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "languageDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentLanguage.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "uses",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentLanguageUse = new MetadataTypeInfo { TypeName = "StudentLanguageUse" };
            cacheData.Add(typeInfoStudentLanguageUse);
            typeInfoStudentLanguageUse.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "languageUseType",
                IsPartOfNaturalKey = true,
            });

            var typeInfoStudentDisability = new MetadataTypeInfo { TypeName = "StudentDisability" };
            cacheData.Add(typeInfoStudentDisability);
            typeInfoStudentDisability.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "disabilityDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentDisability.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "disabilityDiagnosis",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentDisability.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "orderOfDisability",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentDisability.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "disabilityDeterminationSourceType",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentCohortYear = new MetadataTypeInfo { TypeName = "StudentCohortYear" };
            cacheData.Add(typeInfoStudentCohortYear);
            typeInfoStudentCohortYear.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolYearTypeReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCohortYear.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "cohortYearType",
                IsPartOfNaturalKey = true,
            });

            var typeInfoStudentIndicator = new MetadataTypeInfo { TypeName = "StudentIndicator" };
            cacheData.Add(typeInfoStudentIndicator);
            typeInfoStudentIndicator.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "indicatorName",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentIndicator.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "indicator",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentIndicator.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "indicatorGroup",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentIndicator.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentIndicator.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentIndicator.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "designatedBy",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentAddress = new MetadataTypeInfo { TypeName = "StudentAddress" };
            cacheData.Add(typeInfoStudentAddress);
            typeInfoStudentAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "addressType",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "streetNumberName",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "apartmentRoomSuiteNumber",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "buildingSiteNumber",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "city",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "stateAbbreviationType",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "postalCode",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "nameOfCounty",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "countyFIPSCode",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "latitude",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "longitude",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAddress.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "countyCode",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentLearningStyle = new MetadataTypeInfo { TypeName = "StudentLearningStyle" };
            cacheData.Add(typeInfoStudentLearningStyle);
            typeInfoStudentLearningStyle.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "visualLearning",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentLearningStyle.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "auditoryLearning",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentLearningStyle.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "tactileLearning",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentProgramParticipation = new MetadataTypeInfo { TypeName = "StudentProgramParticipation" };
            cacheData.Add(typeInfoStudentProgramParticipation);
            typeInfoStudentProgramParticipation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programType",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentProgramParticipation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentProgramParticipation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "endDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentProgramParticipation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "designatedBy",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentProgramParticipation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "enrollmentPercent",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentProgramParticipation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programCharacteristics",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentProgramParticipation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "statuses",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentProgramParticipationProgramCharacteristic = new MetadataTypeInfo { TypeName = "StudentProgramParticipationProgramCharacteristic" };
            cacheData.Add(typeInfoStudentProgramParticipationProgramCharacteristic);
            typeInfoStudentProgramParticipationProgramCharacteristic.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programCharacteristicDescriptor",
                IsPartOfNaturalKey = true,
            });

            var typeInfoStudentProgramParticipationStatus = new MetadataTypeInfo { TypeName = "StudentProgramParticipationStatus" };
            cacheData.Add(typeInfoStudentProgramParticipationStatus);
            typeInfoStudentProgramParticipationStatus.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programParticipationStatusDescriptor",
                IsPartOfNaturalKey = true,
            });

            var typeInfoStudentMSDSRaceOrder = new MetadataTypeInfo { TypeName = "StudentMSDSRaceOrder" };
            cacheData.Add(typeInfoStudentMSDSRaceOrder);
            typeInfoStudentMSDSRaceOrder.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "raceOrderChoiceDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentMSDSRaceOrder.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "raceType",
                IsPartOfNaturalKey = true,
            });

            var typeInfoStudentAssessmentReference = new MetadataTypeInfo { TypeName = "StudentAssessmentReference" };
            cacheData.Add(typeInfoStudentAssessmentReference);
            typeInfoStudentAssessmentReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAssessmentReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessmentTitle",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAssessmentReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "academicSubjectDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAssessmentReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessedGradeLevelDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAssessmentReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "version",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAssessmentReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "administrationDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAssessmentReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentAssessmentPerformanceLevel = new MetadataTypeInfo { TypeName = "StudentAssessmentPerformanceLevel" };
            cacheData.Add(typeInfoStudentAssessmentPerformanceLevel);
            typeInfoStudentAssessmentPerformanceLevel.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "performanceLevelDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAssessmentPerformanceLevel.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "performanceLevelMet",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentAssessmentAccommodation = new MetadataTypeInfo { TypeName = "StudentAssessmentAccommodation" };
            cacheData.Add(typeInfoStudentAssessmentAccommodation);
            typeInfoStudentAssessmentAccommodation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "accommodationDescriptor",
                IsPartOfNaturalKey = true,
            });

            var typeInfoStudentAssessmentScoreResult = new MetadataTypeInfo { TypeName = "StudentAssessmentScoreResult" };
            cacheData.Add(typeInfoStudentAssessmentScoreResult);
            typeInfoStudentAssessmentScoreResult.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessmentReportingMethodType",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAssessmentScoreResult.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "result",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAssessmentScoreResult.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "resultDatatypeType",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentAssessmentItemToAssessmentItemReference = new MetadataTypeInfo { TypeName = "StudentAssessmentItemToAssessmentItemReference" };
            cacheData.Add(typeInfoStudentAssessmentItemToAssessmentItemReference);
            typeInfoStudentAssessmentItemToAssessmentItemReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAssessmentItemToAssessmentItemReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentAssessmentItem = new MetadataTypeInfo { TypeName = "StudentAssessmentItem" };
            cacheData.Add(typeInfoStudentAssessmentItem);
            typeInfoStudentAssessmentItem.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessmentItemReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAssessmentItem.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessmentResponse",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAssessmentItem.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "responseIndicatorType",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAssessmentItem.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessmentItemResultType",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAssessmentItem.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "rawScoreResult",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAssessmentItem.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "timeAssessed",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAssessmentItem.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "descriptiveFeedback",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentAssessmentStudentObjectiveAssessmentToObjectiveAssessmentReference = new MetadataTypeInfo { TypeName = "StudentAssessmentStudentObjectiveAssessmentToObjectiveAssessmentReference" };
            cacheData.Add(typeInfoStudentAssessmentStudentObjectiveAssessmentToObjectiveAssessmentReference);
            typeInfoStudentAssessmentStudentObjectiveAssessmentToObjectiveAssessmentReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "identificationCode",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAssessmentStudentObjectiveAssessmentToObjectiveAssessmentReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentAssessmentStudentObjectiveAssessment = new MetadataTypeInfo { TypeName = "StudentAssessmentStudentObjectiveAssessment" };
            cacheData.Add(typeInfoStudentAssessmentStudentObjectiveAssessment);
            typeInfoStudentAssessmentStudentObjectiveAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "objectiveAssessmentReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAssessmentStudentObjectiveAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "performanceLevels",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAssessmentStudentObjectiveAssessment.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "scoreResults",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentAssessmentStudentObjectiveAssessmentScoreResult = new MetadataTypeInfo { TypeName = "StudentAssessmentStudentObjectiveAssessmentScoreResult" };
            cacheData.Add(typeInfoStudentAssessmentStudentObjectiveAssessmentScoreResult);
            typeInfoStudentAssessmentStudentObjectiveAssessmentScoreResult.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "assessmentReportingMethodType",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAssessmentStudentObjectiveAssessmentScoreResult.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "result",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAssessmentStudentObjectiveAssessmentScoreResult.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "resultDatatypeType",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentAssessmentStudentObjectiveAssessmentPerformanceLevel = new MetadataTypeInfo { TypeName = "StudentAssessmentStudentObjectiveAssessmentPerformanceLevel" };
            cacheData.Add(typeInfoStudentAssessmentStudentObjectiveAssessmentPerformanceLevel);
            typeInfoStudentAssessmentStudentObjectiveAssessmentPerformanceLevel.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "performanceLevelDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAssessmentStudentObjectiveAssessmentPerformanceLevel.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "performanceLevelMet",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentAssessmentActionAssessmentOutcome = new MetadataTypeInfo { TypeName = "StudentAssessmentActionAssessmentOutcome" };
            cacheData.Add(typeInfoStudentAssessmentActionAssessmentOutcome);
            typeInfoStudentAssessmentActionAssessmentOutcome.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "actionAssessmentOutcomeLevelDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAssessmentActionAssessmentOutcome.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "newActionAssessmentOutcome",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentAssessmentKnowledgeSkillAssessmentOutcome = new MetadataTypeInfo { TypeName = "StudentAssessmentKnowledgeSkillAssessmentOutcome" };
            cacheData.Add(typeInfoStudentAssessmentKnowledgeSkillAssessmentOutcome);
            typeInfoStudentAssessmentKnowledgeSkillAssessmentOutcome.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "knowledgeSkillAssessmentOutcomeLevelDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAssessmentKnowledgeSkillAssessmentOutcome.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "newKnowledgeSkillAssessmentOutcome",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentAssessmentSocialRelationshipAssessmentOutcome = new MetadataTypeInfo { TypeName = "StudentAssessmentSocialRelationshipAssessmentOutcome" };
            cacheData.Add(typeInfoStudentAssessmentSocialRelationshipAssessmentOutcome);
            typeInfoStudentAssessmentSocialRelationshipAssessmentOutcome.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "socialRelationshipAssessmentOutcomeLevelDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentAssessmentSocialRelationshipAssessmentOutcome.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "newSocialRelationshipAssessmentOutcome",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentLibraryServiceReference = new MetadataTypeInfo { TypeName = "StudentLibraryServiceReference" };
            cacheData.Add(typeInfoStudentLibraryServiceReference);
            typeInfoStudentLibraryServiceReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentLibraryServiceReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentLibraryServiceReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "barcode",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentLibraryServiceReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentTransportationReference = new MetadataTypeInfo { TypeName = "StudentTransportationReference" };
            cacheData.Add(typeInfoStudentTransportationReference);
            typeInfoStudentTransportationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentTransportationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentTransportationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "busNumber",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentTransportationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "busRouteDirectionDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentTransportationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "busRouteDayOfWeekDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentTransportationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStaffEducationOrganizationAssignmentAssociationReference = new MetadataTypeInfo { TypeName = "StaffEducationOrganizationAssignmentAssociationReference" };
            cacheData.Add(typeInfoStaffEducationOrganizationAssignmentAssociationReference);
            typeInfoStaffEducationOrganizationAssignmentAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "staffUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffEducationOrganizationAssignmentAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffEducationOrganizationAssignmentAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "staffClassificationDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffEducationOrganizationAssignmentAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffEducationOrganizationAssignmentAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStaffEducationOrganizationAssignmentAssociationAssignedSubjectArea = new MetadataTypeInfo { TypeName = "StaffEducationOrganizationAssignmentAssociationAssignedSubjectArea" };
            cacheData.Add(typeInfoStaffEducationOrganizationAssignmentAssociationAssignedSubjectArea);
            typeInfoStaffEducationOrganizationAssignmentAssociationAssignedSubjectArea.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "academicSubjectDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStaffEducationOrganizationAssignmentAssociationAssignedSubjectArea.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "academicMajorInAssignedSubjectAreaDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffEducationOrganizationAssignmentAssociationAssignedSubjectArea.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "academicMinorInAssignedSubjectAreaDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStaffEducationOrganizationAssignmentAssociationAssignedSubjectArea.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "numberOfClassesTaught",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentAdultEducationProgramAssociationReference = new MetadataTypeInfo { TypeName = "StudentAdultEducationProgramAssociationReference" };
            cacheData.Add(typeInfoStudentAdultEducationProgramAssociationReference);
            typeInfoStudentAdultEducationProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAdultEducationProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAdultEducationProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programType",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAdultEducationProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programName",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAdultEducationProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programEducationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAdultEducationProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentAdultEducationProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentDisciplineIncidentAssociationReference = new MetadataTypeInfo { TypeName = "StudentDisciplineIncidentAssociationReference" };
            cacheData.Add(typeInfoStudentDisciplineIncidentAssociationReference);
            typeInfoStudentDisciplineIncidentAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentDisciplineIncidentAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "schoolId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentDisciplineIncidentAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "incidentIdentifier",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentDisciplineIncidentAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentDisciplineIncidentAssociationBehavior = new MetadataTypeInfo { TypeName = "StudentDisciplineIncidentAssociationBehavior" };
            cacheData.Add(typeInfoStudentDisciplineIncidentAssociationBehavior);
            typeInfoStudentDisciplineIncidentAssociationBehavior.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "behaviorDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentDisciplineIncidentAssociationBehavior.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "behaviorDetailedDescription",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentDisciplineIncidentAssociationFollowUp = new MetadataTypeInfo { TypeName = "StudentDisciplineIncidentAssociationFollowUp" };
            cacheData.Add(typeInfoStudentDisciplineIncidentAssociationFollowUp);
            typeInfoStudentDisciplineIncidentAssociationFollowUp.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "followUpDescriptor",
                IsPartOfNaturalKey = true,
            });

            var typeInfoStudentDropoutRecoveryProgramAssociationReference = new MetadataTypeInfo { TypeName = "StudentDropoutRecoveryProgramAssociationReference" };
            cacheData.Add(typeInfoStudentDropoutRecoveryProgramAssociationReference);
            typeInfoStudentDropoutRecoveryProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentDropoutRecoveryProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentDropoutRecoveryProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programType",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentDropoutRecoveryProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programName",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentDropoutRecoveryProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programEducationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentDropoutRecoveryProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentDropoutRecoveryProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentDropoutRecoveryProgramAssociationFundingMonthClaimed = new MetadataTypeInfo { TypeName = "StudentDropoutRecoveryProgramAssociationFundingMonthClaimed" };
            cacheData.Add(typeInfoStudentDropoutRecoveryProgramAssociationFundingMonthClaimed);
            typeInfoStudentDropoutRecoveryProgramAssociationFundingMonthClaimed.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "monthClaimed",
                IsPartOfNaturalKey = true,
            });

            var typeInfoStudentEarlyLearningProgramAssociationReference = new MetadataTypeInfo { TypeName = "StudentEarlyLearningProgramAssociationReference" };
            cacheData.Add(typeInfoStudentEarlyLearningProgramAssociationReference);
            typeInfoStudentEarlyLearningProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentEarlyLearningProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentEarlyLearningProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programType",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentEarlyLearningProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programName",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentEarlyLearningProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programEducationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentEarlyLearningProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentEarlyLearningProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentEarlyLearningProgramAssociationEarlyLearningProgramService = new MetadataTypeInfo { TypeName = "StudentEarlyLearningProgramAssociationEarlyLearningProgramService" };
            cacheData.Add(typeInfoStudentEarlyLearningProgramAssociationEarlyLearningProgramService);
            typeInfoStudentEarlyLearningProgramAssociationEarlyLearningProgramService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "serviceDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentEarlyLearningProgramAssociationEarlyLearningProgramService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "primaryIndicator",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentEarlyLearningProgramAssociationEarlyLearningProgramService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "serviceBeginDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentEarlyLearningProgramAssociationEarlyLearningProgramService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "serviceEndDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentEarlyLearningProgramAssociationEarlyLearningProgramService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "serviceCoordAgencyDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentEarlyLearningProgramAssociationEarlyLearningProgramService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "settingDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentEarlyLearningProgramAssociationEarlyLearningProgramService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "timelyStartOfServiceDescriptor",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentEarlyLearningProgramAssociationIndividualizedFamilyServicePlan = new MetadataTypeInfo { TypeName = "StudentEarlyLearningProgramAssociationIndividualizedFamilyServicePlan" };
            cacheData.Add(typeInfoStudentEarlyLearningProgramAssociationIndividualizedFamilyServicePlan);
            typeInfoStudentEarlyLearningProgramAssociationIndividualizedFamilyServicePlan.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "currentIFSPDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentEarlyLearningProgramAssociationIndividualizedFamilyServicePlan.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "initialIFSPDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentEarlyLearningProgramAssociationIndividualizedFamilyServicePlan.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "initialIEPCompletionDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentEarlyLearningProgramAssociationIndividualizedFamilyServicePlan.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "referralDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentEarlyLearningProgramAssociationIndividualizedFamilyServicePlan.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "referralAgencyDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentEarlyLearningProgramAssociationIndividualizedFamilyServicePlan.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "resultOfInitialIFSPDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentEarlyLearningProgramAssociationIndividualizedFamilyServicePlan.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "timelinessDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentEarlyLearningProgramAssociationIndividualizedFamilyServicePlan.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "transitionConferenceTimelinessDescriptor",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentSpecialEducationProgramAssociationReference = new MetadataTypeInfo { TypeName = "StudentSpecialEducationProgramAssociationReference" };
            cacheData.Add(typeInfoStudentSpecialEducationProgramAssociationReference);
            typeInfoStudentSpecialEducationProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSpecialEducationProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "educationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSpecialEducationProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programType",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSpecialEducationProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programName",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSpecialEducationProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programEducationOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSpecialEducationProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSpecialEducationProgramAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentSpecialEducationProgramAssociationServiceProvider = new MetadataTypeInfo { TypeName = "StudentSpecialEducationProgramAssociationServiceProvider" };
            cacheData.Add(typeInfoStudentSpecialEducationProgramAssociationServiceProvider);
            typeInfoStudentSpecialEducationProgramAssociationServiceProvider.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "staffReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentSpecialEducationProgramAssociationServiceProvider.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "primaryProvider",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentSpecialEducationProgramAssociationEligibilityEvaluation = new MetadataTypeInfo { TypeName = "StudentSpecialEducationProgramAssociationEligibilityEvaluation" };
            cacheData.Add(typeInfoStudentSpecialEducationProgramAssociationEligibilityEvaluation);
            typeInfoStudentSpecialEducationProgramAssociationEligibilityEvaluation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "dateOfParentalConsent",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSpecialEducationProgramAssociationEligibilityEvaluation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "daysBeyondTimeline",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSpecialEducationProgramAssociationEligibilityEvaluation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "initialIEPCompletionDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSpecialEducationProgramAssociationEligibilityEvaluation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "partCTransitionTimelinessDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSpecialEducationProgramAssociationEligibilityEvaluation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "resultOfInitialIEPDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoStudentSpecialEducationProgramAssociationEligibilityEvaluation.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "timelinessOfInitialIEPDescriptor",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentSpecialEducationProgramAssociationProgramSupport = new MetadataTypeInfo { TypeName = "StudentSpecialEducationProgramAssociationProgramSupport" };
            cacheData.Add(typeInfoStudentSpecialEducationProgramAssociationProgramSupport);
            typeInfoStudentSpecialEducationProgramAssociationProgramSupport.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "programSupportDescriptor",
                IsPartOfNaturalKey = true,
            });

            var typeInfoCommunityOrganizationReference = new MetadataTypeInfo { TypeName = "CommunityOrganizationReference" };
            cacheData.Add(typeInfoCommunityOrganizationReference);
            typeInfoCommunityOrganizationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "communityOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCommunityOrganizationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCommunityProviderReference = new MetadataTypeInfo { TypeName = "CommunityProviderReference" };
            cacheData.Add(typeInfoCommunityProviderReference);
            typeInfoCommunityProviderReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "communityProviderId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCommunityProviderReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCommunityProviderLicense = new MetadataTypeInfo { TypeName = "CommunityProviderLicense" };
            cacheData.Add(typeInfoCommunityProviderLicense);
            typeInfoCommunityProviderLicense.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "licensingOrganization",
                IsPartOfNaturalKey = true,
            });
            typeInfoCommunityProviderLicense.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "licenseEffectiveDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoCommunityProviderLicense.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "licenseExpirationDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProviderLicense.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "initialLicenseDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProviderLicense.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "licenseStatusDescriptor",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProviderLicense.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "numberOfFatalities",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProviderLicense.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "numberOfInjuries",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProviderLicense.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "stateLicensedFacilityCapacity",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProviderLicense.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "youngestAgeAuthorizedToServe",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProviderLicense.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "oldestAgeAuthorizedToServe",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCommunityProviderQRISRating = new MetadataTypeInfo { TypeName = "CommunityProviderQRISRating" };
            cacheData.Add(typeInfoCommunityProviderQRISRating);
            typeInfoCommunityProviderQRISRating.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "qrisRatingOrganizationReference",
                IsPartOfNaturalKey = true,
            });
            typeInfoCommunityProviderQRISRating.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "ratingEffectiveDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoCommunityProviderQRISRating.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "ratingExpirationDate",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProviderQRISRating.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "rating",
                IsPartOfNaturalKey = false,
            });
            typeInfoCommunityProviderQRISRating.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "currentFlag",
                IsPartOfNaturalKey = false,
            });

            var typeInfoQRISRatingOrganizationReference = new MetadataTypeInfo { TypeName = "QRISRatingOrganizationReference" };
            cacheData.Add(typeInfoQRISRatingOrganizationReference);
            typeInfoQRISRatingOrganizationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "qrisRatingOrganizationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoQRISRatingOrganizationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoCommunityProviderLocationReference = new MetadataTypeInfo { TypeName = "CommunityProviderLocationReference" };
            cacheData.Add(typeInfoCommunityProviderLocationReference);
            typeInfoCommunityProviderLocationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "communityProviderLocationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCommunityProviderLocationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "communityProviderId",
                IsPartOfNaturalKey = true,
            });
            typeInfoCommunityProviderLocationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoClassGroupReference = new MetadataTypeInfo { TypeName = "ClassGroupReference" };
            cacheData.Add(typeInfoClassGroupReference);
            typeInfoClassGroupReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "communityProviderLocationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoClassGroupReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "communityProviderId",
                IsPartOfNaturalKey = true,
            });
            typeInfoClassGroupReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "name",
                IsPartOfNaturalKey = true,
            });
            typeInfoClassGroupReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoClassGroupMeetingTime = new MetadataTypeInfo { TypeName = "ClassGroupMeetingTime" };
            cacheData.Add(typeInfoClassGroupMeetingTime);
            typeInfoClassGroupMeetingTime.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "meetingDayType",
                IsPartOfNaturalKey = true,
            });
            typeInfoClassGroupMeetingTime.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "startTime",
                IsPartOfNaturalKey = false,
            });
            typeInfoClassGroupMeetingTime.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "stopTime",
                IsPartOfNaturalKey = false,
            });

            var typeInfoClassGroupService = new MetadataTypeInfo { TypeName = "ClassGroupService" };
            cacheData.Add(typeInfoClassGroupService);
            typeInfoClassGroupService.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "serviceDescriptor",
                IsPartOfNaturalKey = true,
            });

            var typeInfoStudentClassGroupAttendanceEventReference = new MetadataTypeInfo { TypeName = "StudentClassGroupAttendanceEventReference" };
            cacheData.Add(typeInfoStudentClassGroupAttendanceEventReference);
            typeInfoStudentClassGroupAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentClassGroupAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "communityProviderLocationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentClassGroupAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "communityProviderId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentClassGroupAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "classGroupName",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentClassGroupAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "eventDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentClassGroupAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "attendanceEventCategoryDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentClassGroupAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentCommunityProviderLocationAttendanceEventReference = new MetadataTypeInfo { TypeName = "StudentCommunityProviderLocationAttendanceEventReference" };
            cacheData.Add(typeInfoStudentCommunityProviderLocationAttendanceEventReference);
            typeInfoStudentCommunityProviderLocationAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCommunityProviderLocationAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "communityProviderLocationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCommunityProviderLocationAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "communityProviderId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCommunityProviderLocationAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "eventDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCommunityProviderLocationAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "attendanceEventCategoryDescriptor",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCommunityProviderLocationAttendanceEventReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentClassGroupAssociationReference = new MetadataTypeInfo { TypeName = "StudentClassGroupAssociationReference" };
            cacheData.Add(typeInfoStudentClassGroupAssociationReference);
            typeInfoStudentClassGroupAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentClassGroupAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "communityProviderLocationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentClassGroupAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "communityProviderId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentClassGroupAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "classGroupName",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentClassGroupAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentClassGroupAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });

            var typeInfoStudentCommunityProviderLocationAssociationReference = new MetadataTypeInfo { TypeName = "StudentCommunityProviderLocationAssociationReference" };
            cacheData.Add(typeInfoStudentCommunityProviderLocationAssociationReference);
            typeInfoStudentCommunityProviderLocationAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "studentUniqueId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCommunityProviderLocationAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "communityProviderLocationId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCommunityProviderLocationAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "communityProviderId",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCommunityProviderLocationAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "beginDate",
                IsPartOfNaturalKey = true,
            });
            typeInfoStudentCommunityProviderLocationAssociationReference.MetadataProperties.Add(new MetadataPropertyInfo
            {
                PropertyName = "link",
                IsPartOfNaturalKey = false,
            });
            _cacheData = cacheData;
        }

        public IEnumerable<IMetadataTypeInfo> GetCacheData()
        {
            return _cacheData;
        }
    }

    public interface IMetadataPropertyInfo
    {
        string PropertyName { get; set; }
        Type PropertyType { get; set; }
        bool IsPartOfNaturalKey { get; set; }
    }

    public class MetadataPropertyInfo : IMetadataPropertyInfo
    {
        public string PropertyName { get; set; }
        public Type PropertyType { get; set; }
        public bool IsPartOfNaturalKey { get; set; }
    }

    public interface ISdkMetadataCacheLoader
    {
        IEnumerable<IMetadataTypeInfo> GetCacheData();
    }

    public interface IMetadataTypeInfo
    {
        string TypeName { get; }
        Type UnderlyingType { get; set; }
        List<IMetadataPropertyInfo> MetadataProperties { get; }
    }

    public class MetadataTypeInfo : IMetadataTypeInfo
    {
        public MetadataTypeInfo()
        {
            MetadataProperties = new List<IMetadataPropertyInfo>();
        }

        public string TypeName { get; set; }
        public Type UnderlyingType { get; set; }
        public List<IMetadataPropertyInfo> MetadataProperties { get; set; }
    }
}